<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2008 sp1 (http://www.altova.com) by serg (EMBRACE) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:piout="urn:customs.ru:Information:PriorInformation:PI_TransitInformation:5.0.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.0.0" xmlns:catpi_ru="urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.0.0" exclude-result-prefixes="piout cat_ru catpi_ru">
	<xsl:import href="template-country.xsl"/>
	<xsl:variable name="code-russia" select="'RU'"/>
	<xsl:template match="*|/">
		<xsl:apply-templates select="//piout:PI_TransitInformation"/>
	</xsl:template>
	<xsl:template match="piout:PI_TransitInformation">
		<VTTPRIM>
			<VTTPRIM_ITEM>
				<FORMXML>2</FORMXML>
				<xsl:for-each select="piout:PIoutShippingInformation[1]">
					<!--G011 и G0131 - не хочется зашивать сюда, пусть пропишутся автоматом при открытии загруженного документа-->
					<TYPEBTT>
						<xsl:variable name="dispatch-code" select="piout:DispatchCountry/catpi_ru:CountryACode"/>
						<xsl:variable name="destination-code" select="piout:DestinationCountry/catpi_ru:CountryACode"/>
						<xsl:choose>
							<xsl:when test="($dispatch-code=$code-russia) and ($destination-code!=$code-russia)">
								<xsl:value-of select="'ЭК'"/>
							</xsl:when>
							<xsl:when test="($dispatch-code!=$code-russia) and ($destination-code=$code-russia)">
								<xsl:value-of select="'ИМ'"/>
							</xsl:when>
							<xsl:when test="($dispatch-code!=$code-russia) and ($destination-code!=$code-russia)">
								<xsl:value-of select="'ТР'"/>
							</xsl:when>
							<xsl:when test="($dispatch-code=$code-russia) and ($destination-code=$code-russia)">
								<xsl:value-of select="'ПР'"/>
							</xsl:when>
							<!--Иначе журнал определится автоматом по журналу вызова загрузки-->
						</xsl:choose>
					</TYPEBTT>
					<G15C_ABC2>
						<xsl:value-of select="$dispatch-code"/>
					</G15C_ABC2>
					<xsl:for-each select="catpi_ru:DispatchCountryName[1]">
						<G15>
							<xsl:value-of select="."/>
						</G15>
					</xsl:for-each>
					<G17C_ABC2>
						<xsl:value-of select="$destination-code"/>
					</G17C_ABC2>
					<xsl:for-each select="catpi_ru:DestinationCountryName[1]">
						<G17B>
							<xsl:value-of select="."/>
						</G17B>
					</xsl:for-each>
					<xsl:for-each select="piout:ContainerIndicator[1][.=true]">
						<G19>
							<xsl:value-of select="1"/>
						</G19>
					</xsl:for-each>
					<xsl:for-each select="piout:PIoutDestination">
						<xsl:for-each select="piout:DestinationRWStationCode">
							<RAILWAYST>
								<xsl:value-of select="."/>
							</RAILWAYST>
						</xsl:for-each>
						<xsl:for-each select="piout:DestinationRWStationName">
							<RWSNAME>
								<xsl:value-of select="."/>
							</RWSNAME>
						</xsl:for-each>
						<xsl:for-each select="piout:DestinantionPlaceName[1]">
							<GA1>
								<xsl:value-of select="."/>
							</GA1>
							<G541>
								<xsl:value-of select="."/>
							</G541>
						</xsl:for-each>
						<A_PLACE>
							<xsl:for-each select="piout:Address/*">
								<xsl:value-of select="."/>
								<xsl:if test="position()!=last()">
									<xsl:value-of select="' '"/>
								</xsl:if>
							</xsl:for-each>
						</A_PLACE>
						<xsl:for-each select="piout:DestinationWarehouse[1]">
							<xsl:for-each select="catpi_ru:CertificateNumber[1]">
								<A_NLIC>
									<xsl:value-of select="."/>
								</A_NLIC>
							</xsl:for-each>
							<xsl:for-each select="catpi_ru:CertificateDate[1]">
								<A_DLIC>
									<xsl:value-of select="."/>
								</A_DLIC>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:for-each select="piout:DestinationCustoms[1]">
							<xsl:for-each select="cat_ru:Code[1]">
								<DELIVERYCUSTOMSCOUNTRYCODE>
									<xsl:value-of select="'RU'"/>
								</DELIVERYCUSTOMSCOUNTRYCODE>
								<G531>
									<xsl:value-of select="."/>
								</G531>
								<GA3>
									<xsl:value-of select="."/>
								</GA3>
							</xsl:for-each>
							<xsl:for-each select="cat_ru:OfficeName[1]">
								<G53>
									<xsl:value-of select="."/>
								</G53>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="piout:Guarantee[1]">
						<xsl:for-each select="catpi_ru:MeasureCode[1]">
							<G52CODE>
								<xsl:value-of select="."/>
							</G52CODE>
						</xsl:for-each>
						<xsl:for-each select="catpi_ru:GuaranteeDocument[1]">
							<xsl:for-each select="catpi_ru:DocumentNumber[1]">
								<G52DOC>
									<xsl:value-of select="."/>
								</G52DOC>
							</xsl:for-each>
							<xsl:for-each select="catpi_ru:IssueDate[1]">
								<G52DATE>
									<xsl:value-of select="."/>
								</G52DATE>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:for-each select="catpi_ru:GuaranteeDocument[2]">
							<xsl:for-each select="catpi_ru:DocumentNumber[1]">
								<GRNTGENERALNUM>
									<xsl:value-of select="."/>
								</GRNTGENERALNUM>
							</xsl:for-each>
							<xsl:for-each select="catpi_ru:IssueDate[1]">
								<GRNTGENERALDATE>
									<xsl:value-of select="."/>
								</GRNTGENERALDATE>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:for-each select="catpi_ru:GuaranteeDocument[3]">
							<xsl:for-each select="catpi_ru:DocumentNumber[1]">
								<GRNTCONTRACTNUM>
									<xsl:value-of select="."/>
								</GRNTCONTRACTNUM>
							</xsl:for-each>
							<xsl:for-each select="catpi_ru:IssueDate[1]">
								<GRNTCONTRACTDATE>
									<xsl:value-of select="."/>
								</GRNTCONTRACTDATE>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="piout:DateLimit[1]">
						<G504>
							<xsl:value-of select="."/>
						</G504>
					</xsl:for-each>
					<xsl:apply-templates mode="G18" select="."/>
				</xsl:for-each>
				<xsl:apply-templates select="piout:Consignor"/>
				<xsl:apply-templates select="piout:PIoutConsignee"/>
				<xsl:apply-templates select="piout:PIoutPrincipal"/>
				<xsl:for-each select="piout:PIoutCarrier[1]">
					<xsl:for-each select="cat_ru:RFOrganizationFeatures[1]">
						<xsl:for-each select="cat_ru:OGRN[1]">
							<DRIVEROGRN>
								<xsl:value-of select="."/>
							</DRIVEROGRN>
						</xsl:for-each>
						<xsl:for-each select="cat_ru:INN[1]">
							<INN_DRIVER>
								<xsl:value-of select="."/>
							</INN_DRIVER>
						</xsl:for-each>
						<xsl:for-each select="cat_ru:KPP[1]">
							<KPP_DRIVER>
								<xsl:value-of select="."/>
							</KPP_DRIVER>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:OrganizationName[1]">
						<G501>
							<xsl:value-of select="."/>
						</G501>
					</xsl:for-each>
					<xsl:for-each select="piout:Address">
						<xsl:call-template name="Address">
							<xsl:with-param name="name-of-CountryCode" select="'G14_COUNTRYCODE'"/>
							<xsl:with-param name="name-of-PostalCode" select="'G14_POSTALCODE'"/>
							<xsl:with-param name="name-of-Region" select="'G14_REGION'"/>
							<xsl:with-param name="name-of-City" select="'G14_CITY'"/>
							<xsl:with-param name="name-of-StreetHouse" select="'G14_STREETHOUSE'"/>
						</xsl:call-template>
					</xsl:for-each>
					<xsl:variable name="VTTCARRIERDRIVERS_ITEM">
						<xsl:for-each select="piout:DriverInformation">
							<VTTCARRIERDRIVERS_ITEM>
								<NPP>
									<xsl:value-of select="position()"/>
								</NPP>
								<xsl:for-each select="cat_ru:PersonName[1]">
									<PERSONNAME>
										<xsl:value-of select="."/>
									</PERSONNAME>
								</xsl:for-each>
								<xsl:for-each select="cat_ru:PersonMiddleName[1]">
									<PERSONMIDNAME>
										<xsl:value-of select="."/>
									</PERSONMIDNAME>
								</xsl:for-each>
								<xsl:for-each select="cat_ru:PersonSurname[1]">
									<PERSONSURNAME>
										<xsl:value-of select="."/>
									</PERSONSURNAME>
								</xsl:for-each>
								<xsl:for-each select="catpi_ru:IdentityCard[1]">
									<xsl:call-template name="IdentityCard">
										<xsl:with-param name="Code" select="'IDENTITYCARDCODE'"/>
										<xsl:with-param name="Name" select="'IDENTITYCARDNAME'"/>
										<xsl:with-param name="Series" select="'IDENTITYCARDSERIES'"/>
										<xsl:with-param name="Number" select="'IDENTITYCARDNUMBER'"/>
										<xsl:with-param name="Date" select="'IDENTITYCARDDATE'"/>
									</xsl:call-template>
								</xsl:for-each>
							</VTTCARRIERDRIVERS_ITEM>
						</xsl:for-each>
					</xsl:variable>
					<xsl:if test="string-length($VTTCARRIERDRIVERS_ITEM)!=0">
						<VTTCARRIERDRIVERS>
							<xsl:copy-of select="$VTTCARRIERDRIVERS_ITEM"/>
						</VTTCARRIERDRIVERS>
					</xsl:if>
				</xsl:for-each>
				<xsl:variable name="driver-named" select="piout:PIoutCarrier/piout:DriverInformation[cat_ru:PersonSurname!=''][1]"/>
				<xsl:variable name="driver-identity" select="$driver-named/catpi_ru:IdentityCard[cat_ru:IdentityCardNumber!='']"/>
				<xsl:choose>
					<xsl:when test="($driver-named) and ($driver-identity)">
						<xsl:apply-templates mode="principal-person" select="$driver-identity"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates mode="principal-person" select="piout:PIoutPrincipal/catpi_ru:IdentityCard"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:for-each select="$driver-named[1]">
					<xsl:for-each select="cat_ru:PersonName[1]">
						<PRINCIPALPERSNAME>
							<xsl:value-of select="."/>
						</PRINCIPALPERSNAME>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:PersonMiddleName[1]">
						<PRINCIPALPERSMIDDLENAME>
							<xsl:value-of select="."/>
						</PRINCIPALPERSMIDDLENAME>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:PersonSurname[1]">
						<PRINCIPALPERSSURNAME>
							<xsl:value-of select="."/>
						</PRINCIPALPERSSURNAME>
					</xsl:for-each>
				</xsl:for-each>
				<xsl:variable name="presented-cmr-etc" select="piout:PIoutLicenceDocument[not(.=preceding-sibling::piout:PIoutLicenceDocument)]"/>
				<xsl:for-each select="piout:PIoutGoodsInformation[1]">
					<xsl:for-each select="piout:TotalGoodsNameQuantity[1]">
						<G05>
							<xsl:value-of select="."/>
						</G05>
					</xsl:for-each>
					<xsl:for-each select="piout:CurrencyCode[1]">
						<G221_BUK>
							<xsl:value-of select="."/>
						</G221_BUK>
					</xsl:for-each>
					<xsl:for-each select="piout:TotalInvoicedCost[1]">
						<G222>
							<xsl:value-of select="."/>
						</G222>
					</xsl:for-each>
					<xsl:for-each select="piout:ShipSpecifQuantity[1]">
						<G04>
							<xsl:value-of select="."/>
						</G04>
					</xsl:for-each>
					<xsl:for-each select="piout:ShipSpecifGoodsQuantity[1]">
						<SPECIF_GDS>
							<xsl:value-of select="."/>
						</SPECIF_GDS>
					</xsl:for-each>
					<VTTDOP>
						<xsl:for-each select="piout:Goods">
							<VTTDOP_ITEM>
								<xsl:for-each select="cat_ru:GoodsNumeric[1]">
									<G32>
										<xsl:value-of select="."/>
									</G32>
								</xsl:for-each>
								<xsl:for-each select="cat_ru:GoodsTNVEDCode[1]">
									<G33>
										<xsl:value-of select="."/>
									</G33>
								</xsl:for-each>
								<xsl:variable name="text250-count-G312" select="4"/>
								<G312>
									<xsl:for-each select="cat_ru:GoodsDescription[position()&lt;=$text250-count-G312]">
										<xsl:value-of select="."/>
									</xsl:for-each>
								</G312>
								<xsl:for-each select="cat_ru:GrossWeightQuantity[1]">
									<G35>
										<xsl:value-of select="."/>
									</G35>
								</xsl:for-each>
								<xsl:for-each select="cat_ru:NetWeightQuantity[1]">
									<NETTO>
										<xsl:value-of select="."/>
									</NETTO>
								</xsl:for-each>
								<xsl:if test="catpi_ru:ContainerNumbers">
									<G3160>
										<xsl:value-of select="count(catpi_ru:ContainerNumbers)"/>
									</G3160>
								</xsl:if>
								<xsl:for-each select="catpi_ru:OriginCountryCode[1]">
									<G34_ABC2>
										<xsl:value-of select="."/>
									</G34_ABC2>
								</xsl:for-each>
								<xsl:for-each select="catpi_ru:ContainerNumbers">
									<G3161>
										<xsl:value-of select="."/>
										<xsl:if test="position()!=last()">
											<xsl:text>,</xsl:text>
										</xsl:if>
									</G3161>
								</xsl:for-each>
								<xsl:for-each select="catpi_ru:OriginCountryCode[1]">
									<G34_ABC2>
										<xsl:value-of select="."/>
									</G34_ABC2>
								</xsl:for-each>
								<xsl:for-each select="catpi_ru:InvoicedCost[1]">
									<G42>
										<xsl:value-of select="."/>
									</G42>
								</xsl:for-each>
								<xsl:for-each select="catpi_ru:CurrencyCode[1]">
									<INVCCOSTCODE>
										<xsl:value-of select="."/>
									</INVCCOSTCODE>
								</xsl:for-each>
								<xsl:for-each select="catpi_ru:GoodsMeasureQuantity[1]">
									<xsl:for-each select="catpi_ru:GoodsQuantity[1]">
										<G315A>
											<xsl:value-of select="."/>
										</G315A>
									</xsl:for-each>
									<xsl:for-each select="catpi_ru:MeasureUnitQualifierCode[1]">
										<G41A>
											<xsl:value-of select="."/>
										</G41A>
									</xsl:for-each>
								</xsl:for-each>
								<xsl:for-each select="catpi_ru:GoodsPackaging[1]">
									<xsl:for-each select="catpi_ru:PakageQuantity">
										<G311>
											<xsl:value-of select="."/>
										</G311>
									</xsl:for-each>
									<VTTDOPPACK>
										<xsl:for-each select="catpi_ru:PackingInformation">
											<VTTDOPPACK_ITEM>
												<NPP>
													<xsl:value-of select="position()"/>
												</NPP>
												<xsl:for-each select="catpi_ru:PackingCode[1]">
													<G318>
														<xsl:value-of select="."/>
													</G318>
												</xsl:for-each>
												<xsl:for-each select="catpi_ru:PakingQuantity[1]">
													<G314>
														<xsl:value-of select="."/>
													</G314>
												</xsl:for-each>
												<xsl:for-each select="catpi_ru:PackingMark[1]">
													<G313>
														<xsl:value-of select="."/>
													</G313>
												</xsl:for-each>
											</VTTDOPPACK_ITEM>
										</xsl:for-each>
									</VTTDOPPACK>
								</xsl:for-each>
								<VTTDOPPRESDOCS>
									<xsl:for-each select="(catpi_ru:PresentedDocuments[not(.=preceding-sibling::catpi_ru:PresentedDocuments)]) | ($presented-cmr-etc[not(.=current()/catpi_ru:PresentedDocuments)])">
										<VTTDOPPRESDOCS_ITEM>
											<NPP>
												<xsl:value-of select="position()"/>
											</NPP>
											<xsl:for-each select="cat_ru:PrDocumentNumber[1]">
												<DOCNUM>
													<xsl:value-of select="."/>
												</DOCNUM>
											</xsl:for-each>
											<xsl:for-each select="cat_ru:PrDocumentDate[1]">
												<DOCDATE>
													<xsl:value-of select="."/>
												</DOCDATE>
											</xsl:for-each>
											<xsl:for-each select="catpi_ru:PresentedDocumentModeCode[1]">
												<DOCCODE>
													<xsl:value-of select="."/>
												</DOCCODE>
											</xsl:for-each>
										</VTTDOPPRESDOCS_ITEM>
									</xsl:for-each>
								</VTTDOPPRESDOCS>
								<xsl:variable name="GTDBACK_ITEM">
									<xsl:for-each select="catpi_ru:GoodsDescription[position()>$text250-count-G312]">
										<GTDBACK_ITEM>
											<G32>
												<xsl:value-of select="../catpi_ru:GoodsNumeric"/>
											</G32>
											<GRAPH_NO>
												<xsl:value-of select="'31'"/>
											</GRAPH_NO>
											<TEXT>
												<xsl:value-of select="."/>
											</TEXT>
										</GTDBACK_ITEM>
									</xsl:for-each>
								</xsl:variable>
								<xsl:if test="string-length($GTDBACK_ITEM)!=0">
									<GTDBACK>
										<xsl:copy-of select="$GTDBACK_ITEM"/>
									</GTDBACK>
								</xsl:if>
							</VTTDOP_ITEM>
						</xsl:for-each>
					</VTTDOP>
				</xsl:for-each>
			</VTTPRIM_ITEM>
		</VTTPRIM>
	</xsl:template>
	<xsl:template mode="G18" match="piout:PIoutShippingInformation">
		<G183>
			<xsl:value-of select="count(piout:BorderTransport)"/>
		</G183>
		<xsl:for-each select="piout:BorderTransport[1]">
			<xsl:for-each select="catpi_ru:TransportModeCode[1]">
				<G251>
					<xsl:value-of select="."/>
				</G251>
			</xsl:for-each>
			<xsl:for-each select="catpi_ru:TransportMeansNationalityCode[1]">
				<G182_ABC2>
					<xsl:value-of select="."/>
				</G182_ABC2>
			</xsl:for-each>
			<xsl:for-each select="catpi_ru:TransportIdentifier[1]">
				<G181>
					<xsl:value-of select="."/>
				</G181>
			</xsl:for-each>
			<xsl:for-each select="catpi_ru:VINID[1]">
				<VIN>
					<xsl:value-of select="."/>
				</VIN>
			</xsl:for-each>
			<xsl:for-each select="catpi_ru:TrailerIdentifier[1]">
				<TRAILER>
					<xsl:value-of select="."/>
				</TRAILER>
			</xsl:for-each>
			<xsl:for-each select="catpi_ru:SecondTrailerIdentifier[1]">
				<TRAILER2>
					<xsl:value-of select="."/>
				</TRAILER2>
			</xsl:for-each>
		</xsl:for-each>
		<xsl:if test="count(piout:BorderTransport)>1">
			<GTDDKD>
				<xsl:for-each select="piout:BorderTransport[position()>1]">
					<GTDDKD_ITEM>
						<NGR>
							<xsl:value-of select="'18'"/>
						</NGR>
						<NTRANS>
							<xsl:value-of select="catpi_ru:TransportIdentifier"/>
						</NTRANS>
					</GTDDKD_ITEM>
				</xsl:for-each>
			</GTDDKD>
		</xsl:if>
	</xsl:template>
	<xsl:template match="catpi_ru:IdentityCard" mode="principal-person">
		<xsl:call-template name="IdentityCard">
			<xsl:with-param name="Code" select="'PRINCIPALPERSCARDCODE'"/>
			<xsl:with-param name="Name" select="'PRINCIPALPERSCARDNAME'"/>
			<xsl:with-param name="Series" select="'PRINCIPALPERSCARDSERIES'"/>
			<xsl:with-param name="Number" select="'PRINCIPALPERSCARDNUM'"/>
			<xsl:with-param name="Date" select="'PRINCIPALPERSCARDDATE'"/>
			<xsl:with-param name="Organization" select="'PRINCIPALPERSCARDORG'"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="IdentityCard">
		<xsl:param name="Code"/>
		<xsl:param name="Name"/>
		<xsl:param name="Series"/>
		<xsl:param name="Number"/>
		<xsl:param name="Date"/>
		<xsl:param name="Organization"/>
		<xsl:if test="string($Code)">
			<xsl:for-each select="cat_ru:IdentityCardCode[1]">
				<xsl:element name="{$Code}">
					<xsl:value-of select="."/>
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="string($Name)">
			<xsl:for-each select="cat_ru:IdentityCardName[1]">
				<xsl:element name="{$Name}">
					<xsl:value-of select="."/>
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="string($Series)">
			<xsl:for-each select="cat_ru:IdentityCardSeries[1]">
				<xsl:element name="{$Series}">
					<xsl:value-of select="."/>
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="string($Number)">
			<xsl:for-each select="cat_ru:IdentityCardNumber[1]">
				<xsl:element name="{$Number}">
					<xsl:value-of select="."/>
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="string($Date)">
			<xsl:for-each select="cat_ru:IdentityCardDate[1]">
				<xsl:element name="{$Date}">
					<xsl:value-of select="."/>
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="string($Organization)">
			<xsl:for-each select="cat_ru:OrganizationName[1]">
				<xsl:element name="{$Organization}">
					<xsl:value-of select="."/>
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template name="Address">
		<xsl:param name="name-of-CountryCode"/>
		<xsl:param name="name-of-PostalCode"/>
		<xsl:param name="name-of-Region"/>
		<xsl:param name="name-of-City"/>
		<xsl:param name="name-of-StreetHouse"/>
		<xsl:if test="string($name-of-CountryCode)">
			<xsl:for-each select="cat_ru:CountryCode[1] | catpi_ru:CountryCode[1]">
				<xsl:element name="{$name-of-CountryCode}">
					<xsl:value-of select="."/>
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="string($name-of-PostalCode)">
			<xsl:for-each select="cat_ru:PostalCode[1] | catpi_ru:PostalCode[1]">
				<xsl:element name="{$name-of-PostalCode}">
					<xsl:value-of select="."/>
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="string($name-of-Region)">
			<xsl:for-each select="cat_ru:Region[1] | catpi_ru:Region[1]">
				<xsl:element name="{$name-of-Region}">
					<xsl:value-of select="."/>
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="string($name-of-City)">
			<xsl:for-each select="cat_ru:City[1] | catpi_ru:City[1]">
				<xsl:element name="{$name-of-City}">
					<xsl:value-of select="."/>
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="string($name-of-StreetHouse)">
			<xsl:for-each select="cat_ru:StreetHouse[1] | catpi_ru:StreetHouse[1]">
				<xsl:element name="{$name-of-StreetHouse}">
					<xsl:value-of select="."/>
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template match="piout:Consignor">
		<xsl:for-each select="cat_ru:RFOrganizationFeatures[1]">
			<xsl:for-each select="cat_ru:OGRN[1]">
				<SENDEROGRN>
					<xsl:value-of select="."/>
				</SENDEROGRN>
			</xsl:for-each>
			<xsl:for-each select="cat_ru:INN[1]">
				<M021>
					<xsl:value-of select="."/>
				</M021>
			</xsl:for-each>
			<xsl:for-each select="cat_ru:KPP[1]">
				<KPP>
					<xsl:value-of select="."/>
				</KPP>
			</xsl:for-each>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:OrganizationName[1]">
			<G022>
				<xsl:value-of select="."/>
			</G022>
		</xsl:for-each>
		<xsl:for-each select="piout:Address">
			<xsl:call-template name="Address">
				<xsl:with-param name="name-of-CountryCode" select="'G02_COUNTRYCODE'"/>
				<xsl:with-param name="name-of-PostalCode" select="'G02_POSTALCODE'"/>
				<xsl:with-param name="name-of-Region" select="'G02_REGION'"/>
				<xsl:with-param name="name-of-City" select="'G02_CITY'"/>
				<xsl:with-param name="name-of-StreetHouse" select="'G02_STREETHOUSE'"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="piout:PIoutConsignee">
		<xsl:for-each select="cat_ru:RFOrganizationFeatures[1]">
			<xsl:for-each select="cat_ru:OGRN[1]">
				<RECEIVOGRN>
					<xsl:value-of select="."/>
				</RECEIVOGRN>
			</xsl:for-each>
			<xsl:for-each select="cat_ru:INN[1]">
				<M081>
					<xsl:value-of select="."/>
				</M081>
			</xsl:for-each>
			<xsl:for-each select="cat_ru:KPP[1]">
				<KPP_RECEIV>
					<xsl:value-of select="."/>
				</KPP_RECEIV>
			</xsl:for-each>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:OrganizationName[1]">
			<G082>
				<xsl:value-of select="."/>
			</G082>
		</xsl:for-each>
		<xsl:for-each select="piout:Address">
			<xsl:call-template name="Address">
				<xsl:with-param name="name-of-CountryCode" select="'G08_COUNTRYCODE'"/>
				<xsl:with-param name="name-of-PostalCode" select="'G08_POSTALCODE'"/>
				<xsl:with-param name="name-of-Region" select="'G08_REGION'"/>
				<xsl:with-param name="name-of-City" select="'G08_CITY'"/>
				<xsl:with-param name="name-of-StreetHouse" select="'G08_STREETHOUSE'"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="piout:PIoutPrincipal">
		<xsl:for-each select="cat_ru:OrganizationName[1]">
			<FAGENTNAME>
				<xsl:value-of select="."/>
			</FAGENTNAME>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:RFOrganizationFeatures[1]">
			<xsl:for-each select="cat_ru:OGRN[1]">
				<FA_OGRN>
					<xsl:value-of select="."/>
				</FA_OGRN>
			</xsl:for-each>
			<xsl:for-each select="cat_ru:INN[1]">
				<FA_INN>
					<xsl:value-of select="."/>
				</FA_INN>
			</xsl:for-each>
			<xsl:for-each select="cat_ru:KPP[1]">
				<FA_KPP>
					<xsl:value-of select="."/>
				</FA_KPP>
			</xsl:for-each>
		</xsl:for-each>
		<xsl:for-each select="piout:Address">
			<xsl:call-template name="Address">
				<xsl:with-param name="name-of-CountryCode" select="'FA_COUNTRYCODE'"/>
				<xsl:with-param name="name-of-PostalCode" select="'FA_POSTALCODE'"/>
				<xsl:with-param name="name-of-Region" select="'FA_REGION'"/>
				<xsl:with-param name="name-of-City" select="'FA_CITY'"/>
				<xsl:with-param name="name-of-StreetHouse" select="'FA_STREETHOUSE'"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="FormatDate">
		<xsl:param name="DateTime"/>
		<!-- 2007-12-27T00:00:00+01:00-->
		<!--ddMMyy-->
		<xsl:value-of select="substring($DateTime,3,2)"/>
		<xsl:value-of select="substring($DateTime,6,2)"/>
		<xsl:value-of select="substring($DateTime,9,2)"/>
	</xsl:template>
	<xsl:template name="JoinGTDNumber">
		<xsl:param name="ResultName"/>
		<xsl:param name="Code"/>
		<xsl:param name="Date"/>
		<xsl:param name="Number"/>
		<xsl:if test="string-length($Number)!=0">
			<xsl:element name="{$ResultName}">
				<xsl:value-of select="$Code"/>
				<xsl:value-of select="'/'"/>
				<xsl:call-template name="FormatDate">
					<xsl:with-param name="DateTime" select="$Date"/>
				</xsl:call-template>
				<xsl:value-of select="'/'"/>
				<xsl:value-of select="$Number"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
