<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.6.0" xmlns:tirc="urn:customs.ru:Information:TransportDocuments:Car:CUTIR_Carnet:5.6.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.6.0" exclude-result-prefixes="tirc cat_ru catTrans_cu">
	<xsl:import href="template-vtdecl.xsl"/>
	<xsl:import href="template-tir.xsl"/>
	<xsl:import href="template-country.xsl"/>
	<xsl:import href="template-customs.xsl"/>
	<xsl:import href="template-value.xsl"/>
	<xsl:template match="*|/">
		<xsl:apply-templates select="tirc:CUTIR_Carnet"/>
	</xsl:template>
	<xsl:template match="tirc:CUTIR_Carnet">
		<VTTPRIM>
			<xsl:apply-templates select="tirc:TIRShipment"/>
		</VTTPRIM>
	</xsl:template>
	<xsl:template match="tirc:CUTIR_Carnet/tirc:TIRShipment">
		<xsl:variable name="CUTIR_Carnet" select="ancestor::tirc:CUTIR_Carnet"/>
		<xsl:variable name="consignment-number">
			<xsl:call-template name="consignment-number">
				<xsl:with-param name="TIRGoods" select="tirc:TIRGoods[1]"/>
			</xsl:call-template>
		</xsl:variable>
		<VTTPRIM_ITEM>
			<xsl:copy-of select="$FORMXML"/>
			<xsl:for-each select="$CUTIR_Carnet">
				<TYPEBTT>
					<xsl:for-each select="tirc:TransitDirectionCode[1]">
						<xsl:choose>
							<xsl:when test=".='ЭК'">
								<xsl:value-of select="."/>
							</xsl:when>
							<xsl:when test=".='ИМ'">
								<xsl:value-of select="."/>
							</xsl:when>
							<xsl:when test=".='ТР'">
								<xsl:value-of select="."/>
							</xsl:when>
							<xsl:when test=".='ПР'">
								<xsl:value-of select="."/>
							</xsl:when>
							<xsl:when test=".='ТС' or .='ВТ'">
								<xsl:value-of select="'ПР'"/>
							</xsl:when>
							<!--Иначе это не транзитная декларация, журнал определится автоматом по журналу вызова загрузки-->
						</xsl:choose>
					</xsl:for-each>
				</TYPEBTT>
				<G011>
					<xsl:value-of select="tirc:TransitDirectionCode[1]"/>
				</G011>
				<xsl:for-each select="tirc:GoodsQuantity[1]">
					<G05>
						<xsl:value-of select="."/>
					</G05>
				</xsl:for-each>
				<xsl:for-each select="tirc:DispatchCountryCode[1]">
					<G15C_ABC2>
						<xsl:value-of select="."/>
					</G15C_ABC2>
				</xsl:for-each>
				<xsl:for-each select="tirc:DispatchCountryName[1]">
					<G15>
						<xsl:value-of select="."/>
					</G15>
				</xsl:for-each>
				<xsl:for-each select="tirc:DestinationCountryCode[1]">
					<G17C_ABC2>
						<xsl:value-of select="."/>
					</G17C_ABC2>
				</xsl:for-each>
				<xsl:for-each select="tirc:DestinationCountryName[1]">
					<G17B>
						<xsl:value-of select="."/>
					</G17B>
				</xsl:for-each>
				<xsl:for-each select="tirc:InvoicedCostCurrencyCode[1]">
					<G221_BUK>
						<xsl:value-of select="."/>
					</G221_BUK>
				</xsl:for-each>
				<xsl:for-each select="tirc:TotalInvoicedCost[1]">
					<G222>
						<xsl:value-of select="."/>
					</G222>
				</xsl:for-each>
				<xsl:for-each select="tirc:DateExpectedArrival[1]">
					<PIARRIVALDATE>
						<xsl:value-of select="."/>
					</PIARRIVALDATE>
				</xsl:for-each>
				<xsl:for-each select="tirc:TimeExpectedArrival[1]">
					<PIARRIVALTIME>
						<xsl:value-of select="."/>
					</PIARRIVALTIME>
				</xsl:for-each>
				<xsl:apply-templates select="tirc:TIRDeclarant"/>
			</xsl:for-each>
			<xsl:for-each select="tirc:TotalPlacesQuantity[1]">
				<G06>
					<xsl:value-of select="."/>
				</G06>
			</xsl:for-each>
			<xsl:variable name="G032">
				<G032>
					<xsl:call-template name="decl-page-number">
						<xsl:with-param name="GoodsNumber" select="count(tirc:TIRGoods)"/>
					</xsl:call-template>
				</G032>
			</xsl:variable>
			<xsl:copy-of select="$G032"/>
			<xsl:apply-templates select="tirc:TIRConsignor"/>
			<xsl:apply-templates select="tirc:TIRConsignee"/>
			<xsl:for-each select="$CUTIR_Carnet/tirc:Carrier[1]">
				<xsl:for-each select="cat_ru:RFOrganizationFeatures[1]">
					<xsl:for-each select="cat_ru:OGRN[1]">
						<DRIVEROGRN>
							<xsl:value-of select="."/>
						</DRIVEROGRN>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:INN[1]">
						<INN_DRIVER>
							<xsl:value-of select="."/>
						</INN_DRIVER>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:KPP[1]">
						<KPP_DRIVER>
							<xsl:value-of select="."/>
						</KPP_DRIVER>
					</xsl:for-each>
				</xsl:for-each>
				<xsl:for-each select="cat_ru:OrganizationName[1]">
					<G501>
						<xsl:value-of select="."/>
					</G501>
				</xsl:for-each>
				<xsl:for-each select="cat_ru:Address[1]">
					<xsl:for-each select="cat_ru:City[1]">
						<G14_CITY>
							<xsl:value-of select="."/>
						</G14_CITY>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:CountryCode[1]">
						<G14_COUNTRYCODE>
							<xsl:value-of select="."/>
						</G14_COUNTRYCODE>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:CounryName[1]">
						<G14_COUNTRYNAME>
							<xsl:value-of select="."/>
						</G14_COUNTRYNAME>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:PostalCode[1]">
						<G14_POSTALCODE>
							<xsl:value-of select="."/>
						</G14_POSTALCODE>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:Region[1]">
						<G14_REGION>
							<xsl:value-of select="."/>
						</G14_REGION>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:StreetHouse[1]">
						<G14_STREETHOUSE>
							<xsl:value-of select="."/>
						</G14_STREETHOUSE>
					</xsl:for-each>
				</xsl:for-each>
				<xsl:for-each select="cat_ru:IdentityCard">
					<xsl:for-each select="cat_ru:IdentityCardCode[1]">
						<G14_PERSCARDCODE>
							<xsl:value-of select="."/>
						</G14_PERSCARDCODE>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:IdentityCardName[1]">
						<G14_PERSCARDNAME>
							<xsl:value-of select="."/>
						</G14_PERSCARDNAME>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:IdentityCardSeries[1]">
						<G14_PERSCARDSERIES>
							<xsl:value-of select="."/>
						</G14_PERSCARDSERIES>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:IdentityCardNumber[1]">
						<G14_PERSCARDNUM>
							<xsl:value-of select="."/>
						</G14_PERSCARDNUM>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:IdentityCardDate[1]">
						<G14_PERSCARDDATE>
							<xsl:value-of select="."/>
						</G14_PERSCARDDATE>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:OrganizationName[1]">
						<G14_PERSCARDORG>
							<xsl:value-of select="."/>
						</G14_PERSCARDORG>
					</xsl:for-each>
				</xsl:for-each>
				<xsl:for-each select="tirc:CUDriverInformation[1]">
					<xsl:for-each select="cat_ru:PersonName[1]">
						<PRINCIPALPERSNAME>
							<xsl:value-of select="."/>
						</PRINCIPALPERSNAME>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:PersonMiddleName[1]">
						<PRINCIPALPERSMIDDLENAME>
							<xsl:value-of select="."/>
						</PRINCIPALPERSMIDDLENAME>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:PersonSurname[1]">
						<PRINCIPALPERSSURNAME>
							<xsl:value-of select="."/>
						</PRINCIPALPERSSURNAME>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:IdentityCard[1]">
						<xsl:for-each select="cat_ru:IdentityCardCode[1]">
							<PRINCIPALPERSCARDCODE>
								<xsl:value-of select="."/>
							</PRINCIPALPERSCARDCODE>
						</xsl:for-each>
						<xsl:for-each select="cat_ru:IdentityCardName[1]">
							<PRINCIPALPERSCARDNAME>
								<xsl:value-of select="."/>
							</PRINCIPALPERSCARDNAME>
						</xsl:for-each>
						<xsl:for-each select="cat_ru:IdentityCardSeries[1]">
							<PRINCIPALPERSCARDSERIES>
								<xsl:value-of select="."/>
							</PRINCIPALPERSCARDSERIES>
						</xsl:for-each>
						<xsl:for-each select="cat_ru:IdentityCardNumber[1]">
							<PRINCIPALPERSCARDNUM>
								<xsl:value-of select="."/>
							</PRINCIPALPERSCARDNUM>
						</xsl:for-each>
						<xsl:for-each select="cat_ru:IdentityCardDate[1]">
							<PRINCIPALPERSCARDDATE>
								<xsl:value-of select="."/>
							</PRINCIPALPERSCARDDATE>
						</xsl:for-each>
						<xsl:for-each select="cat_ru:OrganizationName[1]">
							<PRINCIPALPERSCARDORG>
								<xsl:value-of select="."/>
							</PRINCIPALPERSCARDORG>
						</xsl:for-each>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="tirc:ContainerIndicator[1]">
				<G19>
					<xsl:call-template name="boolean-from-string"/>
				</G19>
			</xsl:for-each>
			<xsl:for-each select="tirc:Destination">
				<xsl:for-each select="catTrans_cu:DeliveryCustomsPostCode[.!=''][1]">
					<GA3>
						<xsl:value-of select="."/>
					</GA3>
					<G531>
						<xsl:value-of select="."/>
					</G531>
				</xsl:for-each>
				<xsl:for-each select="catTrans_cu:DestinationPlaceName[.!=''][1]">
					<GA1>
						<xsl:value-of select="."/>
					</GA1>
					<G53>
						<xsl:value-of select="."/>
					</G53>
				</xsl:for-each>
				<xsl:for-each select="catTrans_cu:Address/cat_ru:CountryCode[.!=''][1]">
					<DELIVERYCUSTOMSCOUNTRYCODE>
						<xsl:value-of select="."/>
					</DELIVERYCUSTOMSCOUNTRYCODE>
				</xsl:for-each>
				<xsl:for-each select="catTrans_cu:Address[.!=''][1]">
					<A_PLACE>
						<xsl:call-template name="concat-delimited">
							<xsl:with-param name="string1" select="cat_ru:PostalCode"/>
							<xsl:with-param name="delimiter1" select="' '"/>
							<xsl:with-param name="string2" select="(cat_ru:CountryCode[.!='']  | cat_ru:CounryName[.!=''])[position()=last()]"/>
							<xsl:with-param name="delimiter2" select="','"/>
							<xsl:with-param name="string3" select="cat_ru:Region"/>
							<xsl:with-param name="delimiter3" select="','"/>
							<xsl:with-param name="string4" select="cat_ru:City"/>
							<xsl:with-param name="delimiter4" select="','"/>
							<xsl:with-param name="string5" select="cat_ru:StreetHouse"/>
						</xsl:call-template>
					</A_PLACE>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="tirc:BorderCustoms[1]">
				<xsl:for-each select="cat_ru:Code[1]">
					<PIARRIVALPLACECODE>
						<xsl:value-of select="."/>
					</PIARRIVALPLACECODE>
				</xsl:for-each>
				<xsl:for-each select="cat_ru:CustomsCountryCode[1]">
					<PIARRIVALCOUNTRYCODE>
						<xsl:call-template name="CountryCodeABC2">
							<xsl:with-param name="Code" select="."/>
						</xsl:call-template>
					</PIARRIVALCOUNTRYCODE>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:variable name="Transport" select="$CUTIR_Carnet/tirc:CUTransport[1]"/>
			<xsl:variable name="ActiveTransportMeans" select="$Transport/tirc:TransportMeans[cat_ru:ActiveTransportIdentifier[.='' or .=../cat_ru:TransportIdentifier] or not(cat_ru:ActiveTransportIdentifier) or not(cat_ru:TransportIdentifier)]"/>
			<xsl:variable name="TrailerTransportMeans" select="$Transport/tirc:TransportMeans[cat_ru:ActiveTransportIdentifier=$ActiveTransportMeans/cat_ru:TransportIdentifier]"/>
			<xsl:for-each select="$Transport">
				<xsl:for-each select="cat_ru:TransportModeCode[1]">
					<G251>
						<xsl:value-of select="."/>
					</G251>
				</xsl:for-each>
				<xsl:for-each select="cat_ru:TransportNationalityCode[1]">
					<G182_ABC2>
						<xsl:value-of select="."/>
					</G182_ABC2>
				</xsl:for-each>
				<xsl:for-each select="tirc:TransportMeansQuantity[1]">
					<G183>
						<xsl:value-of select="."/>
					</G183>
				</xsl:for-each>
				<xsl:for-each select="$ActiveTransportMeans[1]">
					<xsl:for-each select="cat_ru:TransportIdentifier[1]">
						<G181>
							<xsl:value-of select="."/>
						</G181>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:VIN[1]">
						<VIN>
							<xsl:value-of select="."/>
						</VIN>
					</xsl:for-each>
				</xsl:for-each>
				<xsl:for-each select="$TrailerTransportMeans[1]">
					<xsl:for-each select="cat_ru:TransportIdentifier[1]">
						<TRAILER>
							<xsl:value-of select="."/>
						</TRAILER>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:VIN[1]">
						<VIN1>
							<xsl:value-of select="."/>
						</VIN1>
					</xsl:for-each>
				</xsl:for-each>
				<xsl:for-each select="$TrailerTransportMeans[2]">
					<xsl:for-each select="cat_ru:TransportIdentifier[1]">
						<TRAILER2>
							<xsl:value-of select="."/>
						</TRAILER2>
					</xsl:for-each>
					<xsl:for-each select="cat_ru:VIN[1]">
						<VIN2>
							<xsl:value-of select="."/>
						</VIN2>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:variable name="default-contract-currency-code" select="$CUTIR_Carnet/tirc:InvoicedCostCurrencyCode[1]"/>
			<xsl:variable name="ContainerID-distinct" select="tirc:ContainerID[not(.=preceding::tirc:ContainerID)]"/>
			<xsl:variable name="G3161">
				<G3161>
					<xsl:for-each select="$ContainerID-distinct">
						<xsl:value-of select="."/>
						<xsl:if test="not(position()=last())">
							<xsl:value-of select='","'/>
						</xsl:if>
					</xsl:for-each>
				</G3161>
			</xsl:variable>
			<xsl:variable name="G3160">
				<xsl:variable name="result" select="count($ContainerID-distinct)"/>
				<xsl:if test="$result > 0">
					<G3160>
						<xsl:value-of select="$result"/>
					</G3160>
				</xsl:if>
			</xsl:variable>
			<G19>
				<xsl:if test="count($ContainerID-distinct)>0">
					<xsl:value-of select="'1'"/>
				</xsl:if>
			</G19>
			<VTTDOP>
				<xsl:for-each select="tirc:TIRGoods">
					<VTTDOP_ITEM>
						<xsl:variable name="G32">
							<xsl:choose>
								<xsl:when test="string(number(tirc:GoodsNumeric))!='NaN'">
									<xsl:value-of select="tirc:GoodsNumeric"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="position()"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<G32>
							<xsl:value-of select="$G32"/>
						</G32>
						<G031>
							<xsl:call-template name="decl-page-number">
								<xsl:with-param name="GoodsNumber" select="$G32"/>
							</xsl:call-template>
						</G031>
						<xsl:copy-of select="$G032"/>
						<G312>
							<xsl:for-each select="tirc:GoodsDescription">
								<xsl:value-of select="."/>
							</xsl:for-each>
						</G312>
						<G35>
							<xsl:value-of select="tirc:GrossWeightQuantity"/>
						</G35>
						<G42>
							<xsl:value-of select="tirc:InvoicedCost"/>
						</G42>
						<xsl:for-each select="($default-contract-currency-code | tirc:InvoicedCostCurrencyCode[1])[position()=last()]">
							<INVCCOSTCODE>
								<xsl:value-of select="."/>
							</INVCCOSTCODE>
						</xsl:for-each>
						<G33>
							<xsl:value-of select="tirc:GoodsTNVEDCode"/>
						</G33>
						<G34_ABC2>
							<xsl:value-of select="tirc:OriginCountryCode"/>
						</G34_ABC2>
						<G315A>
							<xsl:value-of select="tirc:SupplementaryGoodsQuantity"/>
						</G315A>
						<G41A>
							<xsl:value-of select="tirc:SupplementaryMeasureUnitCode"/>
						</G41A>
						<xsl:for-each select="(tirc:PlacesInfo | tirc:PackingInfo)[1]">
							<G311>
								<xsl:value-of select="catTrans_cu:PakingQuantity"/>
							</G311>
						</xsl:for-each>
						<VTTDOPPACK>
							<xsl:for-each select="tirc:PlacesInfo | tirc:PackingInfo">
								<VTTDOPPACK_ITEM>
									<NPP>
										<xsl:value-of select="position()"/>
									</NPP>
									<xsl:for-each select="catTrans_cu:PackingCode[1]">
										<G318>
											<xsl:value-of select="."/>
										</G318>
									</xsl:for-each>
									<xsl:for-each select="catTrans_cu:PakingQuantity[1]">
										<G314>
											<xsl:value-of select="."/>
										</G314>
									</xsl:for-each>
								</VTTDOPPACK_ITEM>
							</xsl:for-each>
						</VTTDOPPACK>
						<xsl:variable name="G40">
							<xsl:choose>
								<xsl:when test="tirc:PrecedingDocument[ string(tirc:PrecedingDocumentNumber) ]">
									<xsl:apply-templates mode="G40" select="(  tirc:PrecedingDocument[ string(tirc:PrecedingDocumentNumber) ]  )[1]"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:apply-templates mode="G40" select="(  $CUTIR_Carnet/tirc:PrecedingDocument[ string(tirc:PrecedingDocumentNumber) ]  )[1]"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:variable name="VTTDOPPRESDOCS">
							<xsl:choose>
								<xsl:when test="tirc:PrecedingDocument[ string(tirc:PrecedingDocumentNumber) ]">
									<xsl:apply-templates select="(  tirc:PrecedingDocument[ string(tirc:PrecedingDocumentNumber) ]  )[1]"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:apply-templates select="(  $CUTIR_Carnet/tirc:PrecedingDocument[ string(tirc:PrecedingDocumentNumber) ]  )[1]"/>
								</xsl:otherwise>
							</xsl:choose>
							<VTTDOPPRESDOCS>
								<!--к товарному списку примешиваем общий список, но без повторов (на случай, если кто-то выгружает в общий список все копии товарных списков)-->
								<xsl:variable name="uniq-general-CUPresentedDocuments" select="$CUTIR_Carnet/tirc:CUPresentedDocuments[ not(key(  'goods-CUPresentedDocuments', concat( generate-id(current()), string() )  )) ]"/>
								<xsl:variable name="mixed-CUPresentedDocuments" select="$uniq-general-CUPresentedDocuments | tirc:CUPresentedDocuments"/>
								<xsl:if test="0 = count($mixed-CUPresentedDocuments[cat_ru:PrDocumentNumber=$consignment-number and tirc:PresentedDocumentModeCode=$code-presented-waybill])">
									<VTTDOPPRESDOCS_ITEM>
										<DOCNUM>
											<xsl:value-of select="$consignment-number"/>
										</DOCNUM>
										<DOCCODE>
											<xsl:value-of select="$code-presented-waybill"/>
										</DOCCODE>
									</VTTDOPPRESDOCS_ITEM>
								</xsl:if>
								<xsl:apply-templates select="$mixed-CUPresentedDocuments">
									<xsl:sort data-type="text" select="tirc:PresentedDocumentModeCode"/>
								</xsl:apply-templates>
								<!--сортировка соединённого списка по коду документа, чтобы не оказались однотипные документы разбросанными по соединённого списку из-за примешивания списка общих к списку товарных. Если не сортировать, то общие выйдут всегда в начале, а за ними товарные.-->
							</VTTDOPPRESDOCS>
						</xsl:variable>
						<xsl:copy-of select="$G3161"/>
						<xsl:copy-of select="$G3160"/>
						<xsl:copy-of select="$VTTDOPPRESDOCS"/>
						<xsl:copy-of select="$G40"/>
					</VTTDOP_ITEM>
				</xsl:for-each>
			</VTTDOP>
		</VTTPRIM_ITEM>
	</xsl:template>
	<xsl:template match="tirc:PrecedingDocument" mode="G40">
		<G40>
			<xsl:call-template name="customs-number-encode">
				<xsl:with-param name="part-code" select="tirc:PrecedingDocumentCustomsCode"/>
				<xsl:with-param name="part-date" select="tirc:PrecedingDocumentDate"/>
				<xsl:with-param name="part-number" select="tirc:PrecedingDocumentNumber"/>
			</xsl:call-template>
		</G40>
		<PRECEDDOCTYPE>
			<xsl:value-of select="tirc:PrecedingDocumentModeCode"/>
		</PRECEDDOCTYPE>
	</xsl:template>
	<xsl:template match="tirc:CUPresentedDocuments" mode="VTTDOPPRESDOCS_ITEM">
		<VTTDOPPRESDOCS_ITEM>
			<xsl:for-each select="cat_ru:PrDocumentNumber[1]">
				<DOCNUM>
					<xsl:value-of select="."/>
				</DOCNUM>
			</xsl:for-each>
			<xsl:for-each select="cat_ru:PrDocumentDate[1]">
				<DOCDATE>
					<xsl:value-of select="."/>
				</DOCDATE>
			</xsl:for-each>
			<xsl:for-each select="tirc:PresentedDocumentModeCode[1]">
				<DOCCODE>
					<xsl:value-of select="."/>
				</DOCCODE>
			</xsl:for-each>
		</VTTDOPPRESDOCS_ITEM>
	</xsl:template>
	<xsl:key use="concat(generate-id(parent::*), string())" match="tirc:TIRGoods/tirc:CUPresentedDocuments" name="goods-CUPresentedDocuments"/>
	<xsl:template match="tirc:TIRConsignor">
		<xsl:for-each select="cat_ru:RFOrganizationFeatures[1]">
			<xsl:for-each select="cat_ru:OGRN[1]">
				<SENDEROGRN>
					<xsl:value-of select="."/>
				</SENDEROGRN>
			</xsl:for-each>
			<xsl:for-each select="cat_ru:INN[1]">
				<M021>
					<xsl:value-of select="."/>
				</M021>
			</xsl:for-each>
			<xsl:for-each select="cat_ru:KPP[1]">
				<KPP>
					<xsl:value-of select="."/>
				</KPP>
			</xsl:for-each>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:OrganizationName[1]">
			<G022>
				<xsl:value-of select="."/>
			</G022>
		</xsl:for-each>
		<xsl:apply-templates select="cat_ru:Address"/>
		<xsl:apply-templates select="cat_ru:IdentityCard"/>
	</xsl:template>
	<xsl:template match="tirc:TIRConsignor/cat_ru:Address">
		<xsl:for-each select="cat_ru:City[1]">
			<G02_CITY>
				<xsl:value-of select="."/>
			</G02_CITY>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:CountryCode[1]">
			<G02_COUNTRYCODE>
				<xsl:value-of select="."/>
			</G02_COUNTRYCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:CounryName[1]">
			<G02_COUNTRYNAME>
				<xsl:value-of select="."/>
			</G02_COUNTRYNAME>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:PostalCode[1]">
			<G02_POSTALCODE>
				<xsl:value-of select="."/>
			</G02_POSTALCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:Region[1]">
			<G02_REGION>
				<xsl:value-of select="."/>
			</G02_REGION>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:StreetHouse[1]">
			<G02_STREETHOUSE>
				<xsl:value-of select="."/>
			</G02_STREETHOUSE>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="tirc:TIRConsignor/cat_ru:IdentityCard">
		<xsl:for-each select="cat_ru:IdentityCardCode[1]">
			<G02_PERSCARDCODE>
				<xsl:value-of select="."/>
			</G02_PERSCARDCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:IdentityCardName[1]">
			<G02_PERSCARDNAME>
				<xsl:value-of select="."/>
			</G02_PERSCARDNAME>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:IdentityCardSeries[1]">
			<G02_PERSCARDSERIES>
				<xsl:value-of select="."/>
			</G02_PERSCARDSERIES>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:IdentityCardNumber[1]">
			<G02_PERSCARDNUM>
				<xsl:value-of select="."/>
			</G02_PERSCARDNUM>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:IdentityCardDate[1]">
			<G02_PERSCARDDATE>
				<xsl:value-of select="."/>
			</G02_PERSCARDDATE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:OrganizationName[1]">
			<G02_PERSCARDORG>
				<xsl:value-of select="."/>
			</G02_PERSCARDORG>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="tirc:TIRConsignee">
		<xsl:for-each select="cat_ru:RFOrganizationFeatures[1]">
			<xsl:for-each select="cat_ru:OGRN[1]">
				<RECEIVOGRN>
					<xsl:value-of select="."/>
				</RECEIVOGRN>
			</xsl:for-each>
			<xsl:for-each select="cat_ru:INN[1]">
				<M081>
					<xsl:value-of select="."/>
				</M081>
			</xsl:for-each>
			<xsl:for-each select="cat_ru:KPP[1]">
				<KPP_RECEIV>
					<xsl:value-of select="."/>
				</KPP_RECEIV>
			</xsl:for-each>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:OrganizationName[1]">
			<G082>
				<xsl:value-of select="."/>
			</G082>
		</xsl:for-each>
		<xsl:apply-templates select="cat_ru:Address"/>
		<xsl:apply-templates select="cat_ru:IdentityCard"/>
	</xsl:template>
	<xsl:template match="tirc:TIRConsignee/cat_ru:Address">
		<xsl:for-each select="cat_ru:City[1]">
			<G08_CITY>
				<xsl:value-of select="."/>
			</G08_CITY>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:CountryCode[1]">
			<G08_COUNTRYCODE>
				<xsl:value-of select="."/>
			</G08_COUNTRYCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:CounryName[1]">
			<G08_COUNTRYNAME>
				<xsl:value-of select="."/>
			</G08_COUNTRYNAME>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:PostalCode[1]">
			<G08_POSTALCODE>
				<xsl:value-of select="."/>
			</G08_POSTALCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:Region[1]">
			<G08_REGION>
				<xsl:value-of select="."/>
			</G08_REGION>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:StreetHouse[1]">
			<G08_STREETHOUSE>
				<xsl:value-of select="."/>
			</G08_STREETHOUSE>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="tirc:TIRConsignee/cat_ru:IdentityCard">
		<xsl:for-each select="cat_ru:IdentityCardCode[1]">
			<G08_PERSCARDCODE>
				<xsl:value-of select="."/>
			</G08_PERSCARDCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:IdentityCardName[1]">
			<G08_PERSCARDNAME>
				<xsl:value-of select="."/>
			</G08_PERSCARDNAME>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:IdentityCardSeries[1]">
			<G08_PERSCARDSERIES>
				<xsl:value-of select="."/>
			</G08_PERSCARDSERIES>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:IdentityCardNumber[1]">
			<G08_PERSCARDNUM>
				<xsl:value-of select="."/>
			</G08_PERSCARDNUM>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:IdentityCardDate[1]">
			<G08_PERSCARDDATE>
				<xsl:value-of select="."/>
			</G08_PERSCARDDATE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:OrganizationName[1]">
			<G08_PERSCARDORG>
				<xsl:value-of select="."/>
			</G08_PERSCARDORG>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="tirc:TIRDeclarant">
		<xsl:for-each select="cat_ru:RFOrganizationFeatures[1]">
			<xsl:for-each select="cat_ru:OGRN[1]">
				<FA_OGRN>
					<xsl:value-of select="."/>
				</FA_OGRN>
			</xsl:for-each>
			<xsl:for-each select="cat_ru:INN[1]">
				<FA_INN>
					<xsl:value-of select="."/>
				</FA_INN>
			</xsl:for-each>
			<xsl:for-each select="cat_ru:KPP[1]">
				<FA_KPP>
					<xsl:value-of select="."/>
				</FA_KPP>
			</xsl:for-each>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:OrganizationName[1]">
			<FAGENTNAME>
				<xsl:value-of select="."/>
			</FAGENTNAME>
		</xsl:for-each>
		<xsl:apply-templates select="cat_ru:Address"/>
		<xsl:apply-templates select="cat_ru:IdentityCard"/>
	</xsl:template>
	<xsl:template match="tirc:TIRDeclarant/cat_ru:Address">
		<xsl:for-each select="cat_ru:City[1]">
			<FA_CITY>
				<xsl:value-of select="."/>
			</FA_CITY>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:CountryCode[1]">
			<FA_COUNTRYCODE>
				<xsl:value-of select="."/>
			</FA_COUNTRYCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:CounryName[1]">
			<FA_COUNTRYNAME>
				<xsl:value-of select="."/>
			</FA_COUNTRYNAME>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:PostalCode[1]">
			<FA_POSTALCODE>
				<xsl:value-of select="."/>
			</FA_POSTALCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:Region[1]">
			<FA_REGION>
				<xsl:value-of select="."/>
			</FA_REGION>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:StreetHouse[1]">
			<FA_STREETHOUSE>
				<xsl:value-of select="."/>
			</FA_STREETHOUSE>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="tirc:TIRDeclarant/cat_ru:IdentityCard">
		<xsl:for-each select="cat_ru:IdentityCardCode[1]">
			<FA_PERSCARDCODE>
				<xsl:value-of select="."/>
			</FA_PERSCARDCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:IdentityCardName[1]">
			<FA_PERSCARDNAME>
				<xsl:value-of select="."/>
			</FA_PERSCARDNAME>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:IdentityCardSeries[1]">
			<FA_PERSCARDSERIES>
				<xsl:value-of select="."/>
			</FA_PERSCARDSERIES>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:IdentityCardNumber[1]">
			<FA_PERSCARDNUM>
				<xsl:value-of select="."/>
			</FA_PERSCARDNUM>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:IdentityCardDate[1]">
			<FA_PERSCARDDATE>
				<xsl:value-of select="."/>
			</FA_PERSCARDDATE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:OrganizationName[1]">
			<FA_PERSCARDORG>
				<xsl:value-of select="."/>
			</FA_PERSCARDORG>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="decl-page-number">
		<xsl:param name="GoodsNumber"/>
		<xsl:variable name="float-point-result" select="( $GoodsNumber + 4 ) div 3"/>
		<xsl:variable name="integer-result" select="substring-before($float-point-result, '.')"/>
		<xsl:if test="$integer-result>0">
			<xsl:value-of select="$integer-result"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="consignment-number">
		<xsl:param name="TIRGoods"/>
		<xsl:variable name="from-kpspi">
			<xsl:value-of select="$TIRGoods/tirc:TTNNumber[1]"/>
			<!--считаем, что во всех товарах партии одинаковый номер накладной - как в RNTS КПС "Транзитные операции" АСКТТ-2-->
		</xsl:variable>
		<xsl:variable name="from-tks">
			<xsl:value-of select="/tirc:CUTIR_Carnet/tirc:CUPresentedDocuments[tirc:PresentedDocumentModeCode=$code-presented-waybill][1]/cat_ru:PrDocumentNumber"/>
			<!--выгрузка из программы ТКС содержит накладную только в общем списке документов, без привязки к конкретной партии-->
		</xsl:variable>
		<xsl:variable name="default">
			<xsl:value-of select="//tirc:TIRGoods/tirc:TTNNumber[1]"/>
			<!--считаем, что во всех товарах партии одинаковый номер накладной - как в RNTS КПС "Транзитные операции" АСКТТ-2-->
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="string-length($from-kpspi)">
				<xsl:value-of select="$from-kpspi"/>
			</xsl:when>
			<xsl:when test="string-length($from-tks)">
				<xsl:value-of select="$from-tks"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$default"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
