<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="template-vtdecl.xsl"/>
	<xsl:import href="template-country.xsl"/>
	<xsl:import href="template-currency.xsl"/>
	<xsl:output method="xml"/>
	<xsl:template match="*|/">
		<xsl:apply-templates select=".//ALLDOCUMENTS"/>
	</xsl:template>
	<xsl:template match="ALLDOCUMENTS">
		<xsl:variable name="first-DECLPRIM_ITEM" select="(.//DECLPRIM_ITEM)[1]"/>
		<xsl:variable name="TODO-this-for-many-DECLPRIM_ITEM" select="count(.//DECLPRIM_ITEM) > 1"/>
		<VTTPRIM>
			<VTTPRIM_ITEM>
				<xsl:copy-of select="$FORMXML"/>
				<xsl:variable name="G011">
					<xsl:value-of select=".//G011"/>
				</xsl:variable>
				<TypeBTT>
					<xsl:value-of select="$G011"/>
				</TypeBTT>
				<G011>
					<xsl:value-of select="$G011"/>
				</G011>
				<G0131>
					<xsl:choose>
						<xsl:when test="$G011='ТР'">
							<xsl:value-of select="'МТТ'"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'ВТТ'"/>
						</xsl:otherwise>
					</xsl:choose>
				</G0131>
				<G022>
					<xsl:value-of select=".//G022"/>
				</G022>
				<xsl:call-template name="country-name-and-code">
					<xsl:with-param name="name" select=".//G0231N"/>
					<xsl:with-param name="code-ABC2" select=".//G0231"/>
					<xsl:with-param name="element-of-name" select="'G02_COUNTRYNAME'"/>
					<xsl:with-param name="element-of-code-ABC2" select="'G02_COUNTRYCODE'"/>
					<xsl:with-param name="namespace-context" select="document('')"/>
				</xsl:call-template>
				<G02_POSTALCODE>
					<xsl:value-of select=".//G023POST"/>
				</G02_POSTALCODE>
				<G02_REGION>
					<xsl:value-of select=".//G023SUBD"/>
				</G02_REGION>
				<G02_CITY>
					<xsl:value-of select=".//G023CITY"/>
				</G02_CITY>
				<G02_STREETHOUSE>
					<xsl:value-of select=".//G023STREET"/>
				</G02_STREETHOUSE>
				<M021>
					<xsl:value-of select=".//M021"/>
				</M021>
				<KPP>
					<xsl:value-of select=".//G027"/>
				</KPP>
				<SENDEROGRN>
					<xsl:value-of select=".//G020"/>
				</SENDEROGRN>
				<G02_PERSCARDCODE>
					<xsl:value-of select=".//G0281"/>
				</G02_PERSCARDCODE>
				<G02_PERSCARDNAME>
					<xsl:value-of select=".//G0281A"/>
				</G02_PERSCARDNAME>
				<G02_PERSCARDSERIES>
					<xsl:value-of select=".//G02821"/>
				</G02_PERSCARDSERIES>
				<G02_PERSCARDNUM>
					<xsl:value-of select=".//G02822"/>
				</G02_PERSCARDNUM>
				<G02_PERSCARDDATE>
					<xsl:value-of select=".//G0283"/>
				</G02_PERSCARDDATE>
				<G02_PERSCARDORG>
					<xsl:value-of select=".//G02823"/>
				</G02_PERSCARDORG>
				<xsl:variable name="G032">
					<xsl:value-of select=".//G032"/>
				</xsl:variable>
				<xsl:if test="not($TODO-this-for-many-DECLPRIM_ITEM)">
					<G032>
						<xsl:value-of select="$G032"/>
					</G032>
					<G04>
						<xsl:value-of select=".//G040"/>
					</G04>
					<NLIST>
						<xsl:value-of select=".//G04"/>
					</NLIST>
					<G06>
						<xsl:value-of select=".//G06"/>
					</G06>
				</xsl:if>
				<G05>
					<xsl:value-of select="count(.//DECLDOP_ITEM)"/>
				</G05>
				<G082>
					<xsl:value-of select=".//G082"/>
				</G082>
				<xsl:call-template name="country-name-and-code">
					<xsl:with-param name="name" select=".//G0831N"/>
					<xsl:with-param name="code-ABC2" select=".//G0831"/>
					<xsl:with-param name="element-of-name" select="'G08_COUNTRYNAME'"/>
					<xsl:with-param name="element-of-code-ABC2" select="'G08_COUNTRYCODE'"/>
					<xsl:with-param name="namespace-context" select="document('')"/>
				</xsl:call-template>
				<G08_POSTALCODE>
					<xsl:value-of select=".//G083POST"/>
				</G08_POSTALCODE>
				<G08_REGION>
					<xsl:value-of select=".//G083SUBD"/>
				</G08_REGION>
				<G08_CITY>
					<xsl:value-of select=".//G083CITY"/>
				</G08_CITY>
				<G08_STREETHOUSE>
					<xsl:value-of select=".//G083STREET"/>
				</G08_STREETHOUSE>
				<M081>
					<xsl:value-of select=".//M081"/>
				</M081>
				<KPP_RECEIV>
					<xsl:value-of select=".//G087"/>
				</KPP_RECEIV>
				<RECEIVOGRN>
					<xsl:value-of select=".//G080"/>
				</RECEIVOGRN>
				<G08_PERSCARDCODE>
					<xsl:value-of select=".//G0881"/>
				</G08_PERSCARDCODE>
				<G08_PERSCARDNAME>
					<xsl:value-of select=".//G0881A"/>
				</G08_PERSCARDNAME>
				<G08_PERSCARDSERIES>
					<xsl:value-of select=".//G08821"/>
				</G08_PERSCARDSERIES>
				<G08_PERSCARDNUM>
					<xsl:value-of select=".//G08822"/>
				</G08_PERSCARDNUM>
				<G08_PERSCARDDATE>
					<xsl:value-of select=".//G0883"/>
				</G08_PERSCARDDATE>
				<G08_PERSCARDORG>
					<xsl:value-of select=".//G08823"/>
				</G08_PERSCARDORG>
				<xsl:if test="not($TODO-this-for-many-DECLPRIM_ITEM)">
					<G12>
						<xsl:value-of select=".//G12"/>
					</G12>
				</xsl:if>
				<G15>
					<xsl:value-of select=".//G15"/>
				</G15>
				<G15C_ABC2>
					<xsl:value-of select=".//G15A"/>
				</G15C_ABC2>
				<G17B>
					<xsl:value-of select=".//G17B"/>
				</G17B>
				<G17C_ABC2>
					<xsl:value-of select=".//G17A"/>
				</G17C_ABC2>
				<xsl:apply-templates mode="G181-G211" select=".">
					<xsl:with-param name="NGR" select="'18'"/>
					<xsl:with-param name="GTDDKD_ITEM" select="$first-DECLPRIM_ITEM//GTDDKD_ITEM"/>
					<xsl:with-param name="value-of-Gxx1" select="$first-DECLPRIM_ITEM//G181"/>
					<xsl:with-param name="out-name-Gxx1" select="'G181'"/>
					<xsl:with-param name="out-name-TRAILER" select="'TRAILER'"/>
					<xsl:with-param name="out-name-TRAILER2" select="'TRAILER2'"/>
				</xsl:apply-templates>
				<G182_ABC2>
					<xsl:value-of select=".//G182"/>
				</G182_ABC2>
				<G183>
					<xsl:value-of select=".//G180"/>
				</G183>
				<xsl:if test="not($TODO-this-for-many-DECLPRIM_ITEM)">
					<G19>
						<xsl:value-of select=".//G19"/>
					</G19>
				</xsl:if>
				<xsl:apply-templates mode="G181-G211" select=".">
					<xsl:with-param name="NGR" select="'21'"/>
					<xsl:with-param name="GTDDKD_ITEM" select="$first-DECLPRIM_ITEM//GTDDKD_ITEM"/>
					<xsl:with-param name="value-of-Gxx1" select="$first-DECLPRIM_ITEM//G211"/>
					<xsl:with-param name="out-name-Gxx1" select="'G211'"/>
					<xsl:with-param name="out-name-TRAILER" select="'PRECEDTRAILER'"/>
					<xsl:with-param name="out-name-TRAILER2" select="'PRECEDTRAILER2'"/>
				</xsl:apply-templates>
				<G212_ABC2>
					<xsl:value-of select=".//G212"/>
				</G212_ABC2>
				<G213>
					<xsl:value-of select=".//G210"/>
				</G213>
				<xsl:if test="not($TODO-this-for-many-DECLPRIM_ITEM)">
					<!--TODO - непросто с G222 и G221_BUK - с учётом объединения нескольких DECLPRIM_ITEM в одну, и с учётом использования G45 (G12) при незаполненных G42 (G222), см. комментарий к G42 ниже-->
					<!--bug 20973 в примере заполняли только таможенную стоимость (Калининградские правила?)-->
					<G222>
						<xsl:call-template name="fix-float">
							<xsl:with-param name="float-number" select=".//G222"/>
						</xsl:call-template>
					</G222>
					<G221_BUK>
						<xsl:call-template name="currency-ABBR">
							<xsl:with-param name="Code" select=".//G221"/>
						</xsl:call-template>
					</G221_BUK>
				</xsl:if>
				<G251>
					<xsl:value-of select=".//G251"/>
				</G251>
				<G26>
					<xsl:value-of select=".//G261"/>
				</G26>
				<FAGENTNAME>
					<xsl:value-of select=".//G142"/>
				</FAGENTNAME>
				<xsl:call-template name="country-name-and-code">
					<xsl:with-param name="name" select=".//G1431N"/>
					<xsl:with-param name="code-ABC2" select=".//G1431"/>
					<xsl:with-param name="element-of-name" select="'FA_COUNTRYNAME'"/>
					<xsl:with-param name="element-of-code-ABC2" select="'FA_COUNTRYCODE'"/>
					<xsl:with-param name="namespace-context" select="document('')"/>
				</xsl:call-template>
				<FA_POSTALCODE>
					<xsl:value-of select=".//G143POST"/>
				</FA_POSTALCODE>
				<FA_REGION>
					<xsl:value-of select=".//G143SUBD"/>
				</FA_REGION>
				<FA_CITY>
					<xsl:value-of select=".//G143CITY"/>
				</FA_CITY>
				<FA_STREETHOUSE>
					<xsl:value-of select=".//G143STREET"/>
				</FA_STREETHOUSE>
				<FA_INN>
					<xsl:value-of select=".//M141"/>
				</FA_INN>
				<FA_KPP>
					<xsl:value-of select=".//G147"/>
				</FA_KPP>
				<FA_OGRN>
					<xsl:value-of select=".//G140"/>
				</FA_OGRN>
				<FA_PERSCARDCODE>
					<xsl:value-of select=".//G1481"/>
				</FA_PERSCARDCODE>
				<FA_PERSCARDNAME>
					<xsl:value-of select=".//G1481A"/>
				</FA_PERSCARDNAME>
				<FA_PERSCARDSERIES>
					<xsl:value-of select=".//G14821"/>
				</FA_PERSCARDSERIES>
				<FA_PERSCARDNUM>
					<xsl:value-of select=".//G14822"/>
				</FA_PERSCARDNUM>
				<FA_PERSCARDDATE>
					<xsl:value-of select=".//G1483"/>
				</FA_PERSCARDDATE>
				<FA_PERSCARDORG>
					<xsl:value-of select=".//G14823"/>
				</FA_PERSCARDORG>
				<PRINCIPALPERSSURNAME>
					<xsl:value-of select=".//G5441"/>
				</PRINCIPALPERSSURNAME>
				<PRINCIPALPERSNAME>
					<xsl:value-of select=".//G5441NAME"/>
				</PRINCIPALPERSNAME>
				<PRINCIPALPERSMIDDLENAME>
					<xsl:value-of select=".//G5441MDLNAME"/>
				</PRINCIPALPERSMIDDLENAME>
				<PRINCIPALPERSCARDCODE>
					<xsl:value-of select=".//G5451"/>
				</PRINCIPALPERSCARDCODE>
				<PRINCIPALPERSCARDNAME>
					<xsl:value-of select=".//G5451A"/>
				</PRINCIPALPERSCARDNAME>
				<PRINCIPALPERSCARDSERIES>
					<xsl:value-of select=".//G54521"/>
				</PRINCIPALPERSCARDSERIES>
				<PRINCIPALPERSCARDNUM>
					<xsl:value-of select=".//G5444_1"/>
				</PRINCIPALPERSCARDNUM>
				<PRINCIPALPERSCARDDATE>
					<xsl:value-of select=".//G5445_1"/>
				</PRINCIPALPERSCARDDATE>
				<PRINCIPALPERSCARDORG>
					<xsl:value-of select=".//G54523"/>
				</PRINCIPALPERSCARDORG>
				<GTDDKD>
					<xsl:for-each select="$first-DECLPRIM_ITEM//GTDDKD_ITEM[ISBACKSIDE=string(true())][NGR='18' or NGR='21']">
						<xsl:sort select="NGR" data-type="number"/>
						<xsl:sort select="CNT" data-type="number"/>
						<GTDDKD_ITEM>
							<NGR>
								<xsl:value-of select="NGR"/>
							</NGR>
							<NTRANS>
								<xsl:value-of select="NTRANS"/>
							</NTRANS>
							<VIDTRANS>
								<xsl:value-of select="VIDTRANS"/>
							</VIDTRANS>
						</GTDDKD_ITEM>
					</xsl:for-each>
				</GTDDKD>
				<VTTDOP>
					<xsl:for-each select=".//DECLPRIM_ITEM">
						<xsl:variable name="none-of-G42" select="0 = count(.//DECLDOP_ITEM/G42[ number() > 0 ])"/>
						<xsl:variable name="no-G222" select="not(number(G222) > 0)"/>
						<xsl:variable name="G221-same-as-G121" select="(G121 = G221) or not(  string(G221)  )"/>
						<xsl:variable name="G12-eq-G22" select="(G12 = G222) and $G221-same-as-G121"/>
						<xsl:variable name="use-G12-instead-of-G22" select="$none-of-G42 and ($no-G222 or $G12-eq-G22)"/>
						<xsl:variable name="DECLDOP_ITEMs-from-all-DECLPRIM_ITEMs" select=".//DECLDOP_ITEM"/>
						<xsl:for-each select="$DECLDOP_ITEMs-from-all-DECLPRIM_ITEMs">
							<xsl:variable name="G32" select="1 + count(  preceding::*[ name() = name(current()) ]  )"/>
							<VTTDOP_ITEM>
								<G031>
									<xsl:value-of select=".//G031"/>
								</G031>
								<G032>
									<xsl:value-of select="$G032"/>
								</G032>
								<G32>
									<xsl:value-of select="$G32"/>
								</G32>
								<G312>
									<xsl:value-of select="G312"/>
								</G312>
								<ADDTOG312>
									<xsl:value-of select="ADDTOG312"/>
								</ADDTOG312>
								<GTDBACK>
									<xsl:for-each select=".//GTDBACK_ITEM">
										<xsl:sort select="GRAPH_NO" data-type="number"/>
										<xsl:sort select="CNT" data-type="number"/>
										<GTDBACK_ITEM>
											<G32>
												<xsl:value-of select="$G32"/>
											</G32>
											<GRAPH_NO>
												<xsl:value-of select="GRAPH_NO"/>
											</GRAPH_NO>
											<TEXT>
												<xsl:value-of select="TEXT"/>
											</TEXT>
										</GTDBACK_ITEM>
									</xsl:for-each>
									<xsl:for-each select=".//GTDCONT_ITEM[ISBACKSIDE=string(true())]">
										<xsl:sort select="CNT" data-type="number"/>
										<GTDBACK_ITEM>
											<G32>
												<xsl:value-of select="$G32"/>
											</G32>
											<GRAPH_NO>
												<xsl:value-of select="'31'"/>
											</GRAPH_NO>
											<REFFIELDNAME>'G3161'</REFFIELDNAME>
											<TEXT>
												<xsl:value-of select="CONTAINER"/>
											</TEXT>
										</GTDBACK_ITEM>
									</xsl:for-each>
								</GTDBACK>
								<G3160>
									<xsl:value-of select="G3160"/>
								</G3160>
								<G3161>
									<xsl:value-of select="G3161"/>
								</G3161>
								<G311>
									<xsl:value-of select="G311"/>
								</G311>
								<G318>
									<xsl:value-of select="G313"/>
								</G318>
								<VTTDOPPACK>
									<xsl:variable name="PKSIGN-pallet">
										<xsl:value-of select="3"/>
									</xsl:variable>
									<xsl:variable name="PKSIGN-can">
										<xsl:value-of select="1"/>
									</xsl:variable>
									<xsl:for-each select=".//GTDPK_ITEM[PKSIGN!=$PKSIGN-pallet and PKSIGN!=$PKSIGN-can]">
										<xsl:sort select="CNT" data-type="number"/>
										<VTTDOPPACK_ITEM>
											<G32>
												<xsl:value-of select="$G32"/>
											</G32>
											<G314>
												<xsl:value-of select="PKKOLVO"/>
											</G314>
											<G318>
												<xsl:value-of select="PKVID"/>
											</G318>
										</VTTDOPPACK_ITEM>
									</xsl:for-each>
								</VTTDOPPACK>
								<G33>
									<xsl:value-of select="G33"/>
								</G33>
								<G34_ABC2>
									<xsl:value-of select="G34"/>
								</G34_ABC2>
								<G35>
									<xsl:value-of select="G35"/>
								</G35>
								<NETTO>
									<xsl:value-of select="G38"/>
								</NETTO>
								<G315A>
									<xsl:value-of select="G315A"/>
								</G315A>
								<G317A>
									<xsl:value-of select="G315"/>
								</G317A>
								<G41A>
									<xsl:value-of select="G41A"/>
								</G41A>
								<xsl:for-each select="(ancestor::ALLDOCUMENTS_ITEM/G07 | ancestor::DECLPRIM_ITEM//G07)[1]">
									<PRECEDDOCTYPE>
										<xsl:value-of select="'10023'"/>
									</PRECEDDOCTYPE>
									<G40>
										<xsl:value-of select="."/>
									</G40>
								</xsl:for-each>
								<xsl:choose>
									<xsl:when test="not($use-G12-instead-of-G22)">
										<G42>
											<xsl:call-template name="fix-float">
												<xsl:with-param name="float-number" select="G42"/>
											</xsl:call-template>
										</G42>
										<INVCCOSTCODE>
											<xsl:call-template name="currency-ABBR">
												<xsl:with-param name="Code" select="ancestor::DECLPRIM_ITEM/G221"/>
											</xsl:call-template>
										</INVCCOSTCODE>
									</xsl:when>
									<xsl:when test="number(G45) > 0">
										<!--bug 20973 в примере заполняли только таможенную стоимость (Калининградские правила?)-->
										<G42>
											<xsl:call-template name="fix-float">
												<xsl:with-param name="float-number" select="G45"/>
											</xsl:call-template>
										</G42>
										<INVCCOSTCODE>
											<xsl:value-of select="$currency-russia-ABBR"/>
										</INVCCOSTCODE>
									</xsl:when>
								</xsl:choose>
								<VTTDOPPRESDOCS>
									<xsl:for-each select="GTD44/GTD44_ITEM">
										<xsl:sort select="DOC_NUM" data-type="number"/>
										<xsl:sort select="G4402" data-type="number"/>
										<xsl:sort select="CNT" data-type="number"/>
										<VTTDOPPRESDOCS_ITEM>
											<G32>
												<xsl:value-of select="$G32"/>
											</G32>
											<APPENDIXED>
												<xsl:variable name="invoice-codegroup">
													<xsl:value-of select="'04'"/>
												</xsl:variable>
												<xsl:choose>
													<xsl:when test="$invoice-codegroup = substring(G441, 1, 2)">
														<xsl:value-of select="string(false())"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="ISBACKSIDE"/>
													</xsl:otherwise>
												</xsl:choose>
											</APPENDIXED>
											<DOCCODE>
												<xsl:value-of select="G441"/>
											</DOCCODE>
											<DOCNUM>
												<xsl:value-of select="G442"/>
											</DOCNUM>
											<DOCDATE>
												<xsl:value-of select="G443"/>
											</DOCDATE>
										</VTTDOPPRESDOCS_ITEM>
									</xsl:for-each>
								</VTTDOPPRESDOCS>
							</VTTDOP_ITEM>
						</xsl:for-each>
					</xsl:for-each>
				</VTTDOP>
			</VTTPRIM_ITEM>
		</VTTPRIM>
	</xsl:template>
	<xsl:template mode="G181-G211" match="*">
		<xsl:message terminate="yes">
			<xsl:value-of select="'Не рассчитано на контекст иной, чем ALLDOCUMENTS, необходимо исправить'"/>
		</xsl:message>
	</xsl:template>
	<xsl:template mode="G181-G211" match="ALLDOCUMENTS">
		<xsl:param name="NGR"/>
		<xsl:param name="value-of-Gxx1"/>
		<xsl:param name="out-name-Gxx1"/>
		<xsl:param name="out-name-TRAILER"/>
		<xsl:param name="out-name-TRAILER2"/>
		<xsl:param name="GTDDKD_ITEM"/>
		<xsl:variable name="GTDDKD_ITEM-NGR" select="$GTDDKD_ITEM[NGR=$NGR]"/>
		<xsl:element name="{$out-name-Gxx1}">
			<xsl:variable name="GTDDKD_ITEM-primary" select="$GTDDKD_ITEM-NGR[ 0 = string-length(NTRANS_PRIMARY) ]"/>
			<xsl:choose>
				<xsl:when test="$GTDDKD_ITEM-primary">
					<xsl:call-template name="NTRANS">
						<xsl:with-param name="GTDDKD_ITEM" select="$GTDDKD_ITEM-primary"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$value-of-Gxx1"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:element>
		<xsl:variable name="GTDDKD_ITEM-TRAILER" select="$GTDDKD_ITEM-NGR[ string-length(NTRANS_PRIMARY) != 0 ]"/>
		<xsl:element name="{$out-name-TRAILER}">
			<xsl:call-template name="NTRANS">
				<xsl:with-param name="GTDDKD_ITEM" select="$GTDDKD_ITEM-TRAILER[1]"/>
			</xsl:call-template>
		</xsl:element>
		<xsl:element name="{$out-name-TRAILER2}">
			<xsl:call-template name="NTRANS">
				<xsl:with-param name="GTDDKD_ITEM" select="$GTDDKD_ITEM-TRAILER[position() > 1]"/>
			</xsl:call-template>
		</xsl:element>
	</xsl:template>
	<xsl:template name="NTRANS">
		<xsl:param name="GTDDKD_ITEM"/>
		<xsl:for-each select="$GTDDKD_ITEM">
			<xsl:sort select="NGR" data-type="number"/>
			<xsl:sort select="CNT" data-type="number"/>
			<xsl:value-of select="NTRANS"/>
			<xsl:if test="position() != last()">
				<xsl:value-of select="','"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
