<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:template match="*|/">
		<xsl:apply-templates select=".//ALLDOCUMENTS"/>
	</xsl:template>
	<xsl:template match="ALLDOCUMENTS">
		<JPRIL8>
			<JPRIL8_ITEM>
				<G07>
					<xsl:value-of select=".//G07"/>
				</G07>
				<G542>
					<xsl:value-of select=".//G542"/>
				</G542>
				<G021>
					<xsl:value-of select=".//M021"/>
				</G021>
				<KPP>
					<xsl:value-of select=".//G027"/>
				</KPP>
				<OGRN>
					<xsl:value-of select=".//G020"/>
				</OGRN>
				<G022>
					<xsl:value-of select=".//G022"/>
				</G022>
				<xsl:variable name="G023POST">
					<xsl:if test=".//G023POST!=''">
						<xsl:value-of select=".//G023POST"/>,
          </xsl:if>
				</xsl:variable>
				<xsl:variable name="G0231A">
					<xsl:if test=".//G0231A!=''">
						<xsl:value-of select=".//G0231A"/>,
          </xsl:if>
				</xsl:variable>
				<xsl:variable name="G023CITY">
					<xsl:if test=".//G023CITY!=''">
						<xsl:value-of select=".//G023CITY"/>,
          </xsl:if>
				</xsl:variable>
				<xsl:variable name="G023STREET">
					<xsl:if test=".//G023STREET!=''">
						<xsl:value-of select=".//G023STREET"/>
					</xsl:if>
				</xsl:variable>
				<G023>
					<xsl:value-of select="normalize-space($G0231A)"/>
					<xsl:value-of select="normalize-space($G023POST)"/>
					<xsl:value-of select="normalize-space($G023CITY)"/>
					<xsl:value-of select="normalize-space($G023STREET)"/>
				</G023>
				<G05>
					<xsl:value-of select=".//G05"/>
				</G05>
				<G05_OUT>
					<xsl:value-of select=".//G05"/>
				</G05_OUT>
				<G081>
					<xsl:value-of select=".//M081"/>
				</G081>
				<G082>
					<xsl:value-of select=".//G082"/>
				</G082>
				<xsl:variable name="G083POST">
					<xsl:if test=".//G083POST!=''">
						<xsl:value-of select=".//G083POST"/>,
          </xsl:if>
				</xsl:variable>
				<xsl:variable name="G083CITY">
					<xsl:if test=".//G083CITY!=''">
						<xsl:value-of select=".//G083CITY"/>,
          </xsl:if>
				</xsl:variable>
				<xsl:variable name="G083STREET">
					<xsl:if test=".//G083STREET!=''">
						<xsl:value-of select=".//G083STREET"/>
					</xsl:if>
				</xsl:variable>
				<xsl:variable name="G0831A">
					<xsl:if test=".//G0831A!=''">
						<xsl:value-of select=".//G0831A"/>,
          </xsl:if>
				</xsl:variable>
				<G083>
					<xsl:value-of select="normalize-space($G0831A)"/>
					<xsl:value-of select="normalize-space($G083POST)"/>
					<xsl:value-of select="normalize-space($G083CITY)"/>
					<xsl:value-of select="normalize-space($G083STREET)"/>
				</G083>
				<G17A_ABC2>
					<xsl:value-of select=".//G17A"/>
				</G17A_ABC2>
				<G17C_ABC2>
					<xsl:value-of select=".//G0831"/>
				</G17C_ABC2>
				<xsl:variable name="NTRANS">
					<xsl:choose>
						<xsl:when test=".//G181!=''">
							<NTRANS>
								<xsl:value-of select=".//G181"/>
							</NTRANS>
							<TC_ABC2>
								<xsl:value-of select=".//G182"/>
							</TC_ABC2>
							<VIDTRANS>
								<xsl:value-of select=".//G261"/>
							</VIDTRANS>
						</xsl:when>
						<xsl:otherwise>
							<NTRANS>
								<xsl:value-of select=".//G211"/>
							</NTRANS>
							<TC_ABC2>
								<xsl:value-of select=".//G212"/>
							</TC_ABC2>
							<VIDTRANS>
								<xsl:value-of select=".//G251"/>
							</VIDTRANS>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<G222>
					<xsl:value-of select=".//G12"/>
				</G222>
				<G222_OUT>
					<xsl:value-of select=".//G12"/>
				</G222_OUT>
				<JPGDS8>
					<xsl:for-each select=".//DECLDOP_ITEM">
						<JPGDS8_ITEM>
							<xsl:copy-of select="$NTRANS"/>
							<G32>
								<xsl:value-of select="G32"/>
							</G32>
							<G312>
								<xsl:value-of select="G312"/>
							</G312>
							<G33>
								<xsl:value-of select="G33"/>
							</G33>
							<G35>
								<xsl:value-of select="G35"/>
							</G35>
							<G38>
								<xsl:value-of select="G38"/>
							</G38>
							<xsl:variable name="GTDCONT" select=".//GTDCONT/GTDCONT_ITEM[CONTAINER!='']"/>
							<G3160>
								<xsl:value-of select="count($GTDCONT)"/>
							</G3160>
							<G3161>
								<xsl:for-each select="$GTDCONT">
									<xsl:value-of select="CONTAINER"/>
									<xsl:if test="position()!=last()">
										<xsl:value-of select="','"/>
									</xsl:if>
								</xsl:for-each>
							</G3161>
							<G315A>
								<xsl:value-of select="G315A"/>
							</G315A>
							<G41A>
								<xsl:value-of select="G41A"/>
							</G41A>
							<G37>
								<xsl:value-of select="G37"/>
							</G37>
							<G42>
								<xsl:value-of select="G42"/>
							</G42>
							<G45>
								<xsl:value-of select="G45"/>
							</G45>
							<xsl:for-each select=".//GTD44/GTD44_ITEM[substring(G441,1,2)=2 and G442!=''][1]">
								<G442>
									<xsl:value-of select="G442"/>
								</G442>
								<G442D>
									<xsl:value-of select="G443"/>
								</G442D>
							</xsl:for-each>
						</JPGDS8_ITEM>
					</xsl:for-each>
				</JPGDS8>
			</JPRIL8_ITEM>
		</JPRIL8>
	</xsl:template>
</xsl:stylesheet>
