<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:esadout="urn:customs.ru:Information:CustomsDocuments:ESADout:4.2.0" 
xmlns:catESAD_ru="urn:customs.ru:ESADCommonAggregateTypes:4.2.0" 
xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:4.2.0" 
xmlns:ivt="urn:customs.ru:Information:CustomsDocuments:Inventory:4.2.0">
	<xsl:output method="xml"/>
	<xsl:template match="*|/">
		<xsl:apply-templates select="//esadout:ESADout"/>
	</xsl:template>
	<xsl:template match="esadout:ESADout">
		<JPRIL8>
			<JPRIL8_ITEM>
					<xsl:call-template name="JoinGTDNumber">
						<xsl:with-param name="Code" select="/.//ivt:GTDNumber/cat_ru:CustomsCode"/>
						<xsl:with-param name="Date" select="/.//ivt:GTDNumber/cat_ru:RegistrationDate"/>
						<xsl:with-param name="Number" select="/.//ivt:GTDNumber/cat_ru:GTDNumber"/>
					</xsl:call-template>
				<G021>
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/cat_ru:INN"/>
				</G021>
				<G022>
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/cat_ru:OrganizationName"/>
				</G022>
				<G06>
					<xsl:value-of select="esadout:ESADoutGoodsShipment/catESAD_ru:TotalPackageNumber"/>
				</G06>
				<KPP>
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/cat_ru:KPP"/>
				</KPP>
				<OGRN>
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/cat_ru:OGRN"/>
				</OGRN>
				
          <xsl:variable name="CountryCode023">
            <xsl:if test="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:CountryCode!=''">
            <xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:CountryCode"/>,
            </xsl:if>
          </xsl:variable>

          <xsl:variable name="PostalCode023">
            <xsl:if test="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:PostalCode!=''">
              <xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:PostalCode"/>,
              </xsl:if>
          </xsl:variable>

          <xsl:variable name="Region023">
            <xsl:if test="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:Region!=''">
              <xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:Region"/>,
            </xsl:if>
          </xsl:variable>

          <xsl:variable name="City023">
            <xsl:if test="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:City!=''">
              <xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:City"/>,
            </xsl:if>
          </xsl:variable>

          <xsl:variable name="StreetHouse023">
            <xsl:if test="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:StreetHouse!=''">
              <xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:StreetHouse"/>
            </xsl:if>
          </xsl:variable>
        <G023>
          <xsl:value-of select="normalize-space($CountryCode023)"/>
          <xsl:value-of select="normalize-space($PostalCode023)"/>
          <xsl:value-of select="normalize-space($Region023)"/>
          <xsl:value-of select="normalize-space($City023)"/>
          <xsl:value-of select="normalize-space($StreetHouse023)"/>
				</G023>
				<G26>
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutBorderTransport/catESAD_ru:TransportModeCode"/>
				</G26>

        <xsl:variable name="PostalCode083">
          <xsl:if test="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:PostalCode!=''">
            <xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:PostalCode"/>,
          </xsl:if>
        </xsl:variable>

        <xsl:variable name="Region083">
          <xsl:if test="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:Region!=''">
            <xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:Region"/>,
          </xsl:if>
        </xsl:variable>

        <xsl:variable name="City083">
          <xsl:if test="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:City!=''">
            <xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:City"/>,
          </xsl:if>
        </xsl:variable>

        <xsl:variable name="StreetHouse083">
          <xsl:if test="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:StreetHouse!=''">
            <xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:StreetHouse"/>
          </xsl:if>
        </xsl:variable>
        
				<G083>
          <xsl:value-of select="normalize-space($PostalCode083)"/>
          <xsl:value-of select="normalize-space($Region083)"/>
          <xsl:value-of select="normalize-space($City083)"/>
          <xsl:value-of select="normalize-space($StreetHouse083)"/>					
				</G083>
				<G081>
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/cat_ru:INN"/>
				</G081>
				<G082>
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/cat_ru:OrganizationName"/>
				</G082>
				<G05_OUT>
					<xsl:value-of select="esadout:ESADoutGoodsShipment/catESAD_ru:TotalGoodsNumber"/>
				</G05_OUT>
				<G05>
					<xsl:value-of select="esadout:ESADoutGoodsShipment/catESAD_ru:TotalGoodsNumber"/>
				</G05>
				<xsl:variable name="TotalCustCost">
					<xsl:choose>
						<xsl:when test='esadout:ESADoutGoodsShipment/catESAD_ru:TotalCustCost!=""'>
							<xsl:value-of select="esadout:ESADoutGoodsShipment/catESAD_ru:TotalCustCost"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="sum(//esadout:ESADoutGoodsShipment/esadout:ESADoutGoods/catESAD_ru:CustomsCost)"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<G222>
					<xsl:value-of select="$TotalCustCost"/>
				</G222>
				<G222_OUT>
					<xsl:value-of select="$TotalCustCost"/>
				</G222_OUT>
				<G17A_ABC2>
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/catESAD_ru:DestinationCountryCode"/>
				</G17A_ABC2>
				<G17C_ABC2>
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:CountryCode"/>
				</G17C_ABC2>
				<N_BLANK>
				        <xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoods/catESAD_ru:FormNumber"/>
				</N_BLANK>
				<xsl:variable name="NTRANS">
					<xsl:for-each select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/esadout:ESADoutBorderTransport/esadout:TransportMeans">
						<xsl:value-of select="catESAD_ru:TransportIdentifier"/>
						<xsl:if test="position()!=last()">
							<xsl:text>,</xsl:text>
						</xsl:if>
					</xsl:for-each>
				</xsl:variable>
				<xsl:variable name="TC_ABC2">
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/esadout:ESADoutBorderTransport/catESAD_ru:TransportNationalityCode"/>
				</xsl:variable>
				<xsl:variable name="VIDTRANS">
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/esadout:ESADoutBorderTransport/catESAD_ru:TransportModeCode"/>
				</xsl:variable>
			        <JPGDS8>
					<xsl:for-each select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoods">
						<JPGDS8_ITEM>
							<G32>
								<xsl:value-of select="catESAD_ru:GoodsNumeric"/>
							</G32>
							<G33>
								<xsl:value-of select="catESAD_ru:GoodsTNVEDCode"/>
							</G33>
							<G45>
								<xsl:value-of select="catESAD_ru:CustomsCost"/>
							</G45>
							<G37>
								<xsl:value-of select="catESAD_ru:ESADCustomsProcedure/catESAD_ru:MainCustomsModeCode"/><xsl:value-of select="catESAD_ru:ESADCustomsProcedure/catESAD_ru:PrecedingCustomsModeCode"/><xsl:value-of select="catESAD_ru:ESADCustomsProcedure/catESAD_ru:GoodsTransferFeature"/>
              </G37>
							<G35>
								<xsl:value-of select="catESAD_ru:GrossWeightQuantity"/>
							</G35>
							<G38>
								<xsl:value-of select="catESAD_ru:NetWeightQuantity"/>
							</G38>
							<G41A>
								<xsl:value-of select="catESAD_ru:SupplementaryGoodsQuantity/catESAD_ru:MeasureUnitQualifierCode"/>
							</G41A>
							<G315A>
								<xsl:value-of select="catESAD_ru:SupplementaryGoodsQuantity/catESAD_ru:GoodsQuantity"/>
							</G315A>
							<G312>
								<xsl:value-of select="catESAD_ru:GoodsDescription"/>
							</G312>
							<G3161>
								<xsl:for-each select="catESAD_ru:ESADContainer/catESAD_ru:ContainerNumber">
									<xsl:value-of select="catESAD_ru:ContainerIdentificaror"/>
									<xsl:if test="position()!=last()">
										<xsl:text>,</xsl:text>
									</xsl:if>
								</xsl:for-each>
							</G3161>
							<NTRANS>
								<xsl:value-of select="$NTRANS"/>
							</NTRANS>
							<VIDTRANS>
								<xsl:value-of select="$VIDTRANS"/>
							</VIDTRANS>
							<TC_ABC2>
								<xsl:value-of select="$TC_ABC2"/>
							</TC_ABC2>
							<G442>
								<xsl:for-each select="esadout:ESADoutPresentedDocument/esadout:ESADoutBasicPresentedDocument[catESAD_ru:LineNumber=2 and catESAD_ru:SubLineNumber=0]">
									<xsl:value-of select="cat_ru:PrDocumentNumber"/>
									<xsl:if test="position()!=last()">
										<xsl:text>,</xsl:text>
									</xsl:if>
								</xsl:for-each>
							</G442>
							<G442D>
								<xsl:for-each select="esadout:ESADoutPresentedDocument/esadout:ESADoutBasicPresentedDocument[catESAD_ru:LineNumber=2 and catESAD_ru:SubLineNumber=0][1]">
									<xsl:value-of select="cat_ru:PrDocumentDate"/>
								</xsl:for-each>
							</G442D>
						</JPGDS8_ITEM>
					</xsl:for-each>
				</JPGDS8>
			</JPRIL8_ITEM>
		</JPRIL8>
	</xsl:template>
	  <xsl:template name="FormatDate">
		<xsl:param name="DateTime" />
		<!-- 2007-12-27T00:00:00+01:00-->
		<!--ddMMyy-->
		  <xsl:value-of select="substring($DateTime,3,2)"/>
		  <xsl:value-of select="substring($DateTime,6,2)"/>
		  <xsl:value-of select="substring($DateTime,9,2)"/>
	  </xsl:template>
	  <xsl:template name="JoinGTDNumber">
			<xsl:param name="Code" />
			<xsl:param name="Date" />
			<xsl:param name="Number" />
			<!-- 2007-12-27T00:00:00+01:00-->
			<!--ddMMyy-->
			<xsl:if test="string-length($Number)!=0">
				<G07>
				<xsl:value-of select="$Code"/>
				<xsl:value-of select="'/'"/>
				<xsl:value-of select="substring($Date,9,2)"/>
				<xsl:value-of select="substring($Date,6,2)"/>
				<xsl:value-of select="substring($Date,3,2)"/>
				<xsl:value-of select="'/'"/>
				<xsl:value-of select="$Number"/>				
				</G07>
				<G542>
				<xsl:value-of select="$Date"/>				
				</G542>
			</xsl:if>  

	  </xsl:template>
  </xsl:stylesheet>
