<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:esadout="urn:customs.ru:Information:CustomsDocuments:ESADout:4.2.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:4.2.0" xmlns:catESAD_ru="urn:customs.ru:ESADCommonAggregateTypes:4.2.0">
	<xsl:template match="*|/">
		<xsl:apply-templates select="//esadout:ESADout"/>
	</xsl:template>
	<xsl:template match="esadout:ESADout">
		<VTTPRIM>
			<VTTPRIM_ITEM>
				<FORMXML>2</FORMXML>
				<xsl:for-each select="esadout:CustomsProcedure[1]">
					<xsl:choose>
						<xsl:when test="string-length(esadout:TransitDirectionCode[1])=0">
							<!--значит это ГТД, а не транзитная декларация, раз не заполнен TransitDirectionCode. И значение идёт в G011.-->
						</xsl:when>
						<xsl:otherwise>
							<G011>
								<xsl:value-of select="esadout:TransitDirectionCode[1]"/>
							</G011>
							<G0131>
								<xsl:value-of select="."/>
							</G0131>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
				<TYPEBTT>
					<xsl:choose>
						<xsl:when test="esadout:TransitDirectionCode='ЭК'">
							<xsl:value-of select="esadout:TransitDirectionCode"/>
						</xsl:when>
						<xsl:when test="esadout:TransitDirectionCode='ИМ'">
							<xsl:value-of select="esadout:TransitDirectionCode"/>
						</xsl:when>
						<xsl:when test="esadout:TransitDirectionCode='ТР'">
							<xsl:value-of select="esadout:TransitDirectionCode"/>
						</xsl:when>
						<xsl:when test="esadout:TransitDirectionCode='ПР'">
							<xsl:value-of select="esadout:TransitDirectionCode"/>
						</xsl:when>
						<!--Иначе это не транзитная декларация, журнал определится автоматом по журналу вызова загрузки-->
					</xsl:choose>
				</TYPEBTT>
				<xsl:variable name="G032">
					<xsl:value-of select="esadout:ESADoutGoodsShipment[1]/catESAD_ru:TotalSheetNumber[1]"/>
				</xsl:variable>
				<xsl:for-each select="esadout:ESADoutGoodsShipment[1]">
					<xsl:for-each select="catESAD_ru:TotalGoodsNumber[1]">
						<G05>
							<xsl:value-of select="."/>
						</G05>
					</xsl:for-each>
					<xsl:for-each select="catESAD_ru:TotalPackageNumber[1]">
						<G06>
							<xsl:value-of select="."/>
						</G06>
					</xsl:for-each>
					<xsl:if test="string-length($G032)!=0">
						<G032>
							<xsl:value-of select="$G032"/>
						</G032>
					</xsl:if>
					<xsl:apply-templates select="//esadout:ESADoutConsignor"/>
					<xsl:apply-templates select="//esadout:ESADoutConsignee"/>
					<xsl:apply-templates select="//esadout:ESADoutPrincipal"/>
					<xsl:for-each select="esadout:ESADoutCarrier[1]">
						<xsl:for-each select="cat_ru:OrganizationName[1]">
							<G501>
								<xsl:value-of select="."/>
							</G501>
						</xsl:for-each>
						<xsl:for-each select="catESAD_ru:Address[1]">
							<xsl:for-each select="cat_ru:City[1]">
								<G14_CITY>
									<xsl:value-of select="."/>
								</G14_CITY>
							</xsl:for-each>
							<xsl:for-each select="cat_ru:CountryCode[1]">
								<G14_COUNTRYCODE>
									<xsl:value-of select="."/>
								</G14_COUNTRYCODE>
							</xsl:for-each>
							<xsl:for-each select="cat_ru:CounryName[1]">
								<G14_COUNTRYNAME>
									<xsl:value-of select="."/>
								</G14_COUNTRYNAME>
							</xsl:for-each>
							<xsl:for-each select="cat_ru:PostalCode[1]">
								<G14_POSTALCODE>
									<xsl:value-of select="."/>
								</G14_POSTALCODE>
							</xsl:for-each>
							<xsl:for-each select="cat_ru:Region[1]">
								<G14_REGION>
									<xsl:value-of select="."/>
								</G14_REGION>
							</xsl:for-each>
							<xsl:for-each select="cat_ru:StreetHouse[1]">
								<G14_STREETHOUSE>
									<xsl:value-of select="."/>
								</G14_STREETHOUSE>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="esadout:ESADoutConsigment[1]">
						<xsl:for-each select="catESAD_ru:ContainerIndicator[1]">
							<G19>
								<xsl:value-of select="."/>
							</G19>
						</xsl:for-each>
						<xsl:for-each select="catESAD_ru:DispatchCountryCode[1]">
							<G15C_ABC2>
								<xsl:value-of select="."/>
							</G15C_ABC2>
						</xsl:for-each>
						<xsl:for-each select="catESAD_ru:DispatchCountryName[1]">
							<G15>
								<xsl:value-of select="."/>
							</G15>
						</xsl:for-each>
						<xsl:for-each select="catESAD_ru:DestinationCountryCode[1]">
							<G17C_ABC2>
								<xsl:value-of select="."/>
							</G17C_ABC2>
						</xsl:for-each>
						<xsl:for-each select="catESAD_ru:DestinationCountryName[1]">
							<G17B>
								<xsl:value-of select="."/>
							</G17B>
						</xsl:for-each>
						<xsl:for-each select="catESAD_ru:DeliveryCustomsOffice[1]">
							<xsl:for-each select="cat_ru:Code[1]">
								<G531>
									<xsl:value-of select="."/>
								</G531>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:for-each select="esadout:ESADoutDepartureArrivalTransport[1]">
							<xsl:for-each select="catESAD_ru:TransportModeCode[1]">
								<G251>
									<xsl:value-of select="."/>
								</G251>
							</xsl:for-each>
							<xsl:for-each select="catESAD_ru:TransportNationalityCode[1]">
								<G182_ABC2>
									<xsl:value-of select="."/>
								</G182_ABC2>
							</xsl:for-each>
							<xsl:for-each select="TransportMeansQuantity[1]">
								<G183>
									<xsl:value-of select="."/>
								</G183>
							</xsl:for-each>
							<G181>
								<xsl:for-each select="esadout:TransportMeans/catESAD_ru:TransportIdentifier">
									<xsl:value-of select="."/>
									<xsl:if test="position()!=last()">
										<xsl:text>,</xsl:text>
									</xsl:if>
								</xsl:for-each>
							</G181>
							<xsl:for-each select="esadout:TransportMeans[1]/catESAD_ru:TrailerIdentifier">
								<TRAILER>
									<xsl:value-of select="."/>
								</TRAILER>
							</xsl:for-each>
							<xsl:for-each select="esadout:TransportMeans[1]/catESAD_ru:SecondTrailerIdentifier">
								<TRAILER2>
									<xsl:value-of select="."/>
								</TRAILER2>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="esadout:ESADoutMainContractTerms[1]">
						<xsl:for-each select="catESAD_ru:ContractCurrencyCode[1]">
							<G221_BUK>
								<xsl:value-of select="."/>
							</G221_BUK>
						</xsl:for-each>
						<xsl:for-each select="catESAD_ru:TotalInvoiceAmount[1]">
							<G222>
								<xsl:value-of select="."/>
							</G222>
						</xsl:for-each>
					</xsl:for-each>
				</xsl:for-each>
				<VTTCARRIERDRIVERS>
					<xsl:for-each select="esadout:ESADoutGoodsShipment/esadout:ESADoutCarrier/esadout:ESADDriverInformation">
						<VTTCARRIERDRIVERS_ITEM>
							<NPP>
								<xsl:value-of select="position()"/>
							</NPP>
							<xsl:for-each select="cat_ru:PersonName[1]">
								<PersonName>
									<xsl:value-of select="."/>
								</PersonName>
							</xsl:for-each>
							<xsl:for-each select="catESAD_ru:IdentityCard[1]">
								<xsl:for-each select="cat_ru:IdentityCardCode[1]">
									<IdentityCardCode>
										<xsl:value-of select="."/>
									</IdentityCardCode>
								</xsl:for-each>
								<xsl:for-each select="cat_ru:IdentityCardName[1]">
									<IdentityCardName>
										<xsl:value-of select="."/>
									</IdentityCardName>
								</xsl:for-each>
								<xsl:for-each select="cat_ru:IdentityCardSeries[1]">
									<IdentityCardSeries>
										<xsl:value-of select="."/>
									</IdentityCardSeries>
								</xsl:for-each>
								<xsl:for-each select="cat_ru:IdentityCardNumber[1]">
									<IdentityCardNumber>
										<xsl:value-of select="."/>
									</IdentityCardNumber>
								</xsl:for-each>
								<xsl:for-each select="cat_ru:IdentityCardDate[1]">
									<IdentityCardDate>
										<xsl:value-of select="."/>
									</IdentityCardDate>
								</xsl:for-each>
							</xsl:for-each>
						</VTTCARRIERDRIVERS_ITEM>
					</xsl:for-each>
				</VTTCARRIERDRIVERS>
				<VTTDOP>
					<xsl:for-each select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoods">
						<VTTDOP_ITEM>
							<xsl:for-each select="catESAD_ru:GoodsNumeric[1]">
								<G32>
									<xsl:value-of select="."/>
								</G32>
							</xsl:for-each>
							<xsl:if test="string-length($G032)!=0">
								<G032>
									<xsl:value-of select="$G032"/>
								</G032>
							</xsl:if>
							<G312>
								<xsl:for-each select="catESAD_ru:GoodsDescription">
									<xsl:value-of select="."/>
								</xsl:for-each>
							</G312>
							<xsl:for-each select="catESAD_ru:GrossWeightQuantity[1]">
								<G35>
									<xsl:value-of select="."/>
								</G35>
							</xsl:for-each>
							<xsl:for-each select="catESAD_ru:NetWeightQuantity[1]">
								<NETTO>
									<xsl:value-of select="."/>
								</NETTO>
							</xsl:for-each>
							<xsl:for-each select="catESAD_ru:InvoicedCost[1]">
								<G42>
									<xsl:value-of select="."/>
								</G42>
							</xsl:for-each>
							<xsl:for-each select="catESAD_ru:CustomsCost[1]">
								<G45>
									<xsl:value-of select="."/>
								</G45>
							</xsl:for-each>
							<xsl:for-each select="catESAD_ru:GoodsTNVEDCode[1]">
								<G33>
									<xsl:value-of select="."/>
								</G33>
							</xsl:for-each>
							<xsl:for-each select="catESAD_ru:OriginCountryCode[1]">
								<G34_ABC2>
									<xsl:value-of select="."/>
								</G34_ABC2>
							</xsl:for-each>
							<xsl:for-each select="catESAD_ru:AdditionalSheetCount[1]">
								<G031>
									<xsl:value-of select="."/>
								</G031>
							</xsl:for-each>
							<xsl:for-each select="catESAD_ru:ESADGoodsPackaging[1]/catESAD_ru:PakageQuantity">
								<G311>
									<xsl:value-of select="."/>
								</G311>
							</xsl:for-each>
							<VTTDOPPACK>
								<xsl:for-each select="catESAD_ru:ESADGoodsPackaging[1]/catESAD_ru:PackingInformation">
									<VTTDOPPACK_ITEM>
										<NPP>
											<xsl:value-of select="position()"/>
										</NPP>
										<xsl:for-each select="catESAD_ru:PackingCode[1]">
											<G318>
												<xsl:value-of select="."/>
											</G318>
										</xsl:for-each>
										<xsl:for-each select="catESAD_ru:PakingQuantity[1]">
											<G314>
												<xsl:value-of select="."/>
											</G314>
										</xsl:for-each>
									</VTTDOPPACK_ITEM>
								</xsl:for-each>
							</VTTDOPPACK>
							<xsl:for-each select="catESAD_ru:ESADContainer[1]">
								<xsl:for-each select="catESAD_ru:ContainerQuantity[1]">
									<G3160>
										<xsl:value-of select="."/>
									</G3160>
								</xsl:for-each>
								<G3161>
									<xsl:for-each select="catESAD_ru:ContainerNumber/catESAD_ru:ContainerIdentificaror">
										<xsl:value-of select="."/>
										<xsl:if test="position()!=last()">
											<xsl:text>,</xsl:text>
										</xsl:if>
									</xsl:for-each>
								</G3161>
							</xsl:for-each>
							<xsl:for-each select="esadout:ESADoutPresentedDocument[1]">
								<VTTDOPPRESDOCS>
									<xsl:for-each select="esadout:ESADoutBasicPresentedDocument">
										<VTTDOPPRESDOCS_ITEM>
											<NPP>
												<xsl:value-of select="position()"/>
											</NPP>
											<xsl:for-each select="cat_ru:PrDocumentNumber[1]">
												<DocNum>
													<xsl:value-of select="."/>
												</DocNum>
											</xsl:for-each>
											<xsl:for-each select="cat_ru:PrDocumentDate[1]">
												<DocDate>
													<xsl:value-of select="."/>
												</DocDate>
											</xsl:for-each>
											<xsl:for-each select="catESAD_ru:LineNumber[1]">
												<LineNumber>
													<xsl:value-of select="."/>
												</LineNumber>
											</xsl:for-each>
											<xsl:for-each select="catESAD_ru:PresentedDocumentModeCode[1]">
												<DocCode>
													<xsl:value-of select="."/>
												</DocCode>
											</xsl:for-each>
										</VTTDOPPRESDOCS_ITEM>
									</xsl:for-each>
								</VTTDOPPRESDOCS>
							</xsl:for-each>
							<xsl:for-each select="esadout:ESADoutPrecedingDocument[1]">
								<xsl:for-each select="catESAD_ru:PrecedingDocumentID">
									<G40T>
										<xsl:value-of select="."/>
									</G40T>
								</xsl:for-each>
								<xsl:call-template name="JoinGTDNumber">
									<xsl:with-param name="ResultName" select="'G40'"/>
									<xsl:with-param name="Code" select="catESAD_ru:PrecedingDocumentCustomsCode"/>
									<xsl:with-param name="Date" select="catESAD_ru:PrecedingDocumentDate"/>
									<xsl:with-param name="Number" select="catESAD_ru:PrecedingDocumentNumber"/>
								</xsl:call-template>
								<xsl:for-each select="catESAD_ru:AddNumberPart">
									<G405>
										<xsl:value-of select="."/>
									</G405>
								</xsl:for-each>
							</xsl:for-each>
						</VTTDOP_ITEM>
					</xsl:for-each>
				</VTTDOP>
				<xsl:for-each select="esadout:ESADoutGoodsShipment[1]/esadout:Guarantee[1]">
					<xsl:for-each select="catESAD_ru:MeasureCode">
						<G52CODE>
							<xsl:value-of select="."/>
						</G52CODE>
					</xsl:for-each>
					<xsl:for-each select="catESAD_ru:GuaranteeReference[1]/catESAD_ru:OtherGuaranteeNumber">
						<G52DOC>
							<xsl:value-of select="."/>
						</G52DOC>
					</xsl:for-each>
				</xsl:for-each>
			</VTTPRIM_ITEM>
		</VTTPRIM>
	</xsl:template>
	<xsl:template match="esadout:ESADoutConsignor">
		<xsl:for-each select="cat_ru:OGRN[1]">
			<SENDEROGRN>
				<xsl:value-of select="."/>
			</SENDEROGRN>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:INN[1]">
			<M021>
				<xsl:value-of select="."/>
			</M021>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:OrganizationName[1]">
			<G022>
				<xsl:value-of select="."/>
			</G022>
		</xsl:for-each>
		<xsl:apply-templates select="//esadout:ESADoutConsignor/catESAD_ru:Address"/>
	</xsl:template>
	<xsl:template match="esadout:ESADoutConsignor/catESAD_ru:Address">
		<xsl:for-each select="cat_ru:City[1]">
			<G02_CITY>
				<xsl:value-of select="."/>
			</G02_CITY>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:CountryCode[1]">
			<G02_COUNTRYCODE>
				<xsl:value-of select="."/>
			</G02_COUNTRYCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:CounryName[1]">
			<G02_COUNTRYNAME>
				<xsl:value-of select="."/>
			</G02_COUNTRYNAME>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:PostalCode[1]">
			<G02_POSTALCODE>
				<xsl:value-of select="."/>
			</G02_POSTALCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:Region[1]">
			<G02_REGION>
				<xsl:value-of select="."/>
			</G02_REGION>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:StreetHouse[1]">
			<G02_STREETHOUSE>
				<xsl:value-of select="."/>
			</G02_STREETHOUSE>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="esadout:ESADoutConsignee">
		<xsl:for-each select="cat_ru:OGRN[1]">
			<RECEIVOGRN>
				<xsl:value-of select="."/>
			</RECEIVOGRN>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:INN[1]">
			<M081>
				<xsl:value-of select="."/>
			</M081>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:OrganizationName[1]">
			<G082>
				<xsl:value-of select="."/>
			</G082>
		</xsl:for-each>
		<xsl:apply-templates select="//esadout:ESADoutConsignee/catESAD_ru:Address"/>
	</xsl:template>
	<xsl:template match="esadout:ESADoutConsignee/catESAD_ru:Address">
		<xsl:for-each select="cat_ru:City[1]">
			<G08_CITY>
				<xsl:value-of select="."/>
			</G08_CITY>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:CountryCode[1]">
			<G08_COUNTRYCODE>
				<xsl:value-of select="."/>
			</G08_COUNTRYCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:CounryName[1]">
			<G08_COUNTRYNAME>
				<xsl:value-of select="."/>
			</G08_COUNTRYNAME>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:PostalCode[1]">
			<G08_POSTALCODE>
				<xsl:value-of select="."/>
			</G08_POSTALCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:Region[1]">
			<G08_REGION>
				<xsl:value-of select="."/>
			</G08_REGION>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:StreetHouse[1]">
			<G08_STREETHOUSE>
				<xsl:value-of select="."/>
			</G08_STREETHOUSE>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="esadout:ESADoutPrincipal">
		<xsl:for-each select="cat_ru:OGRN[1]">
			<DRIVEROGRN>
				<xsl:value-of select="."/>
			</DRIVEROGRN>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:INN[1]">
			<INN_DRIVER>
				<xsl:value-of select="."/>
			</INN_DRIVER>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:OrganizationName[1]">
			<FAGENTNAME>
				<xsl:value-of select="."/>
			</FAGENTNAME>
		</xsl:for-each>
		<xsl:apply-templates select="//esadout:ESADoutPrincipal/catESAD_ru:Address"/>
		<xsl:for-each select="esadout:ESADPrincipalRepresentative[1]">
			<xsl:for-each select="cat_ru:PersonName[1]">
				<G503>
					<xsl:value-of select="."/>
				</G503>
			</xsl:for-each>
			<xsl:for-each select="catESAD_ru:IdentityCard[1]">
				<xsl:for-each select="cat_ru:IdentityCardCode[1]">
					<PrincipalPersCardCode>
						<xsl:value-of select="."/>
					</PrincipalPersCardCode>
				</xsl:for-each>
				<xsl:for-each select="cat_ru:IdentityCardName[1]">
					<PrincipalPersCardName>
						<xsl:value-of select="."/>
					</PrincipalPersCardName>
				</xsl:for-each>
				<xsl:for-each select="cat_ru:IdentityCardSeries[1]">
					<PrincipalPersCardSeries>
						<xsl:value-of select="."/>
					</PrincipalPersCardSeries>
				</xsl:for-each>
				<xsl:for-each select="cat_ru:IdentityCardNumber[1]">
					<PrincipalPersCardNum>
						<xsl:value-of select="."/>
					</PrincipalPersCardNum>
				</xsl:for-each>
				<xsl:for-each select="cat_ru:IdentityCardDate[1]">
					<PrincipalPersCardDate>
						<xsl:value-of select="."/>
					</PrincipalPersCardDate>
				</xsl:for-each>
				<xsl:for-each select="cat_ru:OrganizationName[1]">
					<PrincipalPersCardOrg>
						<xsl:value-of select="."/>
					</PrincipalPersCardOrg>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="esadout:ESADoutPrincipal/catESAD_ru:Address">
		<xsl:for-each select="cat_ru:City[1]">
			<FA_CITY>
				<xsl:value-of select="."/>
			</FA_CITY>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:CountryCode[1]">
			<FA_COUNTRYCODE>
				<xsl:value-of select="."/>
			</FA_COUNTRYCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:CounryName[1]">
			<FA_COUNTRYNAME>
				<xsl:value-of select="."/>
			</FA_COUNTRYNAME>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:PostalCode[1]">
			<FA_POSTALCODE>
				<xsl:value-of select="."/>
			</FA_POSTALCODE>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:Region[1]">
			<FA_REGION>
				<xsl:value-of select="."/>
			</FA_REGION>
		</xsl:for-each>
		<xsl:for-each select="cat_ru:StreetHouse[1]">
			<FA_STREETHOUSE>
				<xsl:value-of select="."/>
			</FA_STREETHOUSE>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="FormatDate">
		<xsl:param name="DateTime"/>
		<!-- 2007-12-27T00:00:00+01:00-->
		<!--ddMMyy-->
		<xsl:value-of select="substring($DateTime,3,2)"/>
		<xsl:value-of select="substring($DateTime,6,2)"/>
		<xsl:value-of select="substring($DateTime,9,2)"/>
	</xsl:template>
	<xsl:template name="JoinGTDNumber">
		<xsl:param name="ResultName"/>
		<xsl:param name="Code"/>
		<xsl:param name="Date"/>
		<xsl:param name="Number"/>
		<xsl:if test="string-length($Number)!=0">
			<xsl:element name="{$ResultName}">
				<xsl:value-of select="$Code"/>
				<xsl:value-of select="'/'"/>
				<xsl:call-template name="FormatDate">
					<xsl:with-param name="DateTime" select="$Date"/>
				</xsl:call-template>
				<xsl:value-of select="'/'"/>
				<xsl:value-of select="$Number"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
