<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2008 sp1 (http://www.altova.com) by serg (EMBRACE) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="template-value.xsl"/>
	<xsl:variable name="nsi-country" select="document('TranspNSIXml.xml')//Country_ITEM"/>
	<xsl:variable name="country-russia-ABC2" select="'RU'"/>
	<xsl:variable name="country-russia-code" select="'643'"/>
	<xsl:variable name="country-russia-name" select="'РОССИЯ'"/>
	<xsl:template name="CountryName">
		<xsl:param name="CodeABC2"/>
		<xsl:choose>
			<xsl:when test="string-length($CodeABC2)=0">
				<xsl:value-of select="$country-russia-name"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$nsi-country[ABC2=$CodeABC2]/Name"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="CountryNamedAbc2">
		<xsl:param name="Name"/>
		<xsl:param name="default-output"/>
		<xsl:choose>
			<xsl:when test="string-length($Name)=0">
				<xsl:value-of select="$default-output"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$nsi-country[translate(Name, $lo-case-rus, $up-case-rus)=translate($Name, $lo-case-rus, $up-case-rus)]/ABC2"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="country-name-and-code">
		<xsl:param name="name"/>
		<xsl:param name="code-ABC2"/>
		<xsl:param name="element-of-name"/>
		<xsl:param name="element-of-code-ABC2"/>
		<xsl:param name="namespace-context"/>
		<xsl:variable name="namespace">
			<xsl:call-template name="namespace-of-name">
				<xsl:with-param name="element-name" select="$element-of-name"/>
				<xsl:with-param name="namespace-context" select="$namespace-context"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:element name="{$element-of-name}" namespace="{$namespace}">
			<xsl:value-of select="$name"/>
		</xsl:element>
		<xsl:element name="{$element-of-code-ABC2}" namespace="{$namespace}">
			<xsl:call-template name="CountryNamedAbc2">
				<xsl:with-param name="Name" select="$name"/>
				<xsl:with-param name="DefaultValue" select="$code-ABC2"/>
			</xsl:call-template>
		</xsl:element>
	</xsl:template>
	<xsl:template name="CountryCode">
		<xsl:param name="CodeABC2"/>
		<xsl:param name="default-output"/>
		<xsl:choose>
			<xsl:when test="string-length($CodeABC2)=0">
				<xsl:value-of select="$default-output"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$nsi-country[ABC2=$CodeABC2]/Code"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="CountryCodeABC2">
		<xsl:param name="Code"/>
		<xsl:choose>
			<xsl:when test="string-length($Code)=0">
				<xsl:value-of select="$country-russia-ABC2"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$nsi-country[Code=$Code]/ABC2"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
