<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2008 sp1 (http://www.altova.com) by serg (EMBRACE) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="template-value.xsl"/>
	<xsl:variable name="nsi-currency" select="document('TranspNSIXml.xml')//Currency_ITEM"/>
	<xsl:variable name="currency-russia-ABBR" select="'RUB'"/>
	<xsl:variable name="currency-russia-code" select="'643'"/>
	<xsl:variable name="currency-russia-name" select="'РОССИЙСКИЙ РУБЛЬ'"/>
	<xsl:template name="currency-name">
		<xsl:param name="ABBR"/>
		<xsl:param name="default-output"/>
		<xsl:choose>
			<xsl:when test="string-length($ABBR)=0">
				<xsl:value-of select="$default-output"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$nsi-currency[ABBR=$ABBR]/Name"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="currency-named-ABBR">
		<xsl:param name="Name"/>
		<xsl:param name="default-output"/>
		<xsl:choose>
			<xsl:when test="string-length($Name)=0">
				<xsl:value-of select="$default-output"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$nsi-currency[translate(Name, $lo-case-rus, $up-case-rus)=translate($Name, $lo-case-rus, $up-case-rus)]/ABBR"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="currency-code">
		<xsl:param name="ABBR"/>
		<xsl:param name="default-output"/>
		<xsl:choose>
			<xsl:when test="string-length($ABBR)=0">
				<xsl:value-of select="$default-output"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$nsi-currency[ABBR=$ABBR]/Code"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="currency-ABBR">
		<xsl:param name="Code"/>
		<xsl:param name="default-output"/>
		<xsl:choose>
			<xsl:when test="string-length($Code)=0">
				<xsl:value-of select="$default-output"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$nsi-currency[Code=$Code]/ABBR"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
