<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="template-value.xsl"/>
	<xsl:variable name="FORMXML">
		<!--xsl:copy-of	select	$FORMXML
 - необязательно, но следует делать в любой загрузке против лишнего недоразумения, когда случайно вЫключили коварную устаревшую галку "для XML" при выгрузке (она запоминается и влияет на загрузку по умолчанию, а при выключенной её состоянии кажется, что половина данных не загрузилась)-->
		<FORMXML>2</FORMXML>
	</xsl:variable>
	<xsl:template name="elements-of-appendix">
		<xsl:param name="GRAPH_NO"/>
		<xsl:param name="REFFIELDNAME"/>
		<xsl:param name="G32"/>
		<xsl:param name="element-name"/>
		<xsl:param name="namespace-context"/>
		<xsl:variable name="namespace">
			<xsl:call-template name="namespace-of-name">
				<xsl:with-param name="element-name" select="$element-name"/>
				<xsl:with-param name="namespace-context" select="$namespace-context"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="ND" select="/VTTPRIM/VTTPRIM_ITEM/ND"/>
		<xsl:variable name="basic-filter" select="GTDBACK/GTDBACK_ITEM[(GRAPH_NO=$GRAPH_NO) and (G32=$G32) and (ND=$ND)]"/>
		<xsl:variable name="REFFIELDNAME-filter" select="$basic-filter[(string-length($REFFIELDNAME)!=0 and (REFFIELDNAME=$REFFIELDNAME)) or (string-length($REFFIELDNAME)=0 and not(REFFIELDNAME))]"/>
		<xsl:for-each select="$REFFIELDNAME-filter">
			<xsl:element name="{$element-name}" namespace="{$namespace}">
				<xsl:value-of select="TEXT"/>
			</xsl:element>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="text-of-appendix">
		<xsl:param name="GRAPH_NO"/>
		<xsl:param name="REFFIELDNAME"/>
		<xsl:param name="G32"/>
		<xsl:variable name="ND" select="/VTTPRIM/VTTPRIM_ITEM/ND"/>
		<xsl:variable name="basic-filter" select="GTDBACK/GTDBACK_ITEM[(GRAPH_NO=$GRAPH_NO) and (G32=$G32) and (ND=$ND)]"/>
		<xsl:variable name="REFFIELDNAME-filter" select="$basic-filter[(string-length($REFFIELDNAME)!=0 and (REFFIELDNAME=$REFFIELDNAME)) or (string-length($REFFIELDNAME)=0 and string-length(REFFIELDNAME)=0)]"/>
		<xsl:for-each select="$REFFIELDNAME-filter">
			<xsl:value-of select="TEXT"/>
			<xsl:if test="position()!=last()">
				<xsl:text>&#xd;&#xa;</xsl:text>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:key name="code-for-G40" use="generate-id(parent::GTD40_ITEM/G402 | parent::VTTDOP_ITEM/G40)" match="(GTD40_ITEM/DOCCODE | VTTDOP_ITEM/PRECEDDOCTYPE)"/>
	<xsl:template match="VTTDOP_ITEM" mode="output-G40-and-GTD40">
		<xsl:param name="set-of-G40-and-G402" select="(G40 | GTD40/GTD40_ITEM/G402)"/>
		<xsl:param name="G32" select="G32"/>
		<xsl:for-each select="$set-of-G40-and-G402[1]">
			<G40>
				<xsl:value-of select="."/>
			</G40>
			<PRECEDDOCTYPE>
				<xsl:value-of select="key('code-for-G40', generate-id())"/>
			</PRECEDDOCTYPE>
		</xsl:for-each>
		<GTD40>
			<xsl:for-each select="$set-of-G40-and-G402[ position() > 1 ]">
				<GTD40_ITEM>
					<DOCCODE>
						<xsl:value-of select="key('code-for-G40', generate-id())"/>
					</DOCCODE>
					<G402>
						<xsl:value-of select="."/>
					</G402>
					<G32>
						<xsl:value-of select="$G32"/>
					</G32>
				</GTD40_ITEM>
			</xsl:for-each>
		</GTD40>
	</xsl:template>
</xsl:stylesheet>
