<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:tirc="urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:4.8.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:4.8.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:4.8.0" xmlns:cltTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonLeafTypesCust:4.2.0">
	<xsl:template match="/">
		<xsl:apply-templates select="//tirc:TIR_Carnet"/>
	</xsl:template>
	<xsl:template match="tirc:TIR_Carnet">
		<JTIR_XX>
			<JTIR_XX_ITEM>
				<MDPLetters>
					<xsl:value-of select="//tirc:TIRIdentifier/tirc:TIRSeries"/>
				</MDPLetters>
				<N_MDP>
					<xsl:value-of select="//tirc:TIRIdentifier/tirc:TIRID"/>
				</N_MDP>
				<xsl:if test="//tirc:TIRIdentifier/tirc:TIRWhitePageNumber!=''">
					<W_LIST_NO>
						<xsl:value-of select="//tirc:TIRIdentifier/tirc:TIRWhitePageNumber"/>
					</W_LIST_NO>
				</xsl:if>
				<HOLDERIDN>
					<xsl:value-of select="//tirc:TIRHolderID"/>
				</HOLDERIDN>
				<G05>
					<xsl:value-of select="//tirc:GoodsQuantity"/>
				</G05>
				<G222>
					<xsl:value-of select="//tirc:TotalInvoicedCost"/>
				</G222>
				<NLIST>
					<xsl:value-of select="//tirc:TotalPageQuantity"/>
				</NLIST>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignor/cat_ru:OrganizationName!=''">
					<G022>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignor/cat_ru:OrganizationName"/>
					</G022>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignor/cat_ru:OrganizationName!=''">
					<CSGNOR_COUNTRYCODE>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignor/tirc:Address/cat_ru:CountryCode"/>
					</CSGNOR_COUNTRYCODE>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignor/cat_ru:OrganizationName!=''">
					<CSGNOR_POSTALCODE>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignor/tirc:Address/cat_ru:PostalCode"/>
					</CSGNOR_POSTALCODE>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignor/cat_ru:OrganizationName!=''">
					<CSGNOR_REGION>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignor/tirc:Address/cat_ru:Region"/>
					</CSGNOR_REGION>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignor/cat_ru:OrganizationName!=''">
					<CSGNOR_CITY>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignor/tirc:Address/cat_ru:City"/>
					</CSGNOR_CITY>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignor/cat_ru:OrganizationName!=''">
					<CSGNOR_STREETHOUSE>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignor/tirc:Address/cat_ru:StreetHouse"/>
					</CSGNOR_STREETHOUSE>
				</xsl:if>
				<xsl:if test="//tirc:DispatchCountryCode!=''">
					<G15C_ABC2>
						<xsl:value-of select="//tirc:DispatchCountryCode"/>
					</G15C_ABC2>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignor/cat_ru:OrganizationName!=''">
					<OGRN>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignor/cat_ru:OGRN"/>
					</OGRN>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment1/tirc:Consignor/cat_ru:OrganizationName!=''">
					<ITN>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignor/tirc:ITN"/>
					</ITN>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignor/cat_ru:OrganizationName!=''">
					<INN>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignor/cat_ru:INN"/>
					</INN>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignor/cat_ru:OrganizationName!=''">
					<KPP>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignor/cat_ru:KPP"/>
					</KPP>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<G082>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:OrganizationName"/>
					</G082>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<ITN_RECEIV>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignee/tirc:ITN"/>
					</ITN_RECEIV>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE1_COUNTRYCODE>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignee/tirc:Address/cat_ru:CountryCode"/>
					</CSGNEE1_COUNTRYCODE>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE1_POSTALCODE>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignee/tirc:Address/cat_ru:PostalCode"/>
					</CSGNEE1_POSTALCODE>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE1_REGION>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignee/tirc:Address/cat_ru:Region"/>
					</CSGNEE1_REGION>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE1_CITY>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignee/tirc:Address/cat_ru:City"/>
					</CSGNEE1_CITY>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE1_STREETHOUSE>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignee/tirc:Address/cat_ru:StreetHouse"/>
					</CSGNEE1_STREETHOUSE>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<OGRNR>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:OGRN"/>
					</OGRNR>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<ITNR>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignee/tirc:ITN"/>
					</ITNR>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<INNR>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:INN"/>
					</INNR>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<KPP_RECEIV>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Consignee/cat_ru:KPP"/>
					</KPP_RECEIV>
				</xsl:if>
				<xsl:if test="//tirc:DestinationCountryA3Code!=''">
					<G17C_ABC2>
						<xsl:value-of select="//tirc:DestinationCountryA3Code"/>
					</G17C_ABC2>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[2]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<G082S>
						<xsl:value-of select="//tirc:TIR_Shipment[2]/tirc:Consignee/cat_ru:OrganizationName"/>
					</G082S>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[2]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE2_COUNTRYCODE>
						<xsl:value-of select="//tirc:TIR_Shipment[2]/tirc:Consignee/tirc:Address/cat_ru:CountryCode"/>
					</CSGNEE2_COUNTRYCODE>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[2]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE2_POSTALCODE>
						<xsl:value-of select="//tirc:TIR_Shipment[2]/tirc:Consignee/tirc:Address/cat_ru:PostalCode"/>
					</CSGNEE2_POSTALCODE>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[2]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE2_REGION>
						<xsl:value-of select="//tirc:TIR_Shipment[2]/tirc:Consignee/tirc:Address/cat_ru:Region"/>
					</CSGNEE2_REGION>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[2]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE2_CITY>
						<xsl:value-of select="//tirc:TIR_Shipment[2]/tirc:Consignee/tirc:Address/cat_ru:City"/>
					</CSGNEE2_CITY>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[2]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE2_STREETHOUSE>
						<xsl:value-of select="//tirc:TIR_Shipment[2]/tirc:Consignee/tirc:Address/cat_ru:StreetHouse"/>
					</CSGNEE2_STREETHOUSE>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[3]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<G082T>
						<xsl:value-of select="//tirc:TIR_Shipment[3]/tirc:Consignee/cat_ru:OrganizationName"/>
					</G082T>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[3]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE3_COUNTRYCODE>
						<xsl:value-of select="//tirc:TIR_Shipment[3]/tirc:Consignee/tirc:Address/cat_ru:CountryCode"/>
					</CSGNEE3_COUNTRYCODE>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[3]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE3_POSTALCODE>
						<xsl:value-of select="//tirc:TIR_Shipment[3]/tirc:Consignee/tirc:Address/cat_ru:PostalCode"/>
					</CSGNEE3_POSTALCODE>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[3]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE3_REGION>
						<xsl:value-of select="//tirc:TIR_Shipment[3]/tirc:Consignee/tirc:Address/cat_ru:Region"/>
					</CSGNEE3_REGION>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[3]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE3_CITY>
						<xsl:value-of select="//tirc:TIR_Shipment[3]/tirc:Consignee/tirc:Address/cat_ru:City"/>
					</CSGNEE3_CITY>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[3]/tirc:Consignee/cat_ru:OrganizationName!=''">
					<CSGNEE3_STREETHOUSE>
						<xsl:value-of select="//tirc:TIR_Shipment[3]/tirc:Consignee/tirc:Address/cat_ru:StreetHouse"/>
					</CSGNEE3_STREETHOUSE>
				</xsl:if>
				<xsl:for-each select="//tirc:Carrier[1]">
					<xsl:if test="cat_ru:OrganizationName!=''">
						<G501>
							<xsl:value-of select="cat_ru:OrganizationName"/>
						</G501>
						<CARRIER_POSTALCODE>
							<xsl:value-of select="tirc:Address/cat_ru:PostalCode"/>
						</CARRIER_POSTALCODE>
						<DRIVE_ABC2>
							<xsl:value-of select="tirc:Address/cat_ru:CountryCode"/>
						</DRIVE_ABC2>
						<CARRIER_REGION>
							<xsl:value-of select="tirc:Address/cat_ru:Region"/>
						</CARRIER_REGION>
						<CARRIER_CITY>
							<xsl:value-of select="tirc:Address/cat_ru:City"/>
						</CARRIER_CITY>
						<CARRIER_STREETHOUSE>
							<xsl:value-of select="tirc:Address/cat_ru:StreetHouse"/>
						</CARRIER_STREETHOUSE>
						<DRIVEROGRN>
							<xsl:value-of select="cat_ru:OGRN"/>
						</DRIVEROGRN>
						<DRIVERITN>
							<xsl:value-of select="tirc:ITN"/>
						</DRIVERITN>
						<INN_DRIVER>
							<xsl:value-of select="cat_ru:INN"/>
						</INN_DRIVER>
						<xsl:for-each select="tirc:IdentityCard[1]">
							<CARRIERPERSCARDCODE>
								<xsl:value-of select="cat_ru:IdentityCardCode"/>
							</CARRIERPERSCARDCODE>
							<CARRIERPERSCARDNAME>
								<xsl:value-of select="cat_ru:IdentityCardName"/>
							</CARRIERPERSCARDNAME>
							<CARRIERPERSCARDSERIES>
								<xsl:value-of select="cat_ru:IdentityCardSeries"/>
							</CARRIERPERSCARDSERIES>
							<CARRIERPERSCARDNUM>
								<xsl:value-of select="cat_ru:IdentityCardNumber"/>
							</CARRIERPERSCARDNUM>
							<CARRIERPERSCARDDATE>
								<xsl:value-of select="cat_ru:IdentityCardDate"/>
							</CARRIERPERSCARDDATE>
							<CARRIERPERSCARDORG>
								<xsl:value-of select="cat_ru:OrganizationName"/>
							</CARRIERPERSCARDORG>
						</xsl:for-each>
						<xsl:for-each select="tirc:TIRSignature/tirc:SignPerson/cat_ru:PersonName">
							<DRIVER_FIO>
								<xsl:value-of select="."/>
							</DRIVER_FIO>
						</xsl:for-each>
					</xsl:if>
				</xsl:for-each>
				<xsl:if test="//tirc:Forwarder/tirc:Name!=''">
					<FAGENTNAME>
						<xsl:value-of select="//tirc:Forwarder/tirc:Name"/>
					</FAGENTNAME>
				</xsl:if>
				<xsl:if test="//tirc:Forwarder/tirc:Name!=''">
					<PRINC_COUNTRYCODE>
						<xsl:value-of select="//tirc:Forwarder/tirc:Address/cat_ru:CountryCode"/>
					</PRINC_COUNTRYCODE>
				</xsl:if>
				<xsl:if test="//tirc:Forwarder/tirc:Name!=''">
					<PRINC_POSTALCODE>
						<xsl:value-of select="//tirc:Forwarder/tirc:Address/cat_ru:PostalCode"/>
					</PRINC_POSTALCODE>
				</xsl:if>
				<xsl:if test="//tirc:Forwarder/tirc:Name!=''">
					<PRINC_REGION>
						<xsl:value-of select="//tirc:Forwarder/tirc:Address/cat_ru:Region"/>
					</PRINC_REGION>
				</xsl:if>
				<xsl:if test="//tirc:Forwarder/tirc:Name!=''">
					<PRINC_CITY>
						<xsl:value-of select="//tirc:Forwarder/tirc:Address/cat_ru:City"/>
					</PRINC_CITY>
				</xsl:if>
				<xsl:if test="//tirc:Forwarder/tirc:Name!=''">
					<PRINC_STREETHOUSE>
						<xsl:value-of select="//tirc:Forwarder/tirc:Address/cat_ru:StreetHouse"/>
					</PRINC_STREETHOUSE>
				</xsl:if>
				<xsl:if test="//tirc:TransportMeans/catTrans_ru:ModeCode!=''">
					<G26>
						<xsl:value-of select="//tirc:TransportMeans/catTrans_ru:ModeCode"/>
					</G26>
				</xsl:if>
				<xsl:if test="//tirc:TransportMeans/catTrans_ru:TMNumber!=''">
					<N_TR>
						<xsl:value-of select="//tirc:TransportMeans/catTrans_ru:TMNumber"/>
					</N_TR>
				</xsl:if>
				<xsl:if test="//tirc:TransportMeans/catTrans_ru:VINID!=''">
					<VIN>
						<xsl:value-of select="//tirc:TransportMeans/catTrans_ru:VINID"/>
					</VIN>
				</xsl:if>
				<xsl:if test="//tirc:TransportMeans/TrailerNumber!=''">
					<N_TRAILER>
						<xsl:value-of select="//tirc:TransportMeans/TrailerNumber"/>
					</N_TRAILER>
				</xsl:if>
				<xsl:if test="//tirc:TransportMeans/TrailerNumber2!=''">
					<N_TRAILER2>
						<xsl:value-of select="//tirc:TransportMeans/TrailerNumber2"/>
					</N_TRAILER2>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:ContainerID[1]!=''">
					<G3161>
						<xsl:for-each select="//tirc:TIR_Shipment[1]/tirc:ContainerID">
							<xsl:value-of select="."/>
							<xsl:if test="not(position()=last())">
								<xsl:value-of select='","'/>
							</xsl:if>
						</xsl:for-each>
					</G3161>
				</xsl:if>
				<xsl:if test="//tirc:Guarantee/catTrans_ru:MeasureCode!=''">
					<G52CODE>
						<xsl:value-of select="//tirc:Guarantee/catTrans_ru:MeasureCode"/>
					</G52CODE>
				</xsl:if>
				<xsl:if test="//tirc:Guarantee/catTrans_ru:MeasureCode!=''">
					<G447C>
						<xsl:value-of select="//tirc:Guarantee/catTrans_ru:DocumentNumber"/>
					</G447C>
				</xsl:if>
				<xsl:if test="//tirc:Guarantee/catTrans_ru:MeasureCode!=''">
					<G52DATE>
						<xsl:value-of select="//tirc:Guarantee/catTrans_ru:IssueDate"/>
					</G52DATE>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Destination/catTrans_ru:DestinationCustomsCode!=''">
					<G531>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Destination/catTrans_ru:DestinationCustomsCode"/>
					</G531>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Destination/catTrans_ru:DeliveryCustomsPostCode!=''">
					<GA3>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Destination/catTrans_ru:DeliveryCustomsPostCode"/>
					</GA3>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Destination/tirc:Address/cat_ru:PostalCode!=''">
					<DEST_POSTALCODE>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Destination/tirc:Address/cat_ru:PostalCode"/>
					</DEST_POSTALCODE>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Destination/tirc:Address/cat_ru:CountryCode!=''">
					<DEST_COUNTRYCODE>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Destination/tirc:Address/cat_ru:CountryCode"/>
					</DEST_COUNTRYCODE>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Destination/tirc:Address/cat_ru:Region!=''">
					<DEST_REGION>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Destination/tirc:Address/cat_ru:Region"/>
					</DEST_REGION>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Destination/tirc:Address/cat_ru:City!=''">
					<DEST_CITY>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Destination/tirc:Address/cat_ru:City"/>
					</DEST_CITY>
				</xsl:if>
				<xsl:if test="//tirc:TIR_Shipment[1]/tirc:Destination/tirc:Address/cat_ru:StreetHouse!=''">
					<DEST_STREETHOUSE>
						<xsl:value-of select="//tirc:TIR_Shipment[1]/tirc:Destination/tirc:Address/cat_ru:StreetHouse"/>
					</DEST_STREETHOUSE>
				</xsl:if>
				<JGDS_XX>
					<xsl:for-each select="//tirc:TIR_Shipment[1]">
						<xsl:for-each select="tirc:Goods">
							<JGDS_XX_ITEM>
								<G32>
									<xsl:value-of select="catTrans_ru:GoodsNumeric"/>
								</G32>
								<N_RECEIVER>
									<xsl:value-of select="1"/>
								</N_RECEIVER>
								<G33>
									<xsl:value-of select="catTrans_ru:GoodsTNVEDCode"/>
								</G33>
								<G312>
									<xsl:value-of select="catTrans_ru:GoodsDescription"/>
								</G312>
								<G35>
									<xsl:value-of select="catTrans_ru:GrossWeightQuantity"/>
								</G35>
								<G311>
									<xsl:value-of select="catTrans_ru:PlacesInfo/catTrans_ru:PakingQuantity"/>
								</G311>
								<G318>
									<xsl:value-of select="catTrans_ru:PlacesInfo/catTrans_ru:PackingCode"/>
								</G318>
								<G42>
									<xsl:value-of select="catTrans_ru:InvoicedCost"/>
								</G42>
								<G315>
									<xsl:value-of select="catTrans_ru:SupplementaryGoodsQuantity"/>
								</G315>
								<G317C>
									<xsl:value-of select="catTrans_ru:SupplementaryMeasureUnitCode"/>
								</G317C>
								<G40>
									<xsl:value-of select="catTrans_ru:PrecedingDocumentNumber"/>
								</G40>
								<G40T>
									<xsl:value-of select="../../tirc:PrecedingDocument/tirc:DocumentKind"/>
								</G40T>
								<KODS_PT>
									<xsl:value-of select="catTrans_ru:OriginCountryCode"/>
								</KODS_PT>
								<N_TTH>
									<xsl:value-of select="tirc:TTNNumber"/>
								</N_TTH>
								<G405>
									<xsl:value-of select="../../tirc:TIRIdentifier/tirc:TIRGreenPageNumber"/>
								</G405>
							</JGDS_XX_ITEM>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//tirc:TIR_Shipment[2]">
						<xsl:for-each select="tirc:Goods">
							<JGDS_XX_ITEM>
								<G32>
									<xsl:value-of select="catTrans_ru:GoodsNumeric"/>
								</G32>
								<N_RECEIVER>
									<xsl:value-of select="2"/>
								</N_RECEIVER>
								<G33>
									<xsl:value-of select="catTrans_ru:GoodsTNVEDCode"/>
								</G33>
								<G312>
									<xsl:value-of select="catTrans_ru:GoodsDescription"/>
								</G312>
								<G35>
									<xsl:value-of select="catTrans_ru:GrossWeightQuantity"/>
								</G35>
								<G311>
									<xsl:value-of select="catTrans_ru:PlacesInfo/catTrans_ru:PakingQuantity"/>
								</G311>
								<G318>
									<xsl:value-of select="catTrans_ru:PlacesInfo/catTrans_ru:PackingCode"/>
								</G318>
								<G42>
									<xsl:value-of select="catTrans_ru:InvoicedCost"/>
								</G42>
								<G315>
									<xsl:value-of select="catTrans_ru:SupplementaryGoodsQuantity"/>
								</G315>
								<G317C>
									<xsl:value-of select="catTrans_ru:SupplementaryMeasureUnitCode"/>
								</G317C>
								<G40>
									<xsl:value-of select="catTrans_ru:PrecedingDocumentNumber"/>
								</G40>
								<G40T>
									<xsl:value-of select="../../tirc:PrecedingDocument/tirc:DocumentKind"/>
								</G40T>
								<KODS_PT>
									<xsl:value-of select="catTrans_ru:OriginCountryCode"/>
								</KODS_PT>
								<N_TTH>
									<xsl:value-of select="tirc:TTNNumber"/>
								</N_TTH>
								<G405>
									<xsl:value-of select="../../tirc:TIRIdentifier/tirc:TIRGreenPageNumber"/>
								</G405>
							</JGDS_XX_ITEM>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="//tirc:TIR_Shipment[3]">
						<xsl:for-each select="tirc:Goods">
							<JGDS_XX_ITEM>
								<G32>
									<xsl:value-of select="catTrans_ru:GoodsNumeric"/>
								</G32>
								<N_RECEIVER>
									<xsl:value-of select="3"/>
								</N_RECEIVER>
								<G33>
									<xsl:value-of select="catTrans_ru:GoodsTNVEDCode"/>
								</G33>
								<G312>
									<xsl:value-of select="catTrans_ru:GoodsDescription"/>
								</G312>
								<G35>
									<xsl:value-of select="catTrans_ru:GrossWeightQuantity"/>
								</G35>
								<G311>
									<xsl:value-of select="catTrans_ru:PlacesInfo/catTrans_ru:PakingQuantity"/>
								</G311>
								<G318>
									<xsl:value-of select="catTrans_ru:PlacesInfo/catTrans_ru:PackingCode"/>
								</G318>
								<G42>
									<xsl:value-of select="catTrans_ru:InvoicedCost"/>
								</G42>
								<G315>
									<xsl:value-of select="catTrans_ru:SupplementaryGoodsQuantity"/>
								</G315>
								<G317C>
									<xsl:value-of select="catTrans_ru:SupplementaryMeasureUnitCode"/>
								</G317C>
								<G40>
									<xsl:value-of select="catTrans_ru:PrecedingDocumentNumber"/>
								</G40>
								<G40T>
									<xsl:value-of select="../../tirc:PrecedingDocument/tirc:DocumentKind"/>
								</G40T>
								<KODS_PT>
									<xsl:value-of select="catTrans_ru:OriginCountryCode"/>
								</KODS_PT>
								<N_TTH>
									<xsl:value-of select="tirc:TTNNumber"/>
								</N_TTH>
								<G405>
									<xsl:value-of select="../../tirc:TIRIdentifier/tirc:TIRGreenPageNumber"/>
								</G405>
							</JGDS_XX_ITEM>
						</xsl:for-each>
					</xsl:for-each>
				</JGDS_XX>
			</JTIR_XX_ITEM>
		</JTIR_XX>
	</xsl:template>
	<xsl:template name="FormatDate">
		<xsl:param name="DateTime"/>
		<!-- 2007-12-27T00:00:00+01:00-->
		<!--ddMMyy-->
		<xsl:value-of select="substring($DateTime,9,2)"/>
		<xsl:value-of select="'.'"/>
		<xsl:value-of select="substring($DateTime,6,2)"/>
		<xsl:value-of select="'.'"/>
		<xsl:value-of select="substring($DateTime,3,2)"/>
	</xsl:template>
</xsl:stylesheet>
