<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="RegId"/>
	<xsl:template match="/">
		<DesNotif_PIResult>
			<DesNotif_PIResult_ITEM>
				<DocumentId>
					<xsl:value-of select="//EDPISTATUS/EDPISTATUS_ITEM/REGID"/>
				</DocumentId>
				<RefDocumentId>
					<xsl:value-of select="//EDPISTATUS/EDPISTATUS_ITEM/GOALDOCID"/>
				</RefDocumentId>
				<xsl:for-each select="/JTIR_XX/JTIR_XX_ITEM[1]">
					<TIR_Result>
						<TIR_Result_ITEM>
							<TIRID>
								<xsl:value-of select="N_MDP"/>
							</TIRID>
							<TIRSeries>
								<xsl:value-of select="MDPLETTERS"/>
							</TIRSeries>
							<TIRFullID>
								<xsl:value-of select="MDPLETTERS"/>
								<xsl:value-of select="N_MDP"/>
							</TIRFullID>
							<TIRWhitePageNumber>
								<xsl:value-of select="W_LIST_NO"/>
							</TIRWhitePageNumber>
							<TIRGreenPageNumber/>
							<TIRHolder>
								<xsl:value-of select="HOLDERIDN"/>
							</TIRHolder>
							<PI_Status/>
						</TIR_Result_ITEM>
					</TIR_Result>
					<Drivers>
						<DRIVERS_ITEM>
							<Driver>
								<xsl:value-of select="normalize-space(concat(DRIVERSURNAME,' ',DRIVERNAME,' ',DRIVERMIDNAME))"/>
							</Driver>
						</DRIVERS_ITEM>
					</Drivers>
					<NumBill>
						<xsl:value-of select="JTIR_XX_CSGNT/JTIR_XX_CSGNT_ITEM/N_TD"/>
					</NumBill>
					<PrimeMoverStateSignID>
						<xsl:value-of select="N_TR"/>
					</PrimeMoverStateSignID>
					<TrailerStateSignID>
						<xsl:value-of select="N_TRAILER"/>
					</TrailerStateSignID>
					<TrailerStateSignID2>
						<xsl:value-of select="N_TRAILER2"/>
					</TrailerStateSignID2>
				</xsl:for-each>
				<xsl:for-each select="/VTTPRIM/VTTPRIM_ITEM[1]">
					<xsl:for-each select="VTTDOP/VTTDOP_ITEM[1]/VTTDOPPRESDOCS/VTTDOPPRESDOCS_ITEM[DOCCODE='02024'][1]">
						<TIR_Result>
							<TIR_Result_ITEM>
								<TIRID>
									<xsl:value-of select="DOCNUM"/>
								</TIRID>
								<TIRSeries/>
								<TIRFullID>
									<xsl:value-of select="DOCNUM"/>
								</TIRFullID>
								<TIRWhitePageNumber/>
								<TIRGreenPageNumber/>
								<TIRHolder/>
								<PI_Status/>
							</TIR_Result_ITEM>
						</TIR_Result>
					</xsl:for-each>
					<Drivers>
						<xsl:if test="string-length(normalize-space(PRINCIPALPERSCARDSURNAME))!=0">
							<DRIVERS_ITEM>
								<Driver>
									<xsl:value-of select="normalize-space(concat(PRINCIPALPERSSURNAME,' ',PRINCIPALPERSNAME,' ',PRINCIPALPERSMIDDLENAME,' ',PRINCIPALPERSCARDNAME,' ',PRINCIPALPERSCARDSERIES,' ',PRINCIPALPERSCARDNUMBER,' ',PRINCIPALPERSCARDDATE))"/>
								</Driver>
							</DRIVERS_ITEM>
						</xsl:if>
						<xsl:for-each select="VTTCARRIERDRIVERS/VTTCARRIERDRIVERS_ITEM[normalize-space(PERSONSURNAME) or normalize-space(IDENTITYCARDNUMBER)]">
							<DRIVERS_ITEM>
								<Driver>
									<xsl:value-of select="normalize-space(concat(PERSONSURNAME,' ',PERSONNAME,' ',PERSONMIDNAME,' ',IDENTITYCARDNAME,' ',IDENTITYCARDSERIES,' ',IDENTITYCARDNUMBER,' ',IDENTITYCARDDATE))"/>
								</Driver>
							</DRIVERS_ITEM>
						</xsl:for-each>
					</Drivers>
					<NumBill>
						<xsl:for-each select="VTTDOP/VTTDOP_ITEM[1]/VTTDOPPRESDOCS/VTTDOPPRESDOCS_ITEM[substring(DOCCODE,1,2)='02'][1]">
							<xsl:value-of select="DOCNUM"/>
						</xsl:for-each>
					</NumBill>
					<PrimeMoverStateSignID>
						<xsl:value-of select="G181"/>
					</PrimeMoverStateSignID>
					<TrailerStateSignID>
						<xsl:value-of select="TRAILER"/>
					</TrailerStateSignID>
					<TrailerStateSignID2>
						<xsl:value-of select="TRAILER2"/>
					</TrailerStateSignID2>
				</xsl:for-each>
			</DesNotif_PIResult_ITEM>
		</DesNotif_PIResult>
	</xsl:template>
</xsl:stylesheet>
