<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="urn:customs.ru:Information:PriorInformation:PI_TransitInformation:5.0.3" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.0.3" xmlns:catpi_ru="urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.0.3">
	<xsl:import href="template-customs.xsl"/>
	<xsl:import href="template-vtdecl.xsl"/>
	<xsl:import href="template-value.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:apply-templates select="VTTPRIM/VTTPRIM_ITEM"/>
	</xsl:template>
	<xsl:template match="VTTPRIM/VTTPRIM_ITEM">
		<PI_TransitInformation DocumentModeID="1006805E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
			<DocumentDate>
				<xsl:call-template name="date-but-time">
					<xsl:with-param name="date-time" select="G542"/>
				</xsl:call-template>
			</DocumentDate>
			<BorderCustomsCode>
				<xsl:value-of select="CODELNP_O"/>
			</BorderCustomsCode>
			<PIoutConsignee>
				<cat_ru:OrganizationName>
					<xsl:value-of select="G082"/>
				</cat_ru:OrganizationName>
				<xsl:call-template name="cat_ru:RFOrganizationFeatures">
					<xsl:with-param name="OGRN" select="RECEIVOGRN"/>
					<xsl:with-param name="INN" select="M081"/>
					<xsl:with-param name="KPP" select="KPP_RECEIV"/>
				</xsl:call-template>
				<xsl:call-template name="catpi_ru:Address">
					<xsl:with-param name="PostalCode" select="G08_POSTALCODE"/>
					<xsl:with-param name="CountryCode" select="G08_COUNTRYCODE"/>
					<xsl:with-param name="CountryName" select="G08_COUNTRYNAME"/>
					<xsl:with-param name="Region" select="G08_REGION"/>
					<xsl:with-param name="City" select="G08_CITY"/>
					<xsl:with-param name="StreetHouse" select="G08_STREETHOUSE"/>
				</xsl:call-template>
			</PIoutConsignee>
			<xsl:variable name="principal-identity-card">
				<xsl:call-template name="IdCardElements">
					<xsl:with-param name="Code" select="PRINCIPALPERSCARDCODE"/>
					<xsl:with-param name="Name" select="PRINCIPALPERSCARDNAME"/>
					<xsl:with-param name="Series" select="PRINCIPALPERSCARDSERIES"/>
					<xsl:with-param name="Number" select="PRINCIPALPERSCARDNUM"/>
					<xsl:with-param name="Date" select="PRINCIPALPERSCARDDATE"/>
				</xsl:call-template>
			</xsl:variable>
			<PIoutCarrier>
				<cat_ru:OrganizationName>
					<xsl:value-of select="G501"/>
				</cat_ru:OrganizationName>
				<xsl:call-template name="cat_ru:RFOrganizationFeatures">
					<xsl:with-param name="OGRN" select="DRIVEROGRN"/>
					<xsl:with-param name="INN" select="INN_DRIVER"/>
					<xsl:with-param name="KPP" select="KPP_DRIVER"/>
				</xsl:call-template>
				<xsl:for-each select="VTTCARRIERDRIVERS/VTTCARRIERDRIVERS_ITEM">
					<DriverInformation>
						<cat_ru:PersonSurname>
							<xsl:value-of select="PERSONSURNAME"/>
						</cat_ru:PersonSurname>
						<cat_ru:PersonName>
							<xsl:value-of select="PERSONNAME"/>
						</cat_ru:PersonName>
						<cat_ru:PersonMiddleName>
							<xsl:value-of select="PERSONMIDNAME"/>
						</cat_ru:PersonMiddleName>
						<catpi_ru:IdentityCard>
							<xsl:call-template name="IdCardElements">
								<xsl:with-param name="Code" select="IDENTITYCARDCODE"/>
								<xsl:with-param name="Name" select="IDENTITYCARDNAME"/>
								<xsl:with-param name="Series" select="IDENTITYCARDSERIES"/>
								<xsl:with-param name="Number" select="IDENTITYCARDNUMBER"/>
								<xsl:with-param name="Date" select="IDENTITYCARDDATE"/>
							</xsl:call-template>
						</catpi_ru:IdentityCard>
					</DriverInformation>
				</xsl:for-each>
				<DriverInformation>
					<cat_ru:PersonSurname>
						<xsl:value-of select="PRINCIPALPERSSURNAME"/>
					</cat_ru:PersonSurname>
					<cat_ru:PersonName>
						<xsl:value-of select="PRINCIPALPERSNAME"/>
					</cat_ru:PersonName>
					<cat_ru:PersonMiddleName>
						<xsl:value-of select="PRINCIPALPERSMIDDLENAME"/>
					</cat_ru:PersonMiddleName>
					<catpi_ru:IdentityCard>
						<xsl:copy-of select="$principal-identity-card"/>
					</catpi_ru:IdentityCard>
				</DriverInformation>
				<xsl:call-template name="catpi_ru:Address">
					<xsl:with-param name="PostalCode" select="G14_POSTALCODE"/>
					<xsl:with-param name="CountryCode" select="G14_COUNTRYCODE"/>
					<xsl:with-param name="CountryName" select="G14_COUNTRYNAME"/>
					<xsl:with-param name="Region" select="G14_REGION"/>
					<xsl:with-param name="City" select="G14_CITY"/>
					<xsl:with-param name="StreetHouse" select="G14_STREETHOUSE"/>
				</xsl:call-template>
			</PIoutCarrier>
			<PIoutGoodsInformation>
				<TotalGoodsNameQuantity>
					<xsl:value-of select="G05"/>
				</TotalGoodsNameQuantity>
				<ShipSpecifQuantity>
					<xsl:value-of select="G04"/>
				</ShipSpecifQuantity>
				<ShipSpecifGoodsQuantity>
					<xsl:value-of select="SPECIF_GDS"/>
				</ShipSpecifGoodsQuantity>
				<TotalInvoicedCost>
					<xsl:call-template name="fix-float">
						<xsl:with-param name="float-number" select="G222"/>
						<xsl:with-param name="round-factor" select="100"/>
					</xsl:call-template>
				</TotalInvoicedCost>
				<CurrencyCode>
					<xsl:value-of select="G221_BUK"/>
				</CurrencyCode>
				<CurrencyRate>
					<xsl:value-of select="G23"/>
				</CurrencyRate>
				<xsl:for-each select="VTTDOP/VTTDOP_ITEM">
					<xsl:sort data-type="number" select="G32"/>
					<Goods>
						<cat_ru:GoodsNumeric>
							<xsl:value-of select="G32"/>
						</cat_ru:GoodsNumeric>
						<cat_ru:GoodsTNVEDCode>
							<xsl:value-of select="G33"/>
						</cat_ru:GoodsTNVEDCode>
						<xsl:call-template name="customs-text250">
							<xsl:with-param name="text" select="G312"/>
							<xsl:with-param name="element-name" select="'cat_ru:GoodsDescription'"/>
							<xsl:with-param name="namespace-context" select="document('')"/>
						</xsl:call-template>
						<xsl:call-template name="elements-of-appendix">
							<xsl:with-param name="GRAPH_NO" select="'31'"/>
							<xsl:with-param name="G32" select="G32"/>
							<xsl:with-param name="element-name" select="'cat_ru:GoodsDescription'"/>
							<xsl:with-param name="namespace-context" select="document('')"/>
						</xsl:call-template>
						<cat_ru:GrossWeightQuantity>
							<xsl:call-template name="fix-float">
								<xsl:with-param name="float-number" select="G35"/>
								<xsl:with-param name="round-factor" select="1000000"/>
							</xsl:call-template>
						</cat_ru:GrossWeightQuantity>
						<cat_ru:NetWeightQuantity>
							<xsl:call-template name="fix-float">
								<xsl:with-param name="float-number" select="NETTO"/>
								<xsl:with-param name="round-factor" select="1000000"/>
							</xsl:call-template>
						</cat_ru:NetWeightQuantity>
						<xsl:call-template name="split-string">
							<xsl:with-param name="delimited-string" select="G3161"/>
							<xsl:with-param name="element-name" select="'catpi_ru:ContainerNumbers'"/>
							<xsl:with-param name="namespace-context" select="document('')"/>
						</xsl:call-template>
						<catpi_ru:OriginCountryCode>
							<xsl:value-of select="G34_ABC2"/>
						</catpi_ru:OriginCountryCode>
						<catpi_ru:InvoicedCost>
							<xsl:call-template name="fix-float">
								<xsl:with-param name="float-number" select="G42"/>
								<xsl:with-param name="round-factor" select="100"/>
							</xsl:call-template>
						</catpi_ru:InvoicedCost>
						<catpi_ru:CurrencyCode>
							<xsl:value-of select="INVCCOSTCODE"/>
						</catpi_ru:CurrencyCode>
						<catpi_ru:GoodsMeasureQuantity>
							<catpi_ru:GoodsQuantity>
								<xsl:call-template name="fix-float">
									<xsl:with-param name="float-number" select="G315A"/>
									<xsl:with-param name="round-factor" select="1000000"/>
								</xsl:call-template>
							</catpi_ru:GoodsQuantity>
							<catpi_ru:MeasureUnitQualifierCode>
								<xsl:value-of select="G41A"/>
							</catpi_ru:MeasureUnitQualifierCode>
						</catpi_ru:GoodsMeasureQuantity>
						<xsl:for-each select="VTTDOPPRESDOCS/VTTDOPPRESDOCS_ITEM">
							<xsl:sort data-type="number" select="NPP"/>
							<xsl:sort data-type="number" select="COUNTER"/>
							<catpi_ru:PresentedDocuments>
								<cat_ru:PrDocumentNumber>
									<xsl:value-of select="DOCNUM"/>
								</cat_ru:PrDocumentNumber>
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="date-but-time">
										<xsl:with-param name="date-time" select="DOCDATE"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
								<catpi_ru:PresentedDocumentModeCode>
									<xsl:value-of select="DOCCODE"/>
								</catpi_ru:PresentedDocumentModeCode>
							</catpi_ru:PresentedDocuments>
						</xsl:for-each>
						<catpi_ru:GoodsPackaging>
							<catpi_ru:PakageQuantity>
								<xsl:value-of select="G311"/>
							</catpi_ru:PakageQuantity>
							<catpi_ru:CargoCode>
								<xsl:value-of select="VTTDOPPACK/VTTDOPPACK_ITEM[1]/G318"/>
							</catpi_ru:CargoCode>
							<xsl:for-each select="VTTDOPPACK/VTTDOPPACK_ITEM">
								<xsl:sort select="NPP" data-type="number"/>
								<catpi_ru:PackingInformation>
									<catpi_ru:PackingCode>
										<xsl:value-of select="G318"/>
									</catpi_ru:PackingCode>
									<catpi_ru:PakingQuantity>
										<xsl:value-of select="G314"/>
									</catpi_ru:PakingQuantity>
									<catpi_ru:PackingMark>
										<xsl:value-of select="G313"/>
									</catpi_ru:PackingMark>
								</catpi_ru:PackingInformation>
							</xsl:for-each>
						</catpi_ru:GoodsPackaging>
					</Goods>
				</xsl:for-each>
			</PIoutGoodsInformation>
			<xsl:for-each select="VTTDOP/VTTDOP_ITEM/VTTDOPPRESDOCS/VTTDOPPRESDOCS_ITEM[not(DOCNUM=preceding-sibling::*/DOCNUM)][not(DOCCODE=preceding-sibling::*/DOCCODE)]">
				<xsl:sort data-type="number" select="G32"/>
				<xsl:sort data-type="number" select="NPP"/>
				<xsl:sort data-type="number" select="COUNTER"/>
				<PIoutLicenceDocument>
					<cat_ru:PrDocumentNumber>
						<xsl:value-of select="DOCNUM"/>
					</cat_ru:PrDocumentNumber>
					<cat_ru:PrDocumentDate>
						<xsl:call-template name="date-but-time">
							<xsl:with-param name="date-time" select="DOCDATE"/>
						</xsl:call-template>
					</cat_ru:PrDocumentDate>
					<catpi_ru:PresentedDocumentModeCode>
						<xsl:value-of select="DOCCODE"/>
					</catpi_ru:PresentedDocumentModeCode>
				</PIoutLicenceDocument>
			</xsl:for-each>
			<PIoutPrincipal>
				<cat_ru:OrganizationName>
					<xsl:value-of select="FAGENTNAME"/>
				</cat_ru:OrganizationName>
				<xsl:call-template name="cat_ru:RFOrganizationFeatures">
					<xsl:with-param name="OGRN" select="FA_OGRN"/>
					<xsl:with-param name="INN" select="FA_INN"/>
					<xsl:with-param name="KPP" select="FA_KPP"/>
				</xsl:call-template>
				<IdentityCard>
					<xsl:copy-of select="$principal-identity-card"/>
				</IdentityCard>
				<xsl:call-template name="cat_ru:Address">
					<xsl:with-param name="PostalCode" select="FA_POSTALCODE"/>
					<xsl:with-param name="CountryCode" select="FA_COUNTRYCODE"/>
					<xsl:with-param name="CountryName" select="FA_COUNTRYNAME"/>
					<xsl:with-param name="Region" select="FA_REGION"/>
					<xsl:with-param name="City" select="FA_CITY"/>
					<xsl:with-param name="StreetHouse" select="FA_STREETHOUSE"/>
				</xsl:call-template>
			</PIoutPrincipal>
			<PIoutShippingInformation>
				<ContainerIndicator>
					<xsl:choose>
						<xsl:when test="G19=1">
							<xsl:value-of select="'true'"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'false'"/>
						</xsl:otherwise>
					</xsl:choose>
				</ContainerIndicator>
				<DateLimit>
					<xsl:call-template name="date-but-time">
						<xsl:with-param name="date-time" select="G504"/>
					</xsl:call-template>
				</DateLimit>
				<DispatchCustoms>
					<cat_ru:Code>
						<xsl:value-of select="CODELNP_O"/>
					</cat_ru:Code>
				</DispatchCustoms>
				<xsl:call-template name="BorderTransport">
					<xsl:with-param name="TransportIdentifier" select="G211"/>
					<xsl:with-param name="TrailerIdentifier" select="PRECEDTRAILER"/>
					<xsl:with-param name="SecondTrailerIdentifier" select="PRECEDTRAILER2"/>
					<xsl:with-param name="VIN" select="PRECEDVIN"/>
					<xsl:with-param name="TransportModeCode" select="G251"/>
					<xsl:with-param name="NationalityCode" select="G212_ABC2"/>
				</xsl:call-template>
				<xsl:for-each select="GTDDKD/GTDDKD_ITEM[NGR='21']">
					<xsl:sort data-type="number" select="COUNTER"/>
					<xsl:call-template name="BorderTransport">
						<xsl:with-param name="TransportIdentifier" select="NTRANS"/>
						<xsl:with-param name="TransportModeCode" select="ancestor::VTTPRIM_ITEM/G251"/>
						<xsl:with-param name="NationalityCode" select="ancestor::VTTPRIM_ITEM/G212_ABC2"/>
					</xsl:call-template>
				</xsl:for-each>
				<Guarantee>
					<catpi_ru:MeasureCode>
						<xsl:value-of select="G52CODE"/>
					</catpi_ru:MeasureCode>
					<catpi_ru:GuaranteeDocument>
						<catpi_ru:DocumentNumber>
							<xsl:value-of select="G52DOC"/>
						</catpi_ru:DocumentNumber>
						<catpi_ru:IssueDate>
							<xsl:call-template name="date-but-time">
								<xsl:with-param name="date-time" select="G52DATE"/>
							</xsl:call-template>
						</catpi_ru:IssueDate>
					</catpi_ru:GuaranteeDocument>
					<catpi_ru:GuaranteeDocument>
						<catpi_ru:DocumentNumber>
							<xsl:value-of select="GRNTGENERALNUM"/>
						</catpi_ru:DocumentNumber>
						<catpi_ru:IssueDate>
							<xsl:call-template name="date-but-time">
								<xsl:with-param name="date-time" select="GRNTGENERALDATE"/>
							</xsl:call-template>
						</catpi_ru:IssueDate>
					</catpi_ru:GuaranteeDocument>
					<catpi_ru:GuaranteeDocument>
						<catpi_ru:DocumentNumber>
							<xsl:value-of select="GRNTCONTRACTNUM"/>
						</catpi_ru:DocumentNumber>
						<catpi_ru:IssueDate>
							<xsl:call-template name="date-but-time">
								<xsl:with-param name="date-time" select="GRNTCONTRACTDATE"/>
							</xsl:call-template>
						</catpi_ru:IssueDate>
					</catpi_ru:GuaranteeDocument>
				</Guarantee>
				<DestinationCountry>
					<catpi_ru:CountryACode>
						<xsl:value-of select="G17C_ABC2"/>
					</catpi_ru:CountryACode>
				</DestinationCountry>
				<DispatchCountry>
					<catpi_ru:CountryACode>
						<xsl:value-of select="G15C_ABC2"/>
					</catpi_ru:CountryACode>
				</DispatchCountry>
				<PIoutDestination>
					<DestinationRWStationCode>
						<xsl:value-of select="RAILWAYST"/>
					</DestinationRWStationCode>
					<DestinationRWStationName>
						<xsl:value-of select="RWSNAME"/>
					</DestinationRWStationName>
					<DestinantionPlaceName>
						<xsl:value-of select="GA1"/>
					</DestinantionPlaceName>
					<xsl:call-template name="SplitAddress">
						<xsl:with-param name="Address" select="A_PLACE"/>
					</xsl:call-template>
					<DestinationWarehouse>
						<catpi_ru:CertificateNumber>
							<xsl:value-of select="A_NLIC"/>
						</catpi_ru:CertificateNumber>
						<catpi_ru:CertificateDate>
							<xsl:call-template name="date-but-time">
								<xsl:with-param name="date-time" select="A_DLIC"/>
							</xsl:call-template>
						</catpi_ru:CertificateDate>
					</DestinationWarehouse>
					<DestinationCustoms>
						<cat_ru:Code>
							<xsl:value-of select="GA3"/>
						</cat_ru:Code>
						<cat_ru:OfficeName>
							<xsl:value-of select="GA1"/>
						</cat_ru:OfficeName>
					</DestinationCustoms>
				</PIoutDestination>
			</PIoutShippingInformation>
			<Consignor>
				<cat_ru:OrganizationName>
					<xsl:value-of select="G022"/>
				</cat_ru:OrganizationName>
				<xsl:call-template name="cat_ru:RFOrganizationFeatures">
					<xsl:with-param name="OGRN" select="SENDEROGRN"/>
					<xsl:with-param name="INN" select="M021"/>
					<xsl:with-param name="KPP" select="KPP"/>
				</xsl:call-template>
				<xsl:call-template name="cat_ru:Address">
					<xsl:with-param name="PostalCode" select="G02_POSTALCODE"/>
					<xsl:with-param name="CountryCode" select="G02_COUNTRYCODE"/>
					<xsl:with-param name="CountryName" select="G02_COUNTRYNAME"/>
					<xsl:with-param name="Region" select="G02_REGION"/>
					<xsl:with-param name="City" select="G02_CITY"/>
					<xsl:with-param name="StreetHouse" select="G02_STREETHOUSE"/>
				</xsl:call-template>
			</Consignor>
		</PI_TransitInformation>
	</xsl:template>
	<xsl:template name="cat_ru:RFOrganizationFeatures">
		<xsl:param name="OGRN"/>
		<xsl:param name="INN"/>
		<xsl:param name="KPP"/>
		<cat_ru:RFOrganizationFeatures>
			<cat_ru:OGRN>
				<xsl:value-of select="$OGRN"/>
			</cat_ru:OGRN>
			<cat_ru:INN>
				<xsl:value-of select="$INN"/>
			</cat_ru:INN>
			<cat_ru:KPP>
				<xsl:value-of select="$KPP"/>
			</cat_ru:KPP>
		</cat_ru:RFOrganizationFeatures>
	</xsl:template>
	<xsl:template name="cat_ru:Address">
		<xsl:param name="PostalCode"/>
		<xsl:param name="CountryCode"/>
		<xsl:param name="CountryName"/>
		<xsl:param name="Region"/>
		<xsl:param name="City"/>
		<xsl:param name="StreetHouse"/>
		<Address>
			<cat_ru:PostalCode>
				<xsl:value-of select="$PostalCode"/>
			</cat_ru:PostalCode>
			<cat_ru:CountryCode>
				<xsl:value-of select="$CountryCode"/>
			</cat_ru:CountryCode>
			<cat_ru:CounryName>
				<xsl:value-of select="$CountryName"/>
			</cat_ru:CounryName>
			<cat_ru:Region>
				<xsl:value-of select="$Region"/>
			</cat_ru:Region>
			<cat_ru:City>
				<xsl:value-of select="$City"/>
			</cat_ru:City>
			<cat_ru:StreetHouse>
				<xsl:value-of select="$StreetHouse"/>
			</cat_ru:StreetHouse>
		</Address>
	</xsl:template>
	<xsl:template name="catpi_ru:Address">
		<xsl:param name="PostalCode"/>
		<xsl:param name="CountryCode"/>
		<xsl:param name="CountryName"/>
		<xsl:param name="Region"/>
		<xsl:param name="City"/>
		<xsl:param name="StreetHouse"/>
		<Address>
			<catpi_ru:PostalCode>
				<xsl:value-of select="$PostalCode"/>
			</catpi_ru:PostalCode>
			<catpi_ru:CountryCode>
				<xsl:value-of select="$CountryCode"/>
			</catpi_ru:CountryCode>
			<catpi_ru:CounryName>
				<xsl:value-of select="$CountryName"/>
			</catpi_ru:CounryName>
			<catpi_ru:Region>
				<xsl:value-of select="$Region"/>
			</catpi_ru:Region>
			<catpi_ru:City>
				<xsl:value-of select="$City"/>
			</catpi_ru:City>
			<catpi_ru:StreetHouse>
				<xsl:value-of select="$StreetHouse"/>
			</catpi_ru:StreetHouse>
		</Address>
	</xsl:template>
	<xsl:template name="SplitAddress">
		<xsl:param name="Address"/>
		<xsl:variable name="PostalCode">
			<xsl:if test="number(substring-before($Address,' '))">
				<xsl:value-of select="substring-before($Address,' ')"/>
			</xsl:if>
		</xsl:variable>
		<xsl:variable name="lowercase" select="'abcdefghijklmnopqrstuvwxyzабвгдеёжзийклмнопрстуфхцчъыьэюя'"/>
		<xsl:variable name="UPPERCASE" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZАБВГДЕЁЖЗИЙКЛМНОПРСТУФХЦЧЪЫЬЭЮЯ'"/>
		<xsl:variable name="Address2">
			<xsl:choose>
				<xsl:when test="$PostalCode">
					<xsl:value-of select="translate(substring-after($Address,' '), lowercase, UPPERCASE)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="translate($Address, lowercase, UPPERCASE)"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="Region">
			<xsl:value-of select="substring-before($Address2, 'Г.')"/>
		</xsl:variable>
		<xsl:variable name="City">
			<xsl:choose>
				<xsl:when test="contains($Address2, 'Г.')">
					<xsl:value-of select="substring-before(substring-after($Address2, 'Г.'), ',')"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="substring($Address2, 1, 35)"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="StreetHouse">
			<xsl:choose>
				<xsl:when test="contains($Address2, 'Г.')">
					<xsl:value-of select="substring-after(substring-after($Address2, $City), ',')"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="substring($Address2, string-length($Address2) - 50)"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:call-template name="cat_ru:Address">
			<xsl:with-param name="PostalCode" select="$PostalCode"/>
			<xsl:with-param name="CountryCode" select="'RU'"/>
			<xsl:with-param name="Region" select="$Region"/>
			<xsl:with-param name="City" select="$City"/>
			<xsl:with-param name="StreetHouse" select="$StreetHouse"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="IdCardElements">
		<xsl:param name="Code"/>
		<xsl:param name="Name"/>
		<xsl:param name="Series"/>
		<xsl:param name="Number"/>
		<xsl:param name="Date"/>
		<xsl:param name="Organization"/>
		<cat_ru:IdentityCardCode>
			<xsl:value-of select="$Code"/>
		</cat_ru:IdentityCardCode>
		<cat_ru:IdentityCardName>
			<xsl:value-of select="$Name"/>
		</cat_ru:IdentityCardName>
		<cat_ru:IdentityCardSeries>
			<xsl:value-of select="$Series"/>
		</cat_ru:IdentityCardSeries>
		<cat_ru:IdentityCardNumber>
			<xsl:value-of select="$Number"/>
		</cat_ru:IdentityCardNumber>
		<cat_ru:IdentityCardDate>
			<xsl:call-template name="date-but-time">
				<xsl:with-param name="date-time" select="$Date"/>
			</xsl:call-template>
		</cat_ru:IdentityCardDate>
		<cat_ru:OrganizationName>
			<xsl:value-of select="$Organization"/>
		</cat_ru:OrganizationName>
	</xsl:template>
	<xsl:template name="BorderTransport">
		<xsl:param name="TransportIdentifier"/>
		<xsl:param name="TrailerIdentifier"/>
		<xsl:param name="SecondTrailerIdentifier"/>
		<xsl:param name="VIN"/>
		<xsl:param name="TransportModeCode"/>
		<xsl:param name="NationalityCode"/>
		<BorderTransport>
			<catpi_ru:TransportIdentifier>
				<xsl:value-of select="$TransportIdentifier"/>
			</catpi_ru:TransportIdentifier>
			<catpi_ru:TrailerIdentifier>
				<xsl:value-of select="$TrailerIdentifier"/>
			</catpi_ru:TrailerIdentifier>
			<catpi_ru:SecondTrailerIdentifier>
				<xsl:value-of select="$SecondTrailerIdentifier"/>
			</catpi_ru:SecondTrailerIdentifier>
			<catpi_ru:VINID>
				<xsl:value-of select="$VIN"/>
			</catpi_ru:VINID>
			<catpi_ru:TransportModeCode>
				<xsl:value-of select="$TransportModeCode"/>
			</catpi_ru:TransportModeCode>
			<catpi_ru:TransportMeansNationalityCode>
				<xsl:value-of select="$NationalityCode"/>
			</catpi_ru:TransportMeansNationalityCode>
		</BorderTransport>
	</xsl:template>
</xsl:stylesheet>
