<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" extension-element-prefixes="msxsl" exclude-result-prefixes="msxsl" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="urn:customs.ru:Information:CustomsDocuments:ESADout_CU:5.9.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.8.0" xmlns:catESAD_cu="urn:customs.ru:CUESADCommonAggregateTypesCust:5.9.0" xmlns:msxsl="urn:schemas-microsoft-com:xslt">
	<xsl:import href="template-country.xsl"/>
	<xsl:import href="template-customs.xsl"/>
	<xsl:import href="template-vtdecl.xsl"/>
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<xsl:apply-templates select="VTTPRIM/VTTPRIM_ITEM"/>
	</xsl:template>
	<xsl:template match="VTTPRIM/VTTPRIM_ITEM">
		<ESADout_CU DocumentModeID="1006107E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
			<CustomsProcedure>
				<xsl:value-of select="'ТТ'"/>
			</CustomsProcedure>
			<TransitFeature>
				<xsl:value-of select="G01MPO"/>
			</TransitFeature>
			<TransitDirectionCode>
				<xsl:value-of select="G011"/>
			</TransitDirectionCode>
			<SealNumber>
				<xsl:value-of select="NUM_PLOM"/>
			</SealNumber>
			<SealQuantity>
				<xsl:value-of select="SEALQUANTITY"/>
			</SealQuantity>
			<RecipientCountryCode>
				<xsl:value-of select="'RU'"/>
			</RecipientCountryCode>
			<ExecutionPlace>
				<xsl:value-of select="G541"/>
			</ExecutionPlace>
			<RailwayStationCode>
				<xsl:value-of select="RAILWAYST"/>
			</RailwayStationCode>
			<ExecutionDate>
				<xsl:call-template name="Date-from-DateTime">
					<xsl:with-param name="DateTime" select="G542"/>
				</xsl:call-template>
			</ExecutionDate>
			<ESADout_CUGoodsShipment>
				<catESAD_cu:TotalGoodsNumber>
					<xsl:value-of select="G05"/>
				</catESAD_cu:TotalGoodsNumber>
				<catESAD_cu:TotalPackageNumber>
					<xsl:value-of select="G06"/>
				</catESAD_cu:TotalPackageNumber>
				<catESAD_cu:TotalSheetNumber>
					<xsl:value-of select="(G032 | VTTDOP/VTTDOP_ITEM/G032)[.!='']"/>
				</catESAD_cu:TotalSheetNumber>
				<xsl:if test="G222!=''">
					<xsl:call-template name="ElementIfNumberFloat">
						<xsl:with-param name="ElementName" select="'catESAD_cu:TotalCustCost'"/>
						<xsl:with-param name="Value" select="G222"/>
					</xsl:call-template>
				</xsl:if>
				<catESAD_cu:CustCostCurrencyCode>
					<xsl:value-of select="G221_BUK"/>
				</catESAD_cu:CustCostCurrencyCode>
				<xsl:if test="G022!=''">
					<ESADout_CUConsignor>
						<cat_ru:OrganizationName>
							<xsl:value-of select="G022"/>
						</cat_ru:OrganizationName>
						<cat_ru:RFOrganizationFeatures>
							<cat_ru:OGRN>
								<xsl:value-of select="SENDEROGRN"/>
							</cat_ru:OGRN>
							<cat_ru:INN>
								<xsl:value-of select="M021"/>
							</cat_ru:INN>
							<cat_ru:KPP>
								<xsl:value-of select="KPP"/>
							</cat_ru:KPP>
						</cat_ru:RFOrganizationFeatures>
						<cat_ru:Address>
							<cat_ru:PostalCode>
								<xsl:value-of select="G02_POSTALCODE"/>
							</cat_ru:PostalCode>
							<cat_ru:CountryCode>
								<xsl:value-of select="G02_COUNTRYCODE"/>
							</cat_ru:CountryCode>
							<cat_ru:CounryName>
								<xsl:value-of select="G02_COUNTRYNAME"/>
							</cat_ru:CounryName>
							<cat_ru:Region>
								<xsl:value-of select="G02_REGION"/>
							</cat_ru:Region>
							<cat_ru:City>
								<xsl:value-of select="G02_CITY"/>
							</cat_ru:City>
							<cat_ru:StreetHouse>
								<xsl:value-of select="G02_STREETHOUSE"/>
							</cat_ru:StreetHouse>
						</cat_ru:Address>
						<cat_ru:IdentityCard>
							<cat_ru:IdentityCardCode>
								<xsl:value-of select="G02_PERSCARDCODE"/>
							</cat_ru:IdentityCardCode>
							<cat_ru:IdentityCardName>
								<xsl:value-of select="G02_PERSCARDNAME"/>
							</cat_ru:IdentityCardName>
							<cat_ru:IdentityCardSeries>
								<xsl:value-of select="G02_PERSCARDSERIES"/>
							</cat_ru:IdentityCardSeries>
							<cat_ru:IdentityCardNumber>
								<xsl:value-of select="G02_PERSCARDNUM"/>
							</cat_ru:IdentityCardNumber>
							<cat_ru:IdentityCardDate>
								<xsl:call-template name="Date-from-DateTime">
									<xsl:with-param name="DateTime" select="G02_PERSCARDDATE"/>
								</xsl:call-template>
							</cat_ru:IdentityCardDate>
							<cat_ru:OrganizationName>
								<xsl:value-of select="G02_PERSCARDORG"/>
							</cat_ru:OrganizationName>
						</cat_ru:IdentityCard>
						<OfficesExchangeCode>
							<xsl:value-of select="SENDERMPO"/>
						</OfficesExchangeCode>
					</ESADout_CUConsignor>
				</xsl:if>
				<xsl:if test="G082!=''">
					<ESADout_CUConsignee>
						<cat_ru:OrganizationName>
							<xsl:value-of select="G082"/>
						</cat_ru:OrganizationName>
						<cat_ru:RFOrganizationFeatures>
							<cat_ru:OGRN>
								<xsl:value-of select="RECEIVOGRN"/>
							</cat_ru:OGRN>
							<cat_ru:INN>
								<xsl:value-of select="M081"/>
							</cat_ru:INN>
							<cat_ru:KPP>
								<xsl:value-of select="KPP_RECEIV"/>
							</cat_ru:KPP>
						</cat_ru:RFOrganizationFeatures>
						<cat_ru:Address>
							<cat_ru:PostalCode>
								<xsl:value-of select="G08_POSTALCODE"/>
							</cat_ru:PostalCode>
							<cat_ru:CountryCode>
								<xsl:value-of select="G08_COUNTRYCODE"/>
							</cat_ru:CountryCode>
							<cat_ru:CounryName>
								<xsl:value-of select="G08_COUNTRYNAME"/>
							</cat_ru:CounryName>
							<cat_ru:Region>
								<xsl:value-of select="G08_REGION"/>
							</cat_ru:Region>
							<cat_ru:City>
								<xsl:value-of select="G08_CITY"/>
							</cat_ru:City>
							<cat_ru:StreetHouse>
								<xsl:value-of select="G08_STREETHOUSE"/>
							</cat_ru:StreetHouse>
						</cat_ru:Address>
						<cat_ru:IdentityCard>
							<cat_ru:IdentityCardCode>
								<xsl:value-of select="G08_PERSCARDCODE"/>
							</cat_ru:IdentityCardCode>
							<cat_ru:IdentityCardName>
								<xsl:value-of select="G08_PERSCARDNAME"/>
							</cat_ru:IdentityCardName>
							<cat_ru:IdentityCardSeries>
								<xsl:value-of select="G08_PERSCARDSERIES"/>
							</cat_ru:IdentityCardSeries>
							<cat_ru:IdentityCardNumber>
								<xsl:value-of select="G08_PERSCARDNUM"/>
							</cat_ru:IdentityCardNumber>
							<cat_ru:IdentityCardDate>
								<xsl:call-template name="Date-from-DateTime">
									<xsl:with-param name="DateTime" select="G08_PERSCARDDATE"/>
								</xsl:call-template>
							</cat_ru:IdentityCardDate>
							<cat_ru:OrganizationName>
								<xsl:value-of select="G08_PERSCARDORG"/>
							</cat_ru:OrganizationName>
						</cat_ru:IdentityCard>
						<OfficesExchangeCode>
							<xsl:value-of select="RECEIVMPO"/>
						</OfficesExchangeCode>
					</ESADout_CUConsignee>
				</xsl:if>
				<xsl:if test="FAGENTNAME!=''">
					<ESADout_CUDeclarant>
						<cat_ru:OrganizationName>
							<xsl:value-of select="FAGENTNAME"/>
						</cat_ru:OrganizationName>
						<cat_ru:RFOrganizationFeatures>
							<cat_ru:OGRN>
								<xsl:value-of select="FA_OGRN"/>
							</cat_ru:OGRN>
							<cat_ru:INN>
								<xsl:value-of select="FA_INN"/>
							</cat_ru:INN>
							<cat_ru:KPP>
								<xsl:value-of select="FA_KPP"/>
							</cat_ru:KPP>
						</cat_ru:RFOrganizationFeatures>
						<cat_ru:Address>
							<cat_ru:PostalCode>
								<xsl:value-of select="FA_POSTALCODE"/>
							</cat_ru:PostalCode>
							<cat_ru:CountryCode>
								<xsl:value-of select="FA_COUNTRYCODE"/>
							</cat_ru:CountryCode>
							<cat_ru:CounryName>
								<xsl:value-of select="FA_COUNTRYNAME"/>
							</cat_ru:CounryName>
							<cat_ru:Region>
								<xsl:value-of select="FA_REGION"/>
							</cat_ru:Region>
							<cat_ru:City>
								<xsl:value-of select="FA_CITY"/>
							</cat_ru:City>
							<cat_ru:StreetHouse>
								<xsl:value-of select="FA_STREETHOUSE"/>
							</cat_ru:StreetHouse>
						</cat_ru:Address>
						<cat_ru:IdentityCard>
							<cat_ru:IdentityCardCode>
								<xsl:value-of select="FA_PERSCARDCODE"/>
							</cat_ru:IdentityCardCode>
							<cat_ru:IdentityCardName>
								<xsl:value-of select="FA_PERSCARDNAME"/>
							</cat_ru:IdentityCardName>
							<cat_ru:IdentityCardSeries>
								<xsl:value-of select="FA_PERSCARDSERIES"/>
							</cat_ru:IdentityCardSeries>
							<cat_ru:IdentityCardNumber>
								<xsl:value-of select="FA_PERSCARDNUM"/>
							</cat_ru:IdentityCardNumber>
							<cat_ru:IdentityCardDate>
								<xsl:call-template name="Date-from-DateTime">
									<xsl:with-param name="DateTime" select="FA_PERSCARDDATE"/>
								</xsl:call-template>
							</cat_ru:IdentityCardDate>
							<cat_ru:OrganizationName>
								<xsl:value-of select="FA_PERSCARDORG"/>
							</cat_ru:OrganizationName>
						</cat_ru:IdentityCard>
					</ESADout_CUDeclarant>
				</xsl:if>
				<xsl:if test="G501!=''">
					<ESADout_CUCarrier>
						<cat_ru:OrganizationName>
							<xsl:value-of select="G501"/>
						</cat_ru:OrganizationName>
						<cat_ru:RFOrganizationFeatures>
							<cat_ru:OGRN>
								<xsl:value-of select="DRIVEROGRN"/>
							</cat_ru:OGRN>
							<cat_ru:INN>
								<xsl:value-of select="INN_DRIVER"/>
							</cat_ru:INN>
							<cat_ru:KPP>
								<xsl:value-of select="KPP_DRIVER"/>
							</cat_ru:KPP>
						</cat_ru:RFOrganizationFeatures>
						<cat_ru:Address>
							<cat_ru:PostalCode>
								<xsl:value-of select="G14_POSTALCODE"/>
							</cat_ru:PostalCode>
							<cat_ru:CountryCode>
								<xsl:value-of select="G14_COUNTRYCODE"/>
							</cat_ru:CountryCode>
							<cat_ru:CounryName>
								<xsl:value-of select="G14_COUNTRYNAME"/>
							</cat_ru:CounryName>
							<cat_ru:Region>
								<xsl:value-of select="G14_REGION"/>
							</cat_ru:Region>
							<cat_ru:City>
								<xsl:value-of select="G14_CITY"/>
							</cat_ru:City>
							<cat_ru:StreetHouse>
								<xsl:value-of select="G14_STREETHOUSE"/>
							</cat_ru:StreetHouse>
						</cat_ru:Address>
						<cat_ru:IdentityCard>
							<cat_ru:IdentityCardCode>
								<xsl:value-of select="G14_PERSCARDCODE"/>
							</cat_ru:IdentityCardCode>
							<cat_ru:IdentityCardName>
								<xsl:value-of select="G14_PERSCARDNAME"/>
							</cat_ru:IdentityCardName>
							<cat_ru:IdentityCardSeries>
								<xsl:value-of select="G14_PERSCARDSERIES"/>
							</cat_ru:IdentityCardSeries>
							<cat_ru:IdentityCardNumber>
								<xsl:value-of select="G14_PERSCARDNUM"/>
							</cat_ru:IdentityCardNumber>
							<cat_ru:IdentityCardDate>
								<xsl:call-template name="Date-from-DateTime">
									<xsl:with-param name="DateTime" select="G14_PERSCARDDATE"/>
								</xsl:call-template>
							</cat_ru:IdentityCardDate>
							<cat_ru:OrganizationName>
								<xsl:value-of select="G14_PERSCARDORG"/>
							</cat_ru:OrganizationName>
						</cat_ru:IdentityCard>
						<xsl:for-each select="VTTCARRIERDRIVERS/VTTCARRIERDRIVERS_ITEM[normalize-space(PERSONSURNAME) or normalize-space(IDENTITYCARDNUMBER)][1]">
							<ESADout_CUDriverInformation>
								<cat_ru:PersonSurname>
									<xsl:value-of select="PERSONSURNAME"/>
								</cat_ru:PersonSurname>
								<cat_ru:PersonName>
									<xsl:value-of select="PERSONNAME"/>
								</cat_ru:PersonName>
								<cat_ru:PersonMiddleName>
									<xsl:value-of select="PERSONMIDNAME"/>
								</cat_ru:PersonMiddleName>
								<xsl:call-template name="IdCardElements">
									<xsl:with-param name="Code" select="IDENTITYCARDCODE"/>
									<xsl:with-param name="Name" select="IDENTITYCARDNAME"/>
									<xsl:with-param name="Series" select="IDENTITYCARDSERIES"/>
									<xsl:with-param name="Number" select="IDENTITYCARDNUMBER"/>
									<xsl:with-param name="Date" select="IDENTITYCARDDATE"/>
								</xsl:call-template>
							</ESADout_CUDriverInformation>
						</xsl:for-each>
					</ESADout_CUCarrier>
				</xsl:if>
				<ESADout_CUConsigment>
					<catESAD_cu:ContainerIndicator>
						<xsl:value-of select="G19"/>
					</catESAD_cu:ContainerIndicator>
					<catESAD_cu:DispatchCountryCode>
						<xsl:value-of select="G15C_ABC2"/>
					</catESAD_cu:DispatchCountryCode>
					<catESAD_cu:DispatchCountryName>
						<xsl:value-of select="G15"/>
					</catESAD_cu:DispatchCountryName>
					<catESAD_cu:DestinationCountryCode>
						<xsl:value-of select="G17C_ABC2"/>
					</catESAD_cu:DestinationCountryCode>
					<catESAD_cu:DestinationCountryName>
						<xsl:value-of select="G17B"/>
					</catESAD_cu:DestinationCountryName>
					<DateExpectedArrival>
						<xsl:call-template name="Date-from-DateTime">
							<xsl:with-param name="DateTime" select="PIARRIVALDATE"/>
						</xsl:call-template>
					</DateExpectedArrival>
					<TimeExpectedArrival>
						<xsl:call-template name="time-from-string">
							<xsl:with-param name="time-as-string" select="PIARRIVALTIME"/>
						</xsl:call-template>
					</TimeExpectedArrival>
					<xsl:variable name="G18-Appendix">
						<xsl:call-template name="Transp-Appendix">
							<xsl:with-param name="NGR" select="'18'"/>
						</xsl:call-template>
					</xsl:variable>
					<xsl:variable name="G181" select="G181"/>
					<xsl:if test="($G181!='') or ($G18-Appendix!='')">
						<ESADout_CUDepartureArrivalTransport>
							<cat_ru:TransportModeCode>
								<xsl:value-of select="G251"/>
							</cat_ru:TransportModeCode>
							<cat_ru:TransportNationalityCode>
								<xsl:value-of select="G182_ABC2"/>
							</cat_ru:TransportNationalityCode>
							<TransportMeansQuantity>
								<xsl:value-of select="G183"/>
							</TransportMeansQuantity>
							<xsl:call-template name="Transp-Inlined">
								<xsl:with-param name="GXX" select="$G181"/>
								<xsl:with-param name="first-output">
									<cat_ru:VIN>
										<xsl:value-of select="VIN"/>
									</cat_ru:VIN>
									<cat_ru:TransportKindCode>
										<xsl:value-of select="TRANSPORTKINDCODE"/>
									</cat_ru:TransportKindCode>
									<cat_ru:TransportMarkCode>
										<xsl:value-of select="TRANSPORTMARKCODE"/>
									</cat_ru:TransportMarkCode>
								</xsl:with-param>
								<xsl:with-param name="TRAILER-output">
									<xsl:if test="TRAILER!=''">
										<cat_ru:VIN>
											<xsl:value-of select="VIN1"/>
										</cat_ru:VIN>
										<cat_ru:TransportKindCode>
											<xsl:value-of select="TRANSPORTKINDCODE1"/>
										</cat_ru:TransportKindCode>
										<cat_ru:TransportMarkCode>
											<xsl:value-of select="TRANSPORTMARKCODE1"/>
										</cat_ru:TransportMarkCode>
										<cat_ru:TransportIdentifier>
											<xsl:value-of select="TRAILER"/>
										</cat_ru:TransportIdentifier>
									</xsl:if>
								</xsl:with-param>
								<xsl:with-param name="TRAILER2-output">
									<xsl:if test="TRAILER2!=''">
										<cat_ru:VIN>
											<xsl:value-of select="VIN2"/>
										</cat_ru:VIN>
										<cat_ru:TransportKindCode>
											<xsl:value-of select="TRANSPORTKINDCODE2"/>
										</cat_ru:TransportKindCode>
										<cat_ru:TransportMarkCode>
											<xsl:value-of select="TRANSPORTMARKCODE2"/>
										</cat_ru:TransportMarkCode>
										<cat_ru:TransportIdentifier>
											<xsl:value-of select="TRAILER2"/>
										</cat_ru:TransportIdentifier>
									</xsl:if>
								</xsl:with-param>
							</xsl:call-template>
							<xsl:if test="$G18-Appendix!=''">
								<xsl:copy-of select="$G18-Appendix"/>
							</xsl:if>
						</ESADout_CUDepartureArrivalTransport>
					</xsl:if>
					<xsl:variable name="G21-Appendix">
						<xsl:call-template name="Transp-Appendix">
							<xsl:with-param name="NGR" select="'21'"/>
						</xsl:call-template>
					</xsl:variable>
					<xsl:variable name="G211" select="G211"/>
					<xsl:if test="($G211!='') or ($G21-Appendix!='')">
						<ESADout_CUBorderTransport>
							<cat_ru:TransportModeCode>
								<xsl:value-of select="G26"/>
							</cat_ru:TransportModeCode>
							<cat_ru:TransportNationalityCode>
								<xsl:value-of select="G212_ABC2"/>
							</cat_ru:TransportNationalityCode>
							<TransportMeansQuantity>
								<xsl:value-of select="G213"/>
							</TransportMeansQuantity>
							<xsl:call-template name="Transp-Inlined">
								<xsl:with-param name="GXX" select="$G211"/>
								<xsl:with-param name="first-output">
									<cat_ru:VIN>
										<xsl:value-of select="PRECEDVIN"/>
									</cat_ru:VIN>
									<cat_ru:TransportKindCode>
										<xsl:value-of select="PRECEDTRANSPORTKINDCODE"/>
									</cat_ru:TransportKindCode>
									<cat_ru:TransportMarkCode>
										<xsl:value-of select="PRECEDTRANSPORTMARKCODE"/>
									</cat_ru:TransportMarkCode>
								</xsl:with-param>
								<xsl:with-param name="TRAILER-output">
									<xsl:if test="PRECEDTRAILER!=''">
										<cat_ru:VIN>
											<xsl:value-of select="PRECEDVIN1"/>
										</cat_ru:VIN>
										<cat_ru:TransportKindCode>
											<xsl:value-of select="PRECEDTRANSPORTKINDCODE1"/>
										</cat_ru:TransportKindCode>
										<cat_ru:TransportMarkCode>
											<xsl:value-of select="PRECEDTRANSPORTMARKCODE1"/>
										</cat_ru:TransportMarkCode>
										<cat_ru:TransportIdentifier>
											<xsl:value-of select="PRECEDTRAILER"/>
										</cat_ru:TransportIdentifier>
									</xsl:if>
								</xsl:with-param>
								<xsl:with-param name="TRAILER2-output">
									<xsl:if test="PRECEDTRAILER2!=''">
										<cat_ru:VIN>
											<xsl:value-of select="PRECEDVIN2"/>
										</cat_ru:VIN>
										<cat_ru:TransportKindCode>
											<xsl:value-of select="PRECEDTRANSPORTKINDCODE2"/>
										</cat_ru:TransportKindCode>
										<cat_ru:TransportMarkCode>
											<xsl:value-of select="PRECEDTRANSPORTMARKCODE2"/>
										</cat_ru:TransportMarkCode>
										<cat_ru:TransportIdentifier>
											<xsl:value-of select="PRECEDTRAILER2"/>
										</cat_ru:TransportIdentifier>
									</xsl:if>
								</xsl:with-param>
							</xsl:call-template>
							<xsl:if test="$G21-Appendix!=''">
								<xsl:copy-of select="$G21-Appendix"/>
							</xsl:if>
						</ESADout_CUBorderTransport>
					</xsl:if>
					<DeliveryCustomsOffice>
						<cat_ru:Code>
							<xsl:value-of select="G531"/>
						</cat_ru:Code>
						<cat_ru:OfficeName>
							<xsl:value-of select="G53"/>
						</cat_ru:OfficeName>
						<cat_ru:CustomsCountryCode>
							<xsl:call-template name="CountryCode">
								<xsl:with-param name="CodeABC2" select="DELIVERYCUSTOMSCOUNTRYCODE"/>
								<xsl:with-param name="DefaultOutput" select="$country-russia-code"/>
							</xsl:call-template>
						</cat_ru:CustomsCountryCode>
					</DeliveryCustomsOffice>
					<PPBorderCustoms>
						<cat_ru:Code>
							<xsl:value-of select="PIARRIVALPLACECODE"/>
						</cat_ru:Code>
						<cat_ru:CustomsCountryCode>
							<xsl:call-template name="CountryCode">
								<xsl:with-param name="CodeABC2" select="PIARRIVALCOUNTRYCODE"/>
							</xsl:call-template>
						</cat_ru:CustomsCountryCode>
					</PPBorderCustoms>
				</ESADout_CUConsigment>
				<xsl:if test="G222!=''">
					<ESADout_CUMainContractTerms>
						<catESAD_cu:ContractCurrencyCode>
							<xsl:value-of select="G221_BUK"/>
						</catESAD_cu:ContractCurrencyCode>
						<xsl:call-template name="ElementIfNumberFloat">
							<xsl:with-param name="ElementName" select="'catESAD_cu:TotalInvoiceAmount'"/>
							<xsl:with-param name="Value" select="G222"/>
						</xsl:call-template>
					</ESADout_CUMainContractTerms>
				</xsl:if>
				<xsl:for-each select="VTTDOP/VTTDOP_ITEM">
					<xsl:sort data-type="number" select="G32"/>
					<ESADout_CUGoods>
						<catESAD_cu:GoodsNumeric>
							<xsl:value-of select="G32"/>
						</catESAD_cu:GoodsNumeric>
						<xsl:call-template name="customs-text250">
							<xsl:with-param name="text">
								<xsl:call-template name="concat-delimited">
									<xsl:with-param name="string1">
										<xsl:value-of select="G312"/>
									</xsl:with-param>
									<xsl:with-param name="delimiter1">
										<xsl:text>&#xd;&#xa;</xsl:text>
									</xsl:with-param>
									<xsl:with-param name="string2">
										<xsl:call-template name="text-of-appendix">
											<xsl:with-param name="GRAPH_NO" select="'31'"/>
											<xsl:with-param name="G32" select="G32"/>
										</xsl:call-template>
									</xsl:with-param>
								</xsl:call-template>
							</xsl:with-param>
							<xsl:with-param name="element-name" select="'catESAD_cu:GoodsDescription'"/>
							<xsl:with-param name="namespace-context" select="document('')"/>
						</xsl:call-template>
						<xsl:call-template name="ElementIfNumberFloat">
							<xsl:with-param name="ElementName" select="'catESAD_cu:GrossWeightQuantity'"/>
							<xsl:with-param name="Value" select="G35"/>
						</xsl:call-template>
						<xsl:call-template name="ElementIfNumberFloat">
							<xsl:with-param name="ElementName" select="'catESAD_cu:NetWeightQuantity'"/>
							<xsl:with-param name="Value" select="NETTO"/>
						</xsl:call-template>
						<xsl:call-template name="ElementIfNumberFloat">
							<xsl:with-param name="ElementName" select="'catESAD_cu:InvoicedCost'"/>
							<xsl:with-param name="Value" select="G42"/>
						</xsl:call-template>
						<xsl:call-template name="ElementIfNumberFloat">
							<xsl:with-param name="ElementName" select="'catESAD_cu:CustomsCost'"/>
							<xsl:with-param name="Value" select="G45"/>
						</xsl:call-template>
						<xsl:call-template name="ElementIfNumberFloat">
							<xsl:with-param name="ElementName" select="'catESAD_cu:StatisticalCost'"/>
							<xsl:with-param name="Value" select="G46"/>
						</xsl:call-template>
						<catESAD_cu:GoodsTNVEDCode>
							<xsl:value-of select="G33"/>
						</catESAD_cu:GoodsTNVEDCode>
						<catESAD_cu:AdditionalSheetCount>
							<xsl:value-of select="G031"/>
						</catESAD_cu:AdditionalSheetCount>
						<MilitaryProducts>
							<xsl:choose>
								<xsl:when test="contains(normalize-space(translate(G312,'ПРОДУКЦИЯ ВОЕННОГО НАЗНАЧЕНИЯ','продукция военного назначения')), 'продукция военного назначения')">
									<xsl:value-of select="'true'"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="'false'"/>
								</xsl:otherwise>
							</xsl:choose>
						</MilitaryProducts>
						<CurrencyCode>
							<xsl:value-of select="INVCCOSTCODE"/>
						</CurrencyCode>
						<xsl:for-each select="VTTDOPPRESDOCS/VTTDOPPRESDOCS_ITEM">
							<xsl:sort data-type="number" select="NPP"/>
							<xsl:sort data-type="number" select="COUNTER"/>
							<ESADout_CUPresentedDocument>
								<cat_ru:PrDocumentNumber>
									<xsl:value-of select="DOCNUM"/>
								</cat_ru:PrDocumentNumber>
								<cat_ru:PrDocumentDate>
									<xsl:call-template name="Date-from-DateTime">
										<xsl:with-param name="DateTime" select="DOCDATE"/>
									</xsl:call-template>
								</cat_ru:PrDocumentDate>
								<catESAD_cu:PresentedDocumentModeCode>
									<xsl:value-of select="DOCCODE"/>
								</catESAD_cu:PresentedDocumentModeCode>
							</ESADout_CUPresentedDocument>
						</xsl:for-each>
						<xsl:if test="G40!=''">
							<ESADout_CUPrecedingDocument>
								<xsl:call-template name="customs-number-elements">
									<xsl:with-param name="whole-number" select="G40"/>
									<xsl:with-param name="element1-name" select="'catESAD_cu:PrecedingDocumentCustomsCode'"/>
									<xsl:with-param name="element2-name" select="'catESAD_cu:PrecedingDocumentDate'"/>
									<xsl:with-param name="element3-name" select="'catESAD_cu:PrecedingDocumentNumber'"/>
									<xsl:with-param name="namespace-context" select="document('')"/>
								</xsl:call-template>
								<catESAD_cu:PrecedingDocumentModeCode>
									<xsl:value-of select="PRECEDDOCTYPE"/>
								</catESAD_cu:PrecedingDocumentModeCode>
							</ESADout_CUPrecedingDocument>
						</xsl:if>
						<xsl:call-template name="elements-of-appendix-GTD40">
							<xsl:with-param name="G32" select="G32"/>
						</xsl:call-template>
						<xsl:if test="G315A!=''">
							<SupplementaryGoodsQuantity>
								<xsl:call-template name="ElementIfNumberFloat">
									<xsl:with-param name="ElementName" select="'cat_ru:GoodsQuantity'"/>
									<xsl:with-param name="Value" select="G315A"/>
								</xsl:call-template>
								<cat_ru:MeasureUnitQualifierCode>
									<xsl:value-of select="G41A"/>
								</cat_ru:MeasureUnitQualifierCode>
							</SupplementaryGoodsQuantity>
						</xsl:if>
						<xsl:if test="count(VTTDOPPACK/VTTDOPPACK_ITEM)&gt;0">
							<ESADGoodsPackaging>
								<catESAD_cu:PakageQuantity>
									<xsl:value-of select="G311"/>
								</catESAD_cu:PakageQuantity>
								<xsl:for-each select="VTTDOPPACK/VTTDOPPACK_ITEM">
									<xsl:sort select="NPP" data-type="number"/>
									<catESAD_cu:PackingInformation>
										<catESAD_cu:PackingCode>
											<xsl:value-of select="G318"/>
										</catESAD_cu:PackingCode>
										<catESAD_cu:PakingQuantity>
											<xsl:value-of select="G314"/>
										</catESAD_cu:PakingQuantity>
									</catESAD_cu:PackingInformation>
								</xsl:for-each>
							</ESADGoodsPackaging>
						</xsl:if>
						<xsl:variable name="Containers">
							<xsl:call-template name="split-string">
								<xsl:with-param name="delimited-string" select="G3161"/>
								<xsl:with-param name="element-name" select="'catESAD_cu:ContainerNumber'"/>
								<xsl:with-param name="namespace-context" select="document('')"/>
							</xsl:call-template>
							<xsl:call-template name="elements-of-appendix">
								<xsl:with-param name="GRAPH_NO" select="'31'"/>
								<xsl:with-param name="REFFIELDNAME" select="'G3161'"/>
								<xsl:with-param name="G32" select="G32"/>
								<xsl:with-param name="element-name" select="'catESAD_cu:ContainerNumber'"/>
								<xsl:with-param name="namespace-context" select="document('')"/>
							</xsl:call-template>
						</xsl:variable>
						<xsl:variable name="Containers2">
							<xsl:for-each select="msxsl:node-set($Containers)/catESAD_cu:ContainerNumber">
								<xsl:copy>
									<xsl:element name="catESAD_cu:ContainerIdentificaror">
										<xsl:value-of select="."/>
									</xsl:element>
								</xsl:copy>
							</xsl:for-each>
						</xsl:variable>
						<xsl:if test="$Containers2">
							<ESADContainer>
								<catESAD_cu:ContainerQuantity>
									<xsl:value-of select="G3160"/>
								</catESAD_cu:ContainerQuantity>
								<xsl:copy-of select="$Containers2"/>
							</ESADContainer>
						</xsl:if>
					</ESADout_CUGoods>
				</xsl:for-each>
				<xsl:if test="(G52DOC!='') or (G52CODE!='')">
					<TDGuarantee>
						<catESAD_cu:MeasureCode>
							<xsl:value-of select="G52CODE"/>
						</catESAD_cu:MeasureCode>
						<catESAD_cu:DocNumber>
							<xsl:value-of select="G52DOC"/>
						</catESAD_cu:DocNumber>
						<catESAD_cu:DocDate>
							<xsl:call-template name="Date-from-DateTime">
								<xsl:with-param name="DateTime" select="G52DATE"/>
							</xsl:call-template>
						</catESAD_cu:DocDate>
						<catESAD_cu:GuaranteeTD>
							<xsl:if test="GRNTGENERALNUM!=''">
								<catESAD_cu:GeneralNumber>
									<xsl:value-of select="GRNTGENERALNUM"/>
								</catESAD_cu:GeneralNumber>
								<catESAD_cu:GeneralDate>
									<xsl:call-template name="Date-from-DateTime">
										<xsl:with-param name="DateTime" select="GRNTGENERALDATE"/>
									</xsl:call-template>
								</catESAD_cu:GeneralDate>
							</xsl:if>
							<xsl:if test="GRNTCONTRACTNUM!=''">
								<catESAD_cu:GuaranteeNumber>
									<xsl:value-of select="GRNTCONTRACTNUM"/>
								</catESAD_cu:GuaranteeNumber>
								<catESAD_cu:GuaranteeDate>
									<xsl:call-template name="Date-from-DateTime">
										<xsl:with-param name="DateTime" select="GRNTCONTRACTDATE"/>
									</xsl:call-template>
								</catESAD_cu:GuaranteeDate>
							</xsl:if>
							<catESAD_cu:AddGuaranteeNumber>
								<xsl:value-of select="G52DOC"/>
							</catESAD_cu:AddGuaranteeNumber>
							<catESAD_cu:AddGuaranteeDate>
								<xsl:call-template name="Date-from-DateTime">
									<xsl:with-param name="DateTime" select="G52DATE"/>
								</xsl:call-template>
							</catESAD_cu:AddGuaranteeDate>
						</catESAD_cu:GuaranteeTD>
					</TDGuarantee>
				</xsl:if>
			</ESADout_CUGoodsShipment>
			<xsl:if test="PRINCIPALPERSSURNAME!=''">
				<FilledPerson>
					<cat_ru:PersonSurname>
						<xsl:value-of select="PRINCIPALPERSSURNAME"/>
					</cat_ru:PersonSurname>
					<cat_ru:PersonName>
						<xsl:value-of select="PRINCIPALPERSNAME"/>
					</cat_ru:PersonName>
					<cat_ru:PersonMiddleName>
						<xsl:value-of select="PRINCIPALPERSMIDDLENAME"/>
					</cat_ru:PersonMiddleName>
					<catESAD_cu:IdentityCard>
						<cat_ru:IdentityCardCode>
							<xsl:value-of select="PRINCIPALPERSCARDCODE"/>
						</cat_ru:IdentityCardCode>
						<cat_ru:IdentityCardName>
							<xsl:value-of select="PRINCIPALPERSCARDNAME"/>
						</cat_ru:IdentityCardName>
						<cat_ru:IdentityCardSeries>
							<xsl:value-of select="PRINCIPALPERSCARDSERIES"/>
						</cat_ru:IdentityCardSeries>
						<cat_ru:IdentityCardNumber>
							<xsl:value-of select="PRINCIPALPERSCARDNUM"/>
						</cat_ru:IdentityCardNumber>
						<cat_ru:IdentityCardDate>
							<xsl:call-template name="Date-from-DateTime">
								<xsl:with-param name="DateTime" select="PRINCIPALPERSCARDDATE"/>
							</xsl:call-template>
						</cat_ru:IdentityCardDate>
						<cat_ru:OrganizationName>
							<xsl:value-of select="PRINCIPALPERSCARDORG"/>
						</cat_ru:OrganizationName>
					</catESAD_cu:IdentityCard>
				</FilledPerson>
			</xsl:if>
		</ESADout_CU>
	</xsl:template>
	<xsl:template name="ElementIfNumberFloat">
		<xsl:param name="ElementName"/>
		<xsl:param name="Value"/>
		<xsl:param name="RoundFactor" select="1000000"/>
		<xsl:if test="string-length($Value)!=0">
			<xsl:variable name="RoundedFloat" select="round(number($Value) * $RoundFactor) div $RoundFactor"/>
			<xsl:element name="{$ElementName}">
				<xsl:value-of select="$RoundedFloat"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<xsl:template name="AddressElements">
		<xsl:param name="PostalCode"/>
		<xsl:param name="CountryCode"/>
		<xsl:param name="CountryName"/>
		<xsl:param name="Region"/>
		<xsl:param name="City"/>
		<xsl:param name="StreetHouse"/>
		<cat_ru:PostalCode>
			<xsl:value-of select="$PostalCode"/>
		</cat_ru:PostalCode>
		<cat_ru:CountryCode>
			<xsl:value-of select="$CountryCode"/>
		</cat_ru:CountryCode>
		<cat_ru:CounryName>
			<xsl:value-of select="$CountryName"/>
		</cat_ru:CounryName>
		<cat_ru:Region>
			<xsl:value-of select="$Region"/>
		</cat_ru:Region>
		<cat_ru:City>
			<xsl:value-of select="$City"/>
		</cat_ru:City>
		<cat_ru:StreetHouse>
			<xsl:value-of select="$StreetHouse"/>
		</cat_ru:StreetHouse>
	</xsl:template>
	<xsl:template name="Date-from-DateTime">
		<xsl:param name="DateTime"/>
		<xsl:value-of select="substring-before($DateTime,'T')"/>
	</xsl:template>
	<xsl:template name="IdCardElements">
		<xsl:param name="Code"/>
		<xsl:param name="Name"/>
		<xsl:param name="Series"/>
		<xsl:param name="Number"/>
		<xsl:param name="Date"/>
		<xsl:param name="Organization"/>
		<xsl:if test="string-length($Number)!=0">
			<cat_ru:IdentityCard>
				<cat_ru:IdentityCardCode>
					<xsl:value-of select="$Code"/>
				</cat_ru:IdentityCardCode>
				<cat_ru:IdentityCardName>
					<xsl:value-of select="$Name"/>
				</cat_ru:IdentityCardName>
				<cat_ru:IdentityCardSeries>
					<xsl:value-of select="$Series"/>
				</cat_ru:IdentityCardSeries>
				<cat_ru:IdentityCardNumber>
					<xsl:value-of select="$Number"/>
				</cat_ru:IdentityCardNumber>
				<cat_ru:IdentityCardDate>
					<xsl:call-template name="Date-from-DateTime">
						<xsl:with-param name="DateTime" select="$Date"/>
					</xsl:call-template>
				</cat_ru:IdentityCardDate>
				<cat_ru:OrganizationName>
					<xsl:value-of select="$Organization"/>
				</cat_ru:OrganizationName>
			</cat_ru:IdentityCard>
		</xsl:if>
	</xsl:template>
	<xsl:template name="elements-of-appendix-GTD40">
		<xsl:param name="G32"/>
		<xsl:variable name="ND" select="/VTTPRIM/VTTPRIM_ITEM/ND"/>
		<xsl:for-each select="GTD40/GTD40_ITEM[(G32=$G32) and (ND=$ND)]">
			<ESADout_CUPrecedingDocument>
				<xsl:call-template name="customs-number-elements">
					<xsl:with-param name="whole-number" select="G402"/>
					<xsl:with-param name="element1-name" select="'catESAD_cu:PrecedingDocumentCustomsCode'"/>
					<xsl:with-param name="element2-name" select="'catESAD_cu:PrecedingDocumentDate'"/>
					<xsl:with-param name="element3-name" select="'catESAD_cu:PrecedingDocumentNumber'"/>
					<xsl:with-param name="namespace-context" select="document('')"/>
				</xsl:call-template>
				<catESAD_cu:PrecedingDocumentModeCode>
					<xsl:value-of select="DOCCODE"/>
				</catESAD_cu:PrecedingDocumentModeCode>
			</ESADout_CUPrecedingDocument>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="Transp-Appendix">
		<xsl:param name="NGR"/>
		<xsl:for-each select="GTDDKD/GTDDKD_ITEM[NGR=$NGR]">
			<xsl:sort data-type="number" select="COUNTER"/>
			<TransportMeans>
				<cat_ru:TransportIdentifier>
					<xsl:value-of select="NTRANS"/>
				</cat_ru:TransportIdentifier>
			</TransportMeans>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="Transp-Inlined">
		<xsl:param name="GXX"/>
		<xsl:param name="first-output"/>
		<xsl:param name="TRAILER-output"/>
		<xsl:param name="TRAILER2-output"/>
		<xsl:variable name="TransportIdentifier">
			<xsl:choose>
				<xsl:when test="contains($GXX, ',')">
					<xsl:value-of select="normalize-space(substring-before($GXX, ','))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="normalize-space($GXX)"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:if test="($TransportIdentifier!='')">
			<TransportMeans>
				<xsl:copy-of select="$first-output"/>
				<cat_ru:TransportIdentifier>
					<xsl:value-of select="$TransportIdentifier"/>
				</cat_ru:TransportIdentifier>
			</TransportMeans>
		</xsl:if>
		<xsl:if test="$TRAILER-output!=''">
			<TransportMeans>
				<xsl:copy-of select="$TRAILER-output"/>
				<cat_ru:ActiveTransportIdentifier>
					<xsl:value-of select="$TransportIdentifier"/>
				</cat_ru:ActiveTransportIdentifier>
			</TransportMeans>
		</xsl:if>
		<xsl:if test="$TRAILER2-output!=''">
			<TransportMeans>
				<xsl:copy-of select="$TRAILER2-output"/>
				<cat_ru:ActiveTransportIdentifier>
					<xsl:value-of select="$TransportIdentifier"/>
				</cat_ru:ActiveTransportIdentifier>
			</TransportMeans>
		</xsl:if>
		<xsl:if test="string-length($GXX)!=0">
			<xsl:call-template name="Transp-Inlined">
				<xsl:with-param name="GXX" select="substring-after($GXX, ',')"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
