<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="copy.xsl"/>
	<xsl:import href="template-vtdecl.xsl"/>
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:key name="G40-group" use="concat(  'G40=', ., 'DOCCODE=', (parent::GTD40_ITEM/DOCCODE | parent::VTTDOP_ITEM/PRECEDDOCTYPE)  )" match="VTTDOP_ITEM/G40 | VTTDOP_ITEM/GTD40/GTD40_ITEM/G402"/>
	<xsl:template match="VTTDOP_ITEM/G40 | VTTDOP_ITEM/GTD40 | VTTDOP_ITEM/PRECEDDOCTYPE">
		<xsl:if test="generate-id() = generate-id(parent::VTTDOP_ITEM/G40 | parent::VTTDOP_ITEM/GTD40 | parent::VTTDOP_ITEM/PRECEDDOCTYPE)">
			<!--работаем один раз - для первого встретившегося из match
и работаем в контексте parent::VTTDOP_ITEM, чтобы не думать кто встретится первым-->
			<xsl:for-each select="parent::VTTDOP_ITEM">
				<xsl:variable name="set-of-first-ones" select="(G40 | GTD40/GTD40_ITEM/G402)[   generate-id() = generate-id(key('G40-group', concat(  'G40=', ., 'DOCCODE=', (parent::GTD40_ITEM/DOCCODE | parent::VTTDOP_ITEM/PRECEDDOCTYPE)  )  ))   ]"/>
				<xsl:apply-templates select="." mode="output-G40-and-GTD40">
					<xsl:with-param name="set-of-G40-and-G402" select="$set-of-first-ones"/>
				</xsl:apply-templates>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
