<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="copy.xsl"/>
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:key name="VTTDOPPRESDOCS_ITEM-by-code-num-date" use="concat('DOCCODE=',DOCCODE, 'DOCNUM=', DOCNUM, 'DOCDATE=', DOCDATE)" match="VTTDOP_ITEM/VTTDOPPRESDOCS/VTTDOPPRESDOCS_ITEM"/>
	<xsl:template match="VTTDOP_ITEM/VTTDOPPRESDOCS">
		<xsl:copy>
			<xsl:for-each select="VTTDOPPRESDOCS_ITEM">
				<xsl:variable name="group" select="key('VTTDOPPRESDOCS_ITEM-by-code-num-date', concat('DOCCODE=',DOCCODE, 'DOCNUM=', DOCNUM, 'DOCDATE=', DOCDATE) )"/>
				<xsl:variable name="first-in-group" select="generate-id() = generate-id(  $group  )"/>
				<xsl:if test="$first-in-group = true()">
					<xsl:apply-templates select="."/>
				</xsl:if>
			</xsl:for-each>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
