<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="copy.xsl"/>
	<xsl:import href="template-vtdecl.xsl"/>
	<xsl:output method="xml"/>
	<!--6 - магическое число, встречается много где по ходу преобразования - как бы его вынести? это группировка по G33-->
	<xsl:key name="VTTDOP_ITEM-G33" use="substring(G33, 1, 6)" match="VTTDOP_ITEM"/>
	<xsl:variable name="first-VTTDOP_ITEMs-of-each-group" select="//VTTPRIM_ITEM/VTTDOP/VTTDOP_ITEM[ generate-id() = generate-id(key('VTTDOP_ITEM-G33', substring(G33, 1, 6))) ]"/>
	<xsl:variable name="new-G05" select="count(  $first-VTTDOP_ITEMs-of-each-group  )"/>
	<xsl:variable name="new-G032">
		<xsl:call-template name="fix-float">
			<xsl:with-param name="float-number" select="ceiling(($new-G05 - 1) div 3) + 1"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="VTTDOP_ITEM">
		<xsl:variable name="group" select="key('VTTDOP_ITEM-G33', substring(G33, 1, 6))"/>
		<xsl:if test="generate-id() = generate-id($group)">
			<!--копируем только первый товар из каждой группы, остальные не копируем сами по себе, а только делаем по ним суммы при копировании конкретных полей товара-->
			<xsl:copy>
				<!--стоим на первом товаре группы, так что по-умолчанию копируется он целиком со всеми полями, а для отдельных полей есть специальные вычисления (см. отдельные xsl:template)-->
				<xsl:call-template name="copy-content"/>
			</xsl:copy>
		</xsl:if>
	</xsl:template>
	<xsl:template match="VTTPRIM_ITEM/G05">
		<xsl:copy>
			<xsl:value-of select="$new-G05"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template name="new-G32">
		<xsl:variable name="current-id" select="generate-id(ancestor::VTTDOP_ITEM)"/>
		<xsl:for-each select="$first-VTTDOP_ITEMs-of-each-group">
			<xsl:if test="generate-id() = $current-id">
				<xsl:value-of select="position()"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="VTTDOP_ITEM//G32">
		<!--TODO - ОШИБОЧНО НИЧЕГО НЕ СРАБОТАЕТ, ЕСЛИ ОКАЖЕТСЯ, ЧТО У ПЕРВОГО ТОВАРА ГРУППЫ НЕТ ЭТИХ ЭЛЕМЕНТОВ (match ПРОВЕРЯЮТСЯ ТОЛЬКО ПО ПЕРВЫМ ТОВАРАМ ГРУПП), А У ОСТАЛЬНЫХ ТОВАРОВ ЭТИ ПОЛЯ ЗАПОЛНЕНЫ ЕСТЬ-->
		<xsl:copy>
			<xsl:call-template name="new-G32"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="VTTDOP_ITEM/G031">
		<!--TODO - ОШИБОЧНО НИЧЕГО НЕ СРАБОТАЕТ, ЕСЛИ ОКАЖЕТСЯ, ЧТО У ПЕРВОГО ТОВАРА ГРУППЫ НЕТ ЭТИХ ЭЛЕМЕНТОВ (match ПРОВЕРЯЮТСЯ ТОЛЬКО ПО ПЕРВЫМ ТОВАРАМ ГРУПП), А У ОСТАЛЬНЫХ ТОВАРОВ ЭТИ ПОЛЯ ЗАПОЛНЕНЫ ЕСТЬ-->
		<xsl:copy>
			<xsl:variable name="new-G32">
				<xsl:call-template name="new-G32"/>
			</xsl:variable>
			<xsl:call-template name="fix-float">
				<xsl:with-param name="float-number" select="ceiling(($new-G32 - 1) div 3) + 1"/>
			</xsl:call-template>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="VTTDOP_ITEM/G032">
		<!--TODO - ОШИБОЧНО НИЧЕГО НЕ СРАБОТАЕТ, ЕСЛИ ОКАЖЕТСЯ, ЧТО У ПЕРВОГО ТОВАРА ГРУППЫ НЕТ ЭТИХ ЭЛЕМЕНТОВ (match ПРОВЕРЯЮТСЯ ТОЛЬКО ПО ПЕРВЫМ ТОВАРАМ ГРУПП), А У ОСТАЛЬНЫХ ТОВАРОВ ЭТИ ПОЛЯ ЗАПОЛНЕНЫ ЕСТЬ-->
		<xsl:copy>
			<xsl:value-of select="$new-G032"/>
		</xsl:copy>
	</xsl:template>
	<xsl:key name="G221_BUK" use="." match="VTTPRIM_ITEM/G221_BUK"/>
	<xsl:template match="VTTPRIM_ITEM/G222 | VTTPRIM_ITEM/G221_BUK">
		<!--TODO - ОШИБОЧНО НИЧЕГО НЕ СРАБОТАЕТ, ЕСЛИ ОКАЖЕТСЯ, ЧТО У ПЕРВОГО ТОВАРА ГРУППЫ НЕТ ЭТИХ ЭЛЕМЕНТОВ (match ПРОВЕРЯЮТСЯ ТОЛЬКО ПО ПЕРВЫМ ТОВАРАМ ГРУПП), А У ОСТАЛЬНЫХ ТОВАРОВ ЭТИ ПОЛЯ ЗАПОЛНЕНЫ ЕСТЬ-->
		<!--проверять уникальность G221_BUK в декларациях-->
		<xsl:if test="self::G222">
			<xsl:variable name="VTTPRIM_ITEMs" select="ancestor::VTTPRIM/VTTPRIM_ITEM"/>
			<xsl:variable name="uniq-G221_BUK" select="$VTTPRIM_ITEMs/G221_BUK[ generate-id() = generate-id(key('G221_BUK', .)) ]"/>
			<xsl:if test="count($uniq-G221_BUK) = 1">
				<!--иначе просто не копируем ничего, если стоимости не в одной валюте, а в разных, - и подождём жалоб-->
				<xsl:variable name="G222-to-sum" select="$VTTPRIM_ITEMs/G222[ 'NaN' != string(number(.)) ]"/>
				<G222>
					<xsl:call-template name="fix-float">
						<xsl:with-param name="float-number" select="sum($G222-to-sum)"/>
					</xsl:call-template>
				</G222>
				<G221_BUK>
					<xsl:value-of select="$G222-to-sum[1]/parent::VTTPRIM_ITEM/G221_BUK"/>
				</G221_BUK>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<xsl:key name="INVCCOSTCODE-G33" use="concat(  'INVCCOSTCODE=', ., 'G33=', substring(parent::VTTDOP_ITEM/G33, 1, 6)  )" match="VTTDOP_ITEM/INVCCOSTCODE"/>
	<xsl:template match="VTTDOP_ITEM/G42 | VTTDOP_ITEM/INVCCOSTCODE">
		<!--TODO - ОШИБОЧНО НИЧЕГО НЕ СРАБОТАЕТ, ЕСЛИ ОКАЖЕТСЯ, ЧТО У ПЕРВОГО ТОВАРА ГРУППЫ НЕТ ЭТИХ ЭЛЕМЕНТОВ (match ПРОВЕРЯЮТСЯ ТОЛЬКО ПО ПЕРВЫМ ТОВАРАМ ГРУПП), А У ОСТАЛЬНЫХ ТОВАРОВ ЭТИ ПОЛЯ ЗАПОЛНЕНЫ ЕСТЬ-->
		<!--проверять уникальность INVCCOSTCODE в группе-->
		<xsl:if test="self::G42">
			<xsl:variable name="G33-group" select="key('VTTDOP_ITEM-G33', substring(parent::VTTDOP_ITEM/G33, 1, 6))"/>
			<xsl:variable name="uniq-INVCCOSTCODE-G33" select="$G33-group/INVCCOSTCODE[ generate-id() = generate-id(key(   'INVCCOSTCODE-G33', concat(  'INVCCOSTCODE=', ., 'G33=', substring(parent::VTTDOP_ITEM/G33, 1, 6)  )   )) ]"/>
			<xsl:if test="count($uniq-INVCCOSTCODE-G33) = 1">
				<!--иначе просто не копируем ничего, если стоимости не в одной валюте, а в разных, - и подождём жалоб-->
				<xsl:variable name="G42-to-sum" select="$G33-group/G42[ 'NaN' != string(number(.)) ]"/>
				<G42>
					<xsl:call-template name="fix-float">
						<xsl:with-param name="float-number" select="sum($G42-to-sum)"/>
					</xsl:call-template>
				</G42>
				<INVCCOSTCODE>
					<xsl:value-of select="$G42-to-sum[1]/parent::VTTDOP_ITEM/INVCCOSTCODE"/>
				</INVCCOSTCODE>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<xsl:key name="G41A-G33" use="concat(  'G41A=', ., 'G33=', substring(parent::VTTDOP_ITEM/G33, 1, 6)  )" match="VTTDOP_ITEM/G41A"/>
	<xsl:template match="VTTDOP_ITEM/G315A | VTTDOP_ITEM/G41A">
		<!--TODO - ОШИБОЧНО НИЧЕГО НЕ СРАБОТАЕТ, ЕСЛИ ОКАЖЕТСЯ, ЧТО У ПЕРВОГО ТОВАРА ГРУППЫ НЕТ ЭТИХ ЭЛЕМЕНТОВ (match ПРОВЕРЯЮТСЯ ТОЛЬКО ПО ПЕРВЫМ ТОВАРАМ ГРУПП), А У ОСТАЛЬНЫХ ТОВАРОВ ЭТИ ПОЛЯ ЗАПОЛНЕНЫ ЕСТЬ-->
		<!--проверять уникальность G41A в группе-->
		<xsl:if test="self::G315A">
			<xsl:variable name="G33-group" select="key('VTTDOP_ITEM-G33', substring(parent::VTTDOP_ITEM/G33, 1, 6))"/>
			<xsl:variable name="uniq-G41A-G33" select="$G33-group/G41A[ generate-id() = generate-id(key(   'G41A-G33', concat(  'G41A=', ., 'G33=', substring(parent::VTTDOP_ITEM/G33, 1, 6)  )   )) ]"/>
			<xsl:if test="count($uniq-G41A-G33) = 1">
				<!--иначе просто не копируем ничего, если разные коды ДЕИ, - и подождём жалоб-->
				<xsl:variable name="G315A-to-sum" select="$G33-group/G315A[ 'NaN' != string(number(.)) ]"/>
				<G315A>
					<xsl:if test="$G315A-to-sum">
						<!--условие, чтоб sum() не выводила 0, если нечего суммировать - было пусто и пусть будет пусто-->
						<xsl:call-template name="fix-float">
							<xsl:with-param name="float-number" select="sum($G315A-to-sum)"/>
						</xsl:call-template>
					</xsl:if>
				</G315A>
				<G41A>
					<xsl:value-of select="$G315A-to-sum[1]/parent::VTTDOP_ITEM/G41A"/>
				</G41A>
				<G317A>
					<xsl:value-of select="$G315A-to-sum[1]/parent::VTTDOP_ITEM/G317A"/>
				</G317A>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<xsl:key match="TODO----" use="name()" name="fields-to-concat"/>
	<xsl:template match="VTTDOP_ITEM/*[ key('fields-to-concat', name()) ]">
		<xsl:variable name="group" select="key('VTTDOP_ITEM-G33', substring(parent::VTTDOP_ITEM/G33, 1, 6))"/>
		<xsl:copy>
			<xsl:variable name="fields-to-concat" select="$group/*[ name() = name(current()) ]"/>
			<xsl:for-each select="$fields-to-concat">
				<xsl:variable name="position" select="position()"/>
				<xsl:variable name="string" select="string()"/>
				<xsl:variable name="not-duplicate" select="0 = count(  $fields-to-concat[ position() &lt; $position ][ string() = $string ]  )"/>
				<xsl:if test="$not-duplicate">
					<xsl:value-of select="."/>
					<xsl:if test="position() != last()">
						<xsl:value-of select="','"/>
					</xsl:if>
				</xsl:if>
			</xsl:for-each>
		</xsl:copy>
	</xsl:template>
	<xsl:key match="G311 | G35 | NETTO" use="name()" name="fields-to-sum"/>
	<xsl:template match="VTTDOP_ITEM/*[ key('fields-to-sum', name()) ]">
		<xsl:variable name="group" select="key('VTTDOP_ITEM-G33', substring(parent::VTTDOP_ITEM/G33, 1, 6))"/>
		<xsl:copy>
			<xsl:call-template name="fix-float">
				<xsl:with-param name="float-number" select="sum( $group/*[ name() = name(current()) ][ 'NaN' != string(number(.)) ] )"/>
			</xsl:call-template>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="VTTDOP_ITEM/G33">
		<xsl:copy>
			<xsl:value-of select="substring(., 1, 6)"/>
		</xsl:copy>
	</xsl:template>
	<xsl:key name="VTTDOPPRESDOCS-DOCCODE-DOCNUM-DOCDATE-G33" use="concat(  'DOCCODE=', DOCCODE, 'DOCNUM=', DOCNUM, 'DOCDATE=', DOCDATE, 'G33=', substring(ancestor::VTTDOP_ITEM/G33, 1, 6)  )" match="VTTDOP_ITEM/VTTDOPPRESDOCS/VTTDOPPRESDOCS_ITEM"/>
	<xsl:template match="VTTDOP_ITEM/VTTDOPPRESDOCS">
		<!--TODO - ОШИБОЧНО НИЧЕГО НЕ СРАБОТАЕТ, ЕСЛИ ОКАЖЕТСЯ, ЧТО У ПЕРВОГО ТОВАРА ГРУППЫ НЕТ ЭТИХ ЭЛЕМЕНТОВ (match ПРОВЕРЯЮТСЯ ТОЛЬКО ПО ПЕРВЫМ ТОВАРАМ ГРУПП), А У ОСТАЛЬНЫХ ТОВАРОВ ЭТИ ПОЛЯ ЗАПОЛНЕНЫ ЕСТЬ-->
		<xsl:variable name="G33-group" select="key('VTTDOP_ITEM-G33', substring(parent::VTTDOP_ITEM/G33, 1, 6))"/>
		<xsl:variable name="uniq-set" select="($G33-group/VTTDOPPRESDOCS/VTTDOPPRESDOCS_ITEM)[   generate-id() = generate-id(key('VTTDOPPRESDOCS-DOCCODE-DOCNUM-DOCDATE-G33', concat(  'DOCCODE=', DOCCODE, 'DOCNUM=', DOCNUM, 'DOCDATE=', DOCDATE, 'G33=', substring(ancestor::VTTDOP_ITEM/G33, 1, 6)  )  ))   ]"/>
		<xsl:variable name="new-G32">
			<xsl:call-template name="new-G32"/>
		</xsl:variable>
		<VTTDOPPRESDOCS>
			<xsl:for-each select="$uniq-set">
				<!--сортируем пока по DOCCODE только (наверняка красиво), а не по NPP, потому что NPP не показательно, неправильно сойдётся, когда существенно разное количество позиций в объединяемых товарах. Да и в примере, созданном на через dlab.vtaa.xsl, в первом товаре NPP заполнено (1, 2, 3...), а в остальных товарах не заполнено (0, 0, 0...), что поставит позиции из первого товара ниже всех.-->
				<xsl:sort select="DOCCODE" data-type="number"/>
				<xsl:copy>
					<xsl:for-each select="DOCCODE | DOCNUM | DOCDATE | APPENDIXED">
						<xsl:copy-of select="."/>
					</xsl:for-each>
					<G32>
						<xsl:value-of select="$new-G32"/>
					</G32>
				</xsl:copy>
			</xsl:for-each>
		</VTTDOPPRESDOCS>
	</xsl:template>
	<xsl:key name="G40-PRECEDDOCTYPE-G33" use="concat(  'G40=', ., 'DOCCODE=', (parent::GTD40_ITEM/DOCCODE | parent::VTTDOP_ITEM/PRECEDDOCTYPE), 'G33=', substring(ancestor::VTTDOP_ITEM/G33, 1, 6)  )" match="VTTDOP_ITEM/G40 | VTTDOP_ITEM/GTD40/GTD40_ITEM/G402"/>
	<xsl:key name="code-for-G40" use="generate-id(parent::GTD40_ITEM/G402 | parent::VTTDOP_ITEM/G40)" match="(GTD40_ITEM/DOCCODE | VTTDOP_ITEM/PRECEDDOCTYPE)"/>
	<xsl:template match="VTTDOP_ITEM/G40 | VTTDOP_ITEM/GTD40 | VTTDOP_ITEM/PRECEDDOCTYPE">
		<!--TODO - ОШИБОЧНО НИЧЕГО НЕ СРАБОТАЕТ, ЕСЛИ ОКАЖЕТСЯ, ЧТО У ПЕРВОГО ТОВАРА ГРУППЫ НЕТ ЭТИХ ЭЛЕМЕНТОВ (match ПРОВЕРЯЮТСЯ ТОЛЬКО ПО ПЕРВЫМ ТОВАРАМ ГРУПП), А У ОСТАЛЬНЫХ ТОВАРОВ ЭТИ ПОЛЯ ЗАПОЛНЕНЫ ЕСТЬ-->
		<xsl:variable name="new-G32">
			<xsl:call-template name="new-G32"/>
		</xsl:variable>
		<xsl:if test="generate-id() = generate-id(parent::VTTDOP_ITEM/G40 | parent::VTTDOP_ITEM/GTD40 | parent::VTTDOP_ITEM/PRECEDDOCTYPE)">
			<!--работаем один раз - для первого встретившегося из match
и работаем в контексте parent::VTTDOP_ITEM, чтобы не думать кто встретится первым-->
			<xsl:for-each select="parent::VTTDOP_ITEM">
				<!--не первую брать из товарной группы, а собирать из группы все списком без повторов и сносить кроме первого в таблицу GTD40, а первый в G40-->
				<!--выбрать уникальные значения графы 40 в этой товарной группе, то есть выбрать из всех граф 40 всех этих товаров такие, которые являются уникальными (первыми в своих собственных группах по G33+G40+PRECEDDOCTYPE)-->
				<xsl:variable name="G33-group" select="key('VTTDOP_ITEM-G33', substring(G33, 1, 6))"/>
				<xsl:variable name="uniq-set" select="($G33-group/G40 | $G33-group/GTD40/GTD40_ITEM/G402)[   generate-id() = generate-id(key('G40-PRECEDDOCTYPE-G33', concat(  'G40=', ., 'DOCCODE=', (parent::GTD40_ITEM/DOCCODE | parent::VTTDOP_ITEM/PRECEDDOCTYPE)  , 'G33=', substring(ancestor::VTTDOP_ITEM/G33, 1, 6)  )  ))   ]"/>
				<xsl:apply-templates select="." mode="output-G40-and-GTD40">
					<xsl:with-param name="set-of-G40-and-G402" select="$uniq-set"/>
					<xsl:with-param name="G32" select="$new-G32"/>
				</xsl:apply-templates>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:key name="VTTDOPPACKG318-G33" use="concat(  'G318=', ., 'G33=', substring(ancestor::VTTDOP_ITEM/G33, 1, 6)  )" match="VTTDOP_ITEM/VTTDOPPACK/VTTDOPPACK_ITEM/G318"/>
	<xsl:key name="VTTDOPPACKG314-VTTDOPPACKG318-G33" use="concat(  'G318=', parent::VTTDOPPACK_ITEM/G318, 'G33=', substring(ancestor::VTTDOP_ITEM/G33, 1, 6)  )" match="VTTDOP_ITEM/VTTDOPPACK/VTTDOPPACK_ITEM/G314"/>
	<xsl:template match="VTTDOP_ITEM/G318 | VTTDOP_ITEM/VTTDOPPACK">
		<!--TODO - ОШИБОЧНО НИЧЕГО НЕ СРАБОТАЕТ, ЕСЛИ ОКАЖЕТСЯ, ЧТО У ПЕРВОГО ТОВАРА ГРУППЫ НЕТ ЭТИХ ЭЛЕМЕНТОВ (match ПРОВЕРЯЮТСЯ ТОЛЬКО ПО ПЕРВЫМ ТОВАРАМ ГРУПП), А У ОСТАЛЬНЫХ ТОВАРОВ ЭТИ ПОЛЯ ЗАПОЛНЕНЫ ЕСТЬ-->
		<xsl:variable name="new-G32">
			<xsl:call-template name="new-G32"/>
		</xsl:variable>
		<xsl:if test="generate-id() = generate-id(parent::VTTDOP_ITEM/G318 | parent::VTTDOP_ITEM/VTTDOPPACK)">
			<!--работаем один раз - для первого встретившегося из match
и работаем в контексте parent::VTTDOP_ITEM, чтобы не думать кто встретится первым-->
			<xsl:for-each select="parent::VTTDOP_ITEM">
				<xsl:variable name="G33-group" select="key('VTTDOP_ITEM-G33', substring(G33, 1, 6))"/>
				<xsl:variable name="uniq-VTTDOPPACKG318-G33" select="$G33-group/VTTDOPPACK/VTTDOPPACK_ITEM/G318[ generate-id() = generate-id(key(   'VTTDOPPACKG318-G33', concat(  'G318=', ., 'G33=', substring(ancestor::VTTDOP_ITEM/G33, 1, 6)  )   )) ]"/>
				<VTTDOPPACK>
					<xsl:for-each select="$uniq-VTTDOPPACKG318-G33">
						<VTTDOPPACK_ITEM>
							<xsl:variable name="G314-to-sum" select="key(   'VTTDOPPACKG314-VTTDOPPACKG318-G33', concat(  'G318=', ., 'G33=', substring(ancestor::VTTDOP_ITEM/G33, 1, 6)  )   )"/>
							<G314>
								<xsl:value-of select="sum($G314-to-sum)"/>
							</G314>
							<G318>
								<xsl:value-of select="."/>
							</G318>
							<G32>
								<xsl:value-of select="$new-G32"/>
							</G32>
						</VTTDOPPACK_ITEM>
					</xsl:for-each>
				</VTTDOPPACK>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:variable name="TODO">
		<template match="VTTDOP_ITEM/GTDBACK">
			<!--TODO !!! TODO !!! TODO !!! TODO !!! TODO !!! TODO !!! TODO !!! -->
		</template>
		<template match="VTTDOP_ITEM/G3160">
			<!--TODO !!! TODO !!! TODO !!! TODO !!! TODO !!! TODO !!! TODO !!! -->
		</template>
		<template match="G3161">
			<template match="GTDBACK[ REFFIELNAME = 'G3161']">
				<!--TODO !!! TODO !!! TODO !!! TODO !!! TODO !!! TODO !!! TODO !!! -->
				<!--вместе с самим G3161 обрабатывать целым списком, учесть ссылки "см. доп." и "см. оборот"-->
			</template>
		</template>
	</xsl:variable>
</xsl:stylesheet>
