<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="copy.xsl"/>
	<xsl:import href="template-vtdecl.xsl"/>
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="VTTPRIM_ITEM">
		<xsl:copy>
			<xsl:call-template name="copy-content"/>
			<xsl:if test="not(G222)">
				<xsl:call-template name="G222"/>
			</xsl:if>
			<xsl:if test="not(G06)">
				<xsl:call-template name="G06"/>
			</xsl:if>
			<xsl:if test="not(G35_NTF)">
				<xsl:call-template name="G35_NTF"/>
			</xsl:if>
			<xsl:if test="not(G38_NTF)">
				<xsl:call-template name="G38_NTF"/>
			</xsl:if>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="VTTPRIM_ITEM/G06" name="G06">
		<xsl:variable name="VTTPRIM_ITEM" select="ancestor-or-self::VTTPRIM_ITEM[1]"/>
		<G06>
			<xsl:apply-templates select="$VTTPRIM_ITEM" mode="sum-G">
				<xsl:with-param name="VTTDOP_ITEM-G-name" select="'G311'"/>
			</xsl:apply-templates>
		</G06>
	</xsl:template>
	<xsl:template match="VTTPRIM_ITEM/G35_NTF" name="G35_NTF">
		<xsl:variable name="VTTPRIM_ITEM" select="ancestor-or-self::VTTPRIM_ITEM[1]"/>
		<G35_NTF>
			<xsl:apply-templates select="$VTTPRIM_ITEM" mode="sum-G">
				<xsl:with-param name="VTTDOP_ITEM-G-name" select="'G35'"/>
			</xsl:apply-templates>
		</G35_NTF>
	</xsl:template>
	<xsl:template match="VTTPRIM_ITEM/G38_NTF" name="G38_NTF">
		<xsl:variable name="VTTPRIM_ITEM" select="ancestor-or-self::VTTPRIM_ITEM[1]"/>
		<G38_NTF>
			<xsl:apply-templates select="$VTTPRIM_ITEM" mode="sum-G">
				<xsl:with-param name="VTTDOP_ITEM-G-name" select="'NETTO'"/>
			</xsl:apply-templates>
		</G38_NTF>
	</xsl:template>
	<xsl:template match="VTTPRIM_ITEM/G222" name="G222">
		<xsl:variable name="VTTPRIM_ITEM" select="ancestor-or-self::VTTPRIM_ITEM[1]"/>
		<G222>
			<!--суммировать G42, ТОЛЬКО если у ВСЕХ одинаковые InvcCostCode.
Иначе делать СУММУ ПУСТОЙ, пусть суммируют в программе с пересчётом валют.-->
			<xsl:variable name="codes" select="VTTDOP/VTTDOP_ITEM/InvcCostCode"/>
			<xsl:if test="not($codes != $codes[1])">
				<xsl:apply-templates select="$VTTPRIM_ITEM" mode="sum-G">
					<xsl:with-param name="VTTDOP_ITEM-G-name" select="'G42'"/>
				</xsl:apply-templates>
			</xsl:if>
		</G222>
	</xsl:template>
	<xsl:template match="VTTPRIM_ITEM" mode="sum-G">
		<xsl:param name="VTTDOP_ITEM-G-name"/>
		<xsl:call-template name="sum-as-numbers">
			<xsl:with-param name="summands" select="VTTDOP/VTTDOP_ITEM/*[ name() = $VTTDOP_ITEM-G-name]"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="sum-as-numbers">
		<xsl:param name="summands"/>
		<xsl:call-template name="fix-float">
			<xsl:with-param name="float-number" select="sum(   $summands[ 'NaN' != string(number()) ]   )"/>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
