﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="urn:customs.ru:Information:PriorInformation:PI_TIRCarnet:5.0.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.0.0" xmlns:catpi_ru="urn:customs.ru:Information:PriorInformation:PriorCommonAggregateTypes:5.0.0">
	<xsl:import href="template-customs.xsl"/>
	<xsl:import href="template-value.xsl"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:apply-templates select="JTIR_XX/JTIR_XX_ITEM"/>
	</xsl:template>
	<xsl:template match="JTIR_XX_ITEM">
		<PI_TIRCarnet DocumentModeID="1006810E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
			<DocumentDate>
				<xsl:call-template name="date-but-time">
					<xsl:with-param name="date-time" select="G542"/>
				</xsl:call-template>
			</DocumentDate>
			<BorderCustomsCode>
				<xsl:value-of select="CUSTOMPOST"/>
			</BorderCustomsCode>
			<DateLimit>
				<xsl:call-template name="date-but-time">
					<xsl:with-param name="date-time" select="G504"/>
				</xsl:call-template>
			</DateLimit>
			<PI_TIRMDP>
				<catpi_ru:TIRID>
					<xsl:value-of select="N_MDP"/>
				</catpi_ru:TIRID>
				<catpi_ru:TIRSeries>
					<xsl:value-of select="MDPLETTERS"/>
				</catpi_ru:TIRSeries>
				<catpi_ru:TIRWhitePageNumber>
					<xsl:value-of select="W_LIST_NO"/>
				</catpi_ru:TIRWhitePageNumber>
				<catpi_ru:TIRHolder>
					<xsl:value-of select="HOLDERIDN"/>
				</catpi_ru:TIRHolder>
			</PI_TIRMDP>
			<PI_TIRCarrier>
				<cat_ru:OrganizationName>
					<xsl:value-of select="G501"/>
				</cat_ru:OrganizationName>
				<xsl:call-template name="cat_ru:RFOrganizationFeatures">
					<xsl:with-param name="OGRN" select="DRIVEROGRN"/>
					<xsl:with-param name="INN" select="INN_DRIVER"/>
					<xsl:with-param name="KPP" select="KPP_DRIVER"/>
				</xsl:call-template>
				<TIRHolderID>
					<xsl:value-of select="HOLDERIDN"/>
				</TIRHolderID>
				<xsl:call-template name="catpi_ru:Address">
					<xsl:with-param name="PostalCode" select="CARRIER_POSTALCODE"/>
					<xsl:with-param name="CountryCode" select="DRIVE_ABC2"/>
					<xsl:with-param name="Region" select="CARRIER_REGION"/>
					<xsl:with-param name="City" select="CARRIER_CITY"/>
					<xsl:with-param name="StreetHouse" select="CARRIER_STREETHOUSE"/>
				</xsl:call-template>
				<DriverInformation>
					<cat_ru:PersonSurname>
						<xsl:value-of select="DRIVERSURNAME"/>
					</cat_ru:PersonSurname>
					<cat_ru:PersonName>
						<xsl:value-of select="DRIVERNAME"/>
					</cat_ru:PersonName>
					<cat_ru:PersonMiddleName>
						<xsl:value-of select="DRIVERMIDNAME"/>
					</cat_ru:PersonMiddleName>
					<catpi_ru:IdentityCard>
						<xsl:call-template name="IdCardElements">
							<xsl:with-param name="Code" select="CARRIERPERSCARDCODE"/>
							<xsl:with-param name="Name" select="CARRIERPERSCARDNAME"/>
							<xsl:with-param name="Series" select="CARRIERPERSCARDSERIES"/>
							<xsl:with-param name="Number" select="CARRIERPERSCARDNUM"/>
							<xsl:with-param name="Date" select="CARRIERPERSCARDDATE"/>
							<xsl:with-param name="Organization" select="CARRIERPERSCARDORG"/>
						</xsl:call-template>
					</catpi_ru:IdentityCard>
				</DriverInformation>
			</PI_TIRCarrier>
			<PI_TIRPrincipal>
				<cat_ru:OrganizationName>
					<xsl:value-of select="FAGENTNAME"/>
				</cat_ru:OrganizationName>
				<xsl:call-template name="catpi_ru:Address">
					<xsl:with-param name="PostalCode" select="PRINC_POSTALCODE"/>
					<xsl:with-param name="CountryCode" select="PRINC_COUNTRYCODE"/>
					<xsl:with-param name="Region" select="PRINC_REGION"/>
					<xsl:with-param name="City" select="PRINC_CITY"/>
					<xsl:with-param name="StreetHouse" select="PRINC_STREETHOUSE"/>
				</xsl:call-template>
			</PI_TIRPrincipal>
			<xsl:variable name="common-docs">
				<xsl:apply-templates select="JTIR_XX_DOCS/JTIR_XX_DOCS_ITEM"/>
			</xsl:variable>
			<xsl:variable name="Destination1">
				<PI_TIRDestination>
					<xsl:call-template name="catpi_ru:Address">
						<xsl:with-param name="PostalCode" select="DEST_POSTALCODE"/>
						<xsl:with-param name="CountryCode" select="DEST_COUNTRYCODE"/>
						<xsl:with-param name="CountryName" select="DEST_COUNTRYNAME"/>
						<xsl:with-param name="Region" select="DEST_REGION"/>
						<xsl:with-param name="City" select="DEST_CITY"/>
						<xsl:with-param name="StreetHouse" select="DEST_STREETHOUSE"/>
					</xsl:call-template>
					<DestinationWarehouse>
						<catpi_ru:CertificateNumber>
							<xsl:value-of select="A_NLIC"/>
						</catpi_ru:CertificateNumber>
						<catpi_ru:CertificateDate>
							<xsl:call-template name="date-but-time">
								<xsl:with-param name="date-time" select="A_DLIC"/>
							</xsl:call-template>
						</catpi_ru:CertificateDate>
					</DestinationWarehouse>
					<DestinationCustoms>
						<cat_ru:Code>
							<xsl:value-of select="GA3"/>
						</cat_ru:Code>
					</DestinationCustoms>
				</PI_TIRDestination>
			</xsl:variable>
			<xsl:variable name="goods-of-no-consignment" select="JGDS_XX/JGDS_XX_ITEM[not(N_TTH=current()/JTIR_XX_CSGNT/JTIR_XX_CSGNT_ITEM/N_TD)]"/>
			<xsl:for-each select="JTIR_XX_CSGNT/JTIR_XX_CSGNT_ITEM">
				<xsl:sort data-type="number" select="COUNTER"/>
				<xsl:variable name="goods-of-this" select="/JTIR_XX/JTIR_XX_ITEM/JGDS_XX/JGDS_XX_ITEM[N_TTH=current()/N_TD]"/>
				<xsl:choose>
					<xsl:when test="position()=1">
						<xsl:apply-templates select=".">
							<xsl:with-param name="goods" select="($goods-of-this | $goods-of-no-consignment)"/>
							<xsl:with-param name="destination" select="$Destination1"/>
							<xsl:with-param name="common-docs" select="$common-docs"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select=".">
							<xsl:with-param name="goods" select="$goods-of-this"/>
							<xsl:with-param name="destination" select="$Destination1"/>
							<xsl:with-param name="common-docs" select="$common-docs"/>
						</xsl:apply-templates>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
			<PI_TIRShippingInfo>
				<ContainerIndicator>
					<xsl:choose>
						<xsl:when test="G3161 and string-length(G3161)&gt;0">
							<xsl:value-of select="'true'"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'false'"/>
						</xsl:otherwise>
					</xsl:choose>
				</ContainerIndicator>
				<DispatchCountry>
					<catpi_ru:CountryACode>
						<xsl:value-of select="G15C_ABC2"/>
					</catpi_ru:CountryACode>
				</DispatchCountry>
				<DestinationCountry>
					<catpi_ru:CountryACode>
						<xsl:value-of select="G17C_ABC2"/>
					</catpi_ru:CountryACode>
				</DestinationCountry>
				<TransportMeans>
					<catpi_ru:TransportIdentifier>
						<xsl:value-of select="N_TR"/>
					</catpi_ru:TransportIdentifier>
					<catpi_ru:TrailerIdentifier>
						<xsl:value-of select="N_TRAILER"/>
					</catpi_ru:TrailerIdentifier>
					<catpi_ru:SecondTrailerIdentifier>
						<xsl:value-of select="N_TRAILER2"/>
					</catpi_ru:SecondTrailerIdentifier>
					<catpi_ru:VINID>
						<xsl:value-of select="VIN"/>
					</catpi_ru:VINID>
					<catpi_ru:TransportModeCode>
						<xsl:value-of select="G26"/>
					</catpi_ru:TransportModeCode>
					<catpi_ru:TransportMeansNationalityCode>
						<xsl:value-of select="TC_ABC2"/>
					</catpi_ru:TransportMeansNationalityCode>
				</TransportMeans>
			</PI_TIRShippingInfo>
			<PI_TIRTotalGoods>
				<TotalGoodsNameQuantity>
					<xsl:value-of select="G05"/>
				</TotalGoodsNameQuantity>
				<ShipSpecifGoodsQuantity>
					<xsl:value-of select="SPECIF_GDS"/>
				</ShipSpecifGoodsQuantity>
				<TotalInvoicedCost>
					<xsl:call-template name="fix-float">
						<xsl:with-param name="float-number" select="G222"/>
						<xsl:with-param name="round-factor" select="1000000"/>
					</xsl:call-template>
				</TotalInvoicedCost>
				<CurrencyCode>
					<xsl:value-of select="JGDS_XX/JGDS_XX_ITEM[1]/G221_BUK"/>
				</CurrencyCode>
				<TotalGrossWeight>
					<xsl:call-template name="fix-float">
						<xsl:with-param name="float-number" select="G35_NTF"/>
						<xsl:with-param name="round-factor" select="1000000"/>
					</xsl:call-template>
				</TotalGrossWeight>
			</PI_TIRTotalGoods>
		</PI_TIRCarnet>
	</xsl:template>
	<xsl:template match="JTIR_XX_CSGNT_ITEM">
		<xsl:param name="goods"/>
		<xsl:param name="destination"/>
		<xsl:param name="common-docs"/>
		<PI_TIRShipment>
			<PI_TIRConsignor>
				<cat_ru:OrganizationName>
					<xsl:value-of select="G022"/>
				</cat_ru:OrganizationName>
				<xsl:call-template name="cat_ru:RFOrganizationFeatures">
					<xsl:with-param name="OGRN" select="OGRN"/>
					<xsl:with-param name="INN" select="INN"/>
					<xsl:with-param name="KPP" select="KPP"/>
				</xsl:call-template>
				<xsl:call-template name="catpi_ru:Address">
					<xsl:with-param name="PostalCode" select="CSGNOR_POSTALCODE"/>
					<xsl:with-param name="CountryCode" select="CSGNOR_COUNTRYCODE"/>
					<xsl:with-param name="Region" select="CSGNOR_REGION"/>
					<xsl:with-param name="City" select="CSGNOR_CITY"/>
					<xsl:with-param name="StreetHouse" select="CSGNOR_STREETHOUSE"/>
				</xsl:call-template>
			</PI_TIRConsignor>
			<PI_TIRConsignee>
				<cat_ru:OrganizationName>
					<xsl:value-of select="G082"/>
				</cat_ru:OrganizationName>
				<xsl:call-template name="cat_ru:RFOrganizationFeatures">
					<xsl:with-param name="OGRN" select="OGRNR"/>
					<xsl:with-param name="INN" select="INNR"/>
					<xsl:with-param name="KPP" select="KPP_RECEIV"/>
				</xsl:call-template>
				<xsl:call-template name="catpi_ru:Address">
					<xsl:with-param name="PostalCode" select="CSGNEE_POSTALCODE"/>
					<xsl:with-param name="CountryCode" select="CSGNEE_COUNTRYCODE"/>
					<xsl:with-param name="Region" select="CSGNEE_REGION"/>
					<xsl:with-param name="City" select="CSGNEE_CITY"/>
					<xsl:with-param name="StreetHouse" select="CSGNEE_STREETHOUSE"/>
				</xsl:call-template>
			</PI_TIRConsignee>
			<xsl:apply-templates select="$goods" mode="PI_TIRGoods"/>
			<PresentedDocuments>
				<cat_ru:PrDocumentNumber>
					<xsl:value-of select="N_TD"/>
				</cat_ru:PrDocumentNumber>
				<catpi_ru:PresentedDocumentModeCode>
					<xsl:value-of select="'02015'"/>
				</catpi_ru:PresentedDocumentModeCode>
			</PresentedDocuments>
			<xsl:apply-templates select="$goods[not(INVOICENUM=preceding-sibling::*/INVOICENUM)][string-length(INVOICENUM)]" mode="presented-invoices"/>
			<xsl:copy-of select="$common-docs"/>
			<DispatchCustoms>
				<cat_ru:Code>
					<xsl:value-of select="CUSTOMPOST"/>
				</cat_ru:Code>
			</DispatchCustoms>
			<xsl:copy-of select="$destination"/>
		</PI_TIRShipment>
	</xsl:template>
	<xsl:template match="JGDS_XX_ITEM" mode="PI_TIRGoods">
		<PI_TIRGoods>
			<catpi_ru:GoodsNumeric>
				<xsl:value-of select="G32"/>
			</catpi_ru:GoodsNumeric>
			<catpi_ru:GoodsTNVEDCode>
				<xsl:value-of select="G33"/>
			</catpi_ru:GoodsTNVEDCode>
			<xsl:call-template name="customs-text250">
				<xsl:with-param name="text" select="G312"/>
				<xsl:with-param name="element-name" select="'catpi_ru:GoodsDescription'"/>
				<xsl:with-param name="namespace-context" select="document('')"/>
			</xsl:call-template>
			<catpi_ru:GrossWeightQuantity>
				<xsl:call-template name="fix-float">
					<xsl:with-param name="float-number" select="G35"/>
					<xsl:with-param name="round-factor" select="1000000"/>
				</xsl:call-template>
			</catpi_ru:GrossWeightQuantity>
			<catpi_ru:NetWeightQuantity>
				<xsl:call-template name="fix-float">
					<xsl:with-param name="float-number" select="NETWEIGHT"/>
					<xsl:with-param name="round-factor" select="1000000"/>
				</xsl:call-template>
			</catpi_ru:NetWeightQuantity>
			<xsl:copy-of select="$Containers"/>
			<catpi_ru:InvoicedCost>
				<xsl:call-template name="fix-float">
					<xsl:with-param name="float-number" select="G42"/>
					<xsl:with-param name="round-factor" select="100"/>
				</xsl:call-template>
			</catpi_ru:InvoicedCost>
			<catpi_ru:CurrencyCode>
				<xsl:value-of select="G221_BUK"/>
			</catpi_ru:CurrencyCode>
			<catpi_ru:GoodsMeasureQuantity>
				<catpi_ru:GoodsQuantity>
					<xsl:call-template name="fix-float">
						<xsl:with-param name="float-number" select="G315"/>
						<xsl:with-param name="round-factor" select="1000000"/>
					</xsl:call-template>
				</catpi_ru:GoodsQuantity>
				<catpi_ru:MeasureUnitQualifierCode>
					<xsl:value-of select="G317C"/>
				</catpi_ru:MeasureUnitQualifierCode>
			</catpi_ru:GoodsMeasureQuantity>
			<catpi_ru:GoodsPackaging>
				<catpi_ru:PakageQuantity>
					<xsl:value-of select="G311"/>
				</catpi_ru:PakageQuantity>
				<catpi_ru:CargoCode>
					<xsl:value-of select="G318"/>
				</catpi_ru:CargoCode>
			</catpi_ru:GoodsPackaging>
		</PI_TIRGoods>
	</xsl:template>
	<xsl:template match="JGDS_XX_ITEM" mode="presented-invoices">
		<PresentedDocuments>
			<cat_ru:PrDocumentNumber>
				<xsl:value-of select="INVOICENUM"/>
			</cat_ru:PrDocumentNumber>
			<cat_ru:PrDocumentDate>
				<xsl:call-template name="date-but-time">
					<xsl:with-param name="date-time" select="INVOICEDATE"/>
				</xsl:call-template>
			</cat_ru:PrDocumentDate>
			<catpi_ru:PresentedDocumentModeCode>
				<xsl:value-of select="'04021'"/>
			</catpi_ru:PresentedDocumentModeCode>
		</PresentedDocuments>
	</xsl:template>
	<xsl:template match="JTIR_XX_DOCS_ITEM">
		<PresentedDocuments>
			<cat_ru:PrDocumentNumber>
				<xsl:value-of select="DOCNUM"/>
			</cat_ru:PrDocumentNumber>
			<cat_ru:PrDocumentDate>
				<xsl:call-template name="date-but-time">
					<xsl:with-param name="date-time" select="DOCDATE"/>
				</xsl:call-template>
			</cat_ru:PrDocumentDate>
			<catpi_ru:PresentedDocumentModeCode>
				<xsl:value-of select="DOCCODE"/>
			</catpi_ru:PresentedDocumentModeCode>
		</PresentedDocuments>
	</xsl:template>
	<xsl:variable name="Containers">
		<xsl:call-template name="split-string">
			<xsl:with-param name="delimited-string" select="/JTIR_XX/JTIR_XX_ITEM[1]/G3161"/>
			<xsl:with-param name="element-name" select="'catpi_ru:ContainerNumbers'"/>
			<xsl:with-param name="namespace-context" select="document('')"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:template name="cat_ru:RFOrganizationFeatures">
		<xsl:param name="OGRN"/>
		<xsl:param name="INN"/>
		<xsl:param name="KPP"/>
		<cat_ru:RFOrganizationFeatures>
			<cat_ru:OGRN>
				<xsl:value-of select="$OGRN"/>
			</cat_ru:OGRN>
			<cat_ru:INN>
				<xsl:value-of select="$INN"/>
			</cat_ru:INN>
			<cat_ru:KPP>
				<xsl:value-of select="$KPP"/>
			</cat_ru:KPP>
		</cat_ru:RFOrganizationFeatures>
	</xsl:template>
	<xsl:template name="Address">
		<xsl:param name="PostalCode"/>
		<xsl:param name="CountryCode"/>
		<xsl:param name="CountryName"/>
		<xsl:param name="Region"/>
		<xsl:param name="City"/>
		<xsl:param name="StreetHouse"/>
		<Address>
			<cat_ru:PostalCode>
				<xsl:value-of select="$PostalCode"/>
			</cat_ru:PostalCode>
			<cat_ru:CountryCode>
				<xsl:value-of select="$CountryCode"/>
			</cat_ru:CountryCode>
			<cat_ru:CounryName>
				<xsl:value-of select="$CountryName"/>
			</cat_ru:CounryName>
			<cat_ru:Region>
				<xsl:value-of select="$Region"/>
			</cat_ru:Region>
			<cat_ru:City>
				<xsl:value-of select="$City"/>
			</cat_ru:City>
			<cat_ru:StreetHouse>
				<xsl:value-of select="$StreetHouse"/>
			</cat_ru:StreetHouse>
		</Address>
	</xsl:template>
	<xsl:template name="catpi_ru:Address">
		<xsl:param name="PostalCode"/>
		<xsl:param name="CountryCode"/>
		<xsl:param name="CountryName"/>
		<xsl:param name="Region"/>
		<xsl:param name="City"/>
		<xsl:param name="StreetHouse"/>
		<Address>
			<catpi_ru:PostalCode>
				<xsl:value-of select="$PostalCode"/>
			</catpi_ru:PostalCode>
			<catpi_ru:CountryCode>
				<xsl:value-of select="$CountryCode"/>
			</catpi_ru:CountryCode>
			<catpi_ru:CounryName>
				<xsl:value-of select="$CountryName"/>
			</catpi_ru:CounryName>
			<catpi_ru:Region>
				<xsl:value-of select="$Region"/>
			</catpi_ru:Region>
			<catpi_ru:City>
				<xsl:value-of select="$City"/>
			</catpi_ru:City>
			<catpi_ru:StreetHouse>
				<xsl:value-of select="$StreetHouse"/>
			</catpi_ru:StreetHouse>
		</Address>
	</xsl:template>
	<xsl:template name="IdCardElements">
		<xsl:param name="Code"/>
		<xsl:param name="Name"/>
		<xsl:param name="Series"/>
		<xsl:param name="Number"/>
		<xsl:param name="Date"/>
		<xsl:param name="Organization"/>
		<cat_ru:IdentityCardCode>
			<xsl:value-of select="$Code"/>
		</cat_ru:IdentityCardCode>
		<cat_ru:IdentityCardName>
			<xsl:value-of select="$Name"/>
		</cat_ru:IdentityCardName>
		<cat_ru:IdentityCardSeries>
			<xsl:value-of select="$Series"/>
		</cat_ru:IdentityCardSeries>
		<cat_ru:IdentityCardNumber>
			<xsl:value-of select="$Number"/>
		</cat_ru:IdentityCardNumber>
		<cat_ru:IdentityCardDate>
			<xsl:call-template name="date-but-time">
				<xsl:with-param name="date-time" select="$Date"/>
			</xsl:call-template>
		</cat_ru:IdentityCardDate>
		<cat_ru:OrganizationName>
			<xsl:value-of select="$Organization"/>
		</cat_ru:OrganizationName>
	</xsl:template>
</xsl:stylesheet>
