<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns="urn:customs.ru:Information:TransportDocuments:Car:CUTIR_Carnet:5.6.0" xmlns:catTrans_cu="urn:customs.ru:Information:TransportDocuments:CUTransportCommonAgregateTypesCust:5.6.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.6.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="msxsl">
	<xsl:import href="template-customs.xsl"/>
	<xsl:import href="template-country.xsl"/>
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<xsl:apply-templates select="JTIR_XX/JTIR_XX_ITEM"/>
	</xsl:template>
	<xsl:template match="JTIR_XX/JTIR_XX_ITEM">
		<CUTIR_Carnet DocumentModeID="1003106E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
			<TransitDirectionCode>
				<xsl:choose>
					<xsl:when test="JOURNALTYPE=0">
						<xsl:value-of select="'ЭК'"/>
					</xsl:when>
					<xsl:when test="JOURNALTYPE=1">
						<xsl:value-of select="'ИМ'"/>
					</xsl:when>
					<xsl:when test="JOURNALTYPE=2">
						<xsl:value-of select="'ТР'"/>
					</xsl:when>
					<xsl:when test="JOURNALTYPE=3">
						<xsl:value-of select="'ВТ'"/>
					</xsl:when>
				</xsl:choose>
			</TransitDirectionCode>
			<CustomsProcedure>
				<xsl:value-of select="'МДП'"/>
			</CustomsProcedure>
			<GoodsQuantity>
				<xsl:value-of select="G05"/>
			</GoodsQuantity>
			<ShipSpecifGoodsQuantity>
				<xsl:value-of select="SPECIF_GDS"/>
			</ShipSpecifGoodsQuantity>
			<DispatchCountryCode>
				<xsl:value-of select="G15C_ABC2"/>
			</DispatchCountryCode>
			<DestinationCountryCode>
				<xsl:value-of select="G17C_ABC2"/>
			</DestinationCountryCode>
			<xsl:call-template name="ElementIfNumberFloat">
				<xsl:with-param name="ElementName" select="'TotalInvoicedCost'"/>
				<xsl:with-param name="Value" select="G222"/>
			</xsl:call-template>
			<InvoicedCostCurrencyCode>
				<xsl:value-of select="JGDS_XX/JGDS_XX_ITEM[1]/G221_BUK"/>
			</InvoicedCostCurrencyCode>
			<TotalPageQuantity>
				<xsl:value-of select="NLIST"/>
			</TotalPageQuantity>
			<DestinationCountryName>
				<xsl:call-template name="CountryName">
					<xsl:with-param name="CodeABC2" select="G17C_ABC2"/>
				</xsl:call-template>
			</DestinationCountryName>
			<DispatchCountryName>
				<xsl:call-template name="CountryName">
					<xsl:with-param name="CodeABC2" select="G15C_ABC2"/>
				</xsl:call-template>
			</DispatchCountryName>
			<DateExpectedArrival>
				<xsl:call-template name="date-but-time">
					<xsl:with-param name="date-time" select="PIARRIVALDATE"/>
				</xsl:call-template>
			</DateExpectedArrival>
			<TimeExpectedArrival>
				<xsl:call-template name="time-from-string">
					<xsl:with-param name="time-as-string" select="PIARRIVALTIME"/>
				</xsl:call-template>
			</TimeExpectedArrival>
			<TIRIdentifier>
				<catTrans_cu:TIRID>
					<xsl:value-of select="N_MDP"/>
				</catTrans_cu:TIRID>
				<catTrans_cu:TIRSeries>
					<xsl:value-of select="MDPLETTERS"/>
				</catTrans_cu:TIRSeries>
				<catTrans_cu:TIRWhitePageNumber>
					<xsl:value-of select="W_LIST_NO"/>
				</catTrans_cu:TIRWhitePageNumber>
			</TIRIdentifier>
			<Carrier>
				<cat_ru:OrganizationName>
					<xsl:value-of select="G501"/>
				</cat_ru:OrganizationName>
				<cat_ru:RFOrganizationFeatures>
					<cat_ru:OGRN>
						<xsl:value-of select="DRIVEROGRN"/>
					</cat_ru:OGRN>
					<cat_ru:INN>
						<xsl:value-of select="INN_DRIVER"/>
					</cat_ru:INN>
					<cat_ru:KPP>
						<xsl:value-of select="KPP_DRIVER"/>
					</cat_ru:KPP>
				</cat_ru:RFOrganizationFeatures>
				<cat_ru:Address>
					<cat_ru:PostalCode>
						<xsl:value-of select="CARRIER_POSTALCODE"/>
					</cat_ru:PostalCode>
					<cat_ru:CountryCode>
						<xsl:value-of select="DRIVE_ABC2"/>
					</cat_ru:CountryCode>
					<cat_ru:Region>
						<xsl:value-of select="CARRIER_REGION"/>
					</cat_ru:Region>
					<cat_ru:City>
						<xsl:value-of select="CARRIER_CITY"/>
					</cat_ru:City>
					<cat_ru:StreetHouse>
						<xsl:value-of select="CARRIER_STREETHOUSE"/>
					</cat_ru:StreetHouse>
				</cat_ru:Address>
				<TIRHolderID>
					<xsl:value-of select="HOLDERIDN"/>
				</TIRHolderID>
				<CUDriverInformation>
					<cat_ru:PersonSurname>
						<xsl:value-of select="DRIVERSURNAME"/>
					</cat_ru:PersonSurname>
					<cat_ru:PersonName>
						<xsl:value-of select="DRIVERNAME"/>
					</cat_ru:PersonName>
					<cat_ru:PersonMiddleName>
						<xsl:value-of select="DRIVERMIDNAME"/>
					</cat_ru:PersonMiddleName>
					<cat_ru:RegCountryCode>
						<xsl:value-of select="DRIVERPERSCOUNTRY"/>
					</cat_ru:RegCountryCode>
					<xsl:call-template name="IdCardElements">
						<xsl:with-param name="Code" select="CARRIERPERSCARDCODE"/>
						<xsl:with-param name="Name" select="CARRIERPERSCARDNAME"/>
						<xsl:with-param name="Series" select="CARRIERPERSCARDSERIES"/>
						<xsl:with-param name="Number" select="CARRIERPERSCARDNUM"/>
						<xsl:with-param name="Date" select="CARRIERPERSCARDDATE"/>
						<xsl:with-param name="Organization" select="CARRIERPERSCARDORG"/>
					</xsl:call-template>
				</CUDriverInformation>
			</Carrier>
			<xsl:if test="FAGENTNAME!=''">
				<Forwarder>
					<catTrans_cu:Name>
						<xsl:value-of select="FAGENTNAME"/>
					</catTrans_cu:Name>
					<catTrans_cu:Address>
						<cat_ru:PostalCode>
							<xsl:value-of select="PRINC_POSTALCODE"/>
						</cat_ru:PostalCode>
						<cat_ru:CountryCode>
							<xsl:value-of select="PRINC_COUNTRYCODE"/>
						</cat_ru:CountryCode>
						<cat_ru:Region>
							<xsl:value-of select="PRINC_REGION"/>
						</cat_ru:Region>
						<cat_ru:City>
							<xsl:value-of select="PRINC_CITY"/>
						</cat_ru:City>
						<cat_ru:StreetHouse>
							<xsl:value-of select="PRINC_STREETHOUSE"/>
						</cat_ru:StreetHouse>
					</catTrans_cu:Address>
				</Forwarder>
			</xsl:if>
			<CUTransport>
				<xsl:variable name="TransportMeans">
					<xsl:if test="(VIN!='') or (N_TR!='')">
						<TransportMeans>
							<cat_ru:VIN>
								<xsl:value-of select="VIN"/>
							</cat_ru:VIN>
							<cat_ru:TransportKindCode>
								<xsl:value-of select="TRANSPORTKINDCODE"/>
							</cat_ru:TransportKindCode>
							<cat_ru:TransportMarkCode>
								<xsl:value-of select="TRANSPORTMARKCODE"/>
							</cat_ru:TransportMarkCode>
							<cat_ru:TransportIdentifier>
								<xsl:value-of select="N_TR"/>
							</cat_ru:TransportIdentifier>
							<cat_ru:TransportMeansNationalityCode>
								<xsl:value-of select="TC_ABC2"/>
							</cat_ru:TransportMeansNationalityCode>
						</TransportMeans>
					</xsl:if>
					<xsl:if test="(VIN1!='') or (N_TRAILER!='')">
						<TransportMeans>
							<cat_ru:VIN>
								<xsl:value-of select="VIN1"/>
							</cat_ru:VIN>
							<cat_ru:TransportKindCode>
								<xsl:value-of select="TRANSPORTKINDCODE1"/>
							</cat_ru:TransportKindCode>
							<cat_ru:TransportMarkCode>
								<xsl:value-of select="TRANSPORTMARKCODE1"/>
							</cat_ru:TransportMarkCode>
							<cat_ru:TransportIdentifier>
								<xsl:value-of select="N_TRAILER"/>
							</cat_ru:TransportIdentifier>
							<cat_ru:TransportMeansNationalityCode>
								<xsl:value-of select="TC_ABC2"/>
							</cat_ru:TransportMeansNationalityCode>
							<cat_ru:ActiveTransportIdentifier>
								<xsl:value-of select="N_TR"/>
							</cat_ru:ActiveTransportIdentifier>
						</TransportMeans>
					</xsl:if>
					<xsl:if test="(VIN2!='') or (N_TRAILER2!='')">
						<TransportMeans>
							<cat_ru:VIN>
								<xsl:value-of select="VIN2"/>
							</cat_ru:VIN>
							<cat_ru:TransportKindCode>
								<xsl:value-of select="TRANSPORTKINDCODE2"/>
							</cat_ru:TransportKindCode>
							<cat_ru:TransportMarkCode>
								<xsl:value-of select="TRANSPORTMARKCODE2"/>
							</cat_ru:TransportMarkCode>
							<cat_ru:TransportIdentifier>
								<xsl:value-of select="N_TRAILER2"/>
							</cat_ru:TransportIdentifier>
							<cat_ru:TransportMeansNationalityCode>
								<xsl:value-of select="TC_ABC2"/>
							</cat_ru:TransportMeansNationalityCode>
							<cat_ru:ActiveTransportIdentifier>
								<xsl:value-of select="N_TR"/>
							</cat_ru:ActiveTransportIdentifier>
						</TransportMeans>
					</xsl:if>
				</xsl:variable>
				<cat_ru:TransportModeCode>
					<xsl:value-of select="G26"/>
				</cat_ru:TransportModeCode>
				<cat_ru:TransportNationalityCode>
					<xsl:value-of select="TC_ABC2"/>
				</cat_ru:TransportNationalityCode>
				<xsl:copy-of select="$TransportMeans"/>
			</CUTransport>
			<xsl:for-each select="JGDS_XX/JGDS_XX_ITEM">
				<xsl:if test="(G40 != '') and not(preceding-sibling::*[ G40 = current()/G40 ])">
					<PrecedingDocument>
						<xsl:call-template name="customs-number-elements">
							<xsl:with-param name="whole-number" select="G40"/>
							<xsl:with-param name="element1-name" select="'PrecedingDocumentCustomsCode'"/>
							<xsl:with-param name="element2-name" select="'PrecedingDocumentDate'"/>
							<xsl:with-param name="element3-name" select="'PrecedingDocumentNumber'"/>
							<xsl:with-param name="namespace-context" select="document('')"/>
						</xsl:call-template>
						<PrecedingDocumentModeCode>
							<xsl:value-of select="PRECEDDOCCODE"/>
						</PrecedingDocumentModeCode>
					</PrecedingDocument>
				</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="JGDS_XX/JGDS_XX_ITEM">
				<xsl:if test="(N_TTH != '') and not(preceding-sibling::*[ N_TTH = current()/N_TTH ])">
					<CUPresentedDocuments>
						<cat_ru:PrDocumentNumber>
							<xsl:value-of select="N_TTH"/>
						</cat_ru:PrDocumentNumber>
						<PresentedDocumentModeCode>
							<xsl:value-of select="'02015'"/>
						</PresentedDocumentModeCode>
					</CUPresentedDocuments>
				</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="JGDS_XX/JGDS_XX_ITEM">
				<xsl:if test="(INVOICENUM != '') and not(preceding-sibling::*[ INVOICENUM = current()/INVOICENUM and INVOICEDATE = current()/INVOICEDATE])">
					<CUPresentedDocuments>
						<cat_ru:PrDocumentNumber>
							<xsl:value-of select="INVOICENUM"/>
						</cat_ru:PrDocumentNumber>
						<cat_ru:PrDocumentDate>
							<xsl:call-template name="date-but-time">
								<xsl:with-param name="date-time" select="INVOICEDATE"/>
							</xsl:call-template>
						</cat_ru:PrDocumentDate>
						<PresentedDocumentModeCode>
							<xsl:value-of select="'04021'"/>
						</PresentedDocumentModeCode>
					</CUPresentedDocuments>
				</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="JTIR_XX_DOCS/JTIR_XX_DOCS_ITEM">
				<xsl:sort data-type="number" select="NPP"/>
				<xsl:sort data-type="number" select="COUNTER"/>
				<CUPresentedDocuments>
					<cat_ru:PrDocumentNumber>
						<xsl:value-of select="DOCNUM"/>
					</cat_ru:PrDocumentNumber>
					<cat_ru:PrDocumentDate>
						<xsl:call-template name="date-but-time">
							<xsl:with-param name="date-time" select="DOCDATE"/>
						</xsl:call-template>
					</cat_ru:PrDocumentDate>
					<PresentedDocumentModeCode>
						<xsl:value-of select="DOCCODE"/>
					</PresentedDocumentModeCode>
				</CUPresentedDocuments>
			</xsl:for-each>
			<xsl:if test="FAGENTNAME!=''">
				<TIRDeclarant>
					<cat_ru:OrganizationName>
						<xsl:value-of select="FAGENTNAME"/>
					</cat_ru:OrganizationName>
					<cat_ru:Address>
						<cat_ru:PostalCode>
							<xsl:value-of select="PRINC_POSTALCODE"/>
						</cat_ru:PostalCode>
						<cat_ru:CountryCode>
							<xsl:value-of select="PRINC_COUNTRYCODE"/>
						</cat_ru:CountryCode>
						<cat_ru:Region>
							<xsl:value-of select="PRINC_REGION"/>
						</cat_ru:Region>
						<cat_ru:City>
							<xsl:value-of select="PRINC_CITY"/>
						</cat_ru:City>
						<cat_ru:StreetHouse>
							<xsl:value-of select="PRINC_STREETHOUSE"/>
						</cat_ru:StreetHouse>
					</cat_ru:Address>
				</TIRDeclarant>
			</xsl:if>
			<xsl:variable name="Containers">
				<ContainerIndicator>
					<xsl:choose>
						<xsl:when test="G3161 and string-length(G3161)&gt;0">
							<xsl:value-of select="'1'"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'0'"/>
						</xsl:otherwise>
					</xsl:choose>
				</ContainerIndicator>
				<xsl:call-template name="SplitDelimitedString">
					<xsl:with-param name="ElementName" select="'ContainerID'"/>
					<xsl:with-param name="DelimitedString" select="G3161"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="JTIR_XX_CSGNT/JTIR_XX_CSGNT_ITEM">
					<xsl:variable name="Destination1">
						<xsl:element name="Destination">
							<catTrans_cu:DestinationCustomsCode>
								<xsl:value-of select="G531"/>
							</catTrans_cu:DestinationCustomsCode>
							<catTrans_cu:DeliveryCustomsPostCode>
								<xsl:value-of select="GA3"/>
							</catTrans_cu:DeliveryCustomsPostCode>
							<xsl:element name="catTrans_cu:Address">
								<xsl:call-template name="elements-of-address">
									<xsl:with-param name="PostalCode" select="DEST_POSTALCODE"/>
									<xsl:with-param name="CountryCode" select="DEST_COUNTRYCODE"/>
									<xsl:with-param name="Region" select="DEST_REGION"/>
									<xsl:with-param name="City" select="DEST_CITY"/>
									<xsl:with-param name="StreetHouse" select="DEST_STREETHOUSE"/>
								</xsl:call-template>
							</xsl:element>
						</xsl:element>
					</xsl:variable>
					<xsl:for-each select="JTIR_XX_CSGNT/JTIR_XX_CSGNT_ITEM">
						<xsl:sort data-type="number" select="COUNTER"/>
						<TIRShipment>
							<xsl:copy-of select="$Containers"/>
							<TIRConsignor>
								<cat_ru:OrganizationName>
									<xsl:value-of select="G022"/>
								</cat_ru:OrganizationName>
								<xsl:call-template name="RFOrganizationFeatures">
									<xsl:with-param name="OGRN" select="OGRN"/>
									<xsl:with-param name="INN" select="INN"/>
									<xsl:with-param name="KPP" select="KPP"/>
								</xsl:call-template>
								<cat_ru:Address>
									<xsl:call-template name="elements-of-address">
										<xsl:with-param name="PostalCode" select="CSGNOR_POSTALCODE"/>
										<xsl:with-param name="CountryCode" select="CSGNOR_COUNTRYCODE"/>
										<xsl:with-param name="Region" select="CSGNOR_REGION"/>
										<xsl:with-param name="City" select="CSGNOR_CITY"/>
										<xsl:with-param name="StreetHouse" select="CSGNOR_STREETHOUSE"/>
									</xsl:call-template>
								</cat_ru:Address>
							</TIRConsignor>
							<TIRConsignee>
								<cat_ru:OrganizationName>
									<xsl:value-of select="G082"/>
								</cat_ru:OrganizationName>
								<xsl:call-template name="RFOrganizationFeatures">
									<xsl:with-param name="OGRN" select="OGRNR"/>
									<xsl:with-param name="INN" select="INNR"/>
									<xsl:with-param name="KPP" select="KPP_RECEIV"/>
								</xsl:call-template>
								<cat_ru:Address>
									<xsl:call-template name="elements-of-address">
										<xsl:with-param name="PostalCode" select="CSGNEE_POSTALCODE"/>
										<xsl:with-param name="CountryCode" select="CSGNEE_COUNTRYCODE"/>
										<xsl:with-param name="Region" select="CSGNEE_REGION"/>
										<xsl:with-param name="City" select="CSGNEE_CITY"/>
										<xsl:with-param name="StreetHouse" select="CSGNEE_STREETHOUSE"/>
									</xsl:call-template>
								</cat_ru:Address>
							</TIRConsignee>
							<xsl:copy-of select="$Destination1"/>
							<xsl:call-template name="TIRGoods-for-consignment">
								<xsl:with-param name="consignmentId" select="N_TD"/>
							</xsl:call-template>
						</TIRShipment>
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="Consignor">
						<xsl:for-each select="G022[1]">
							<TIRConsignor>
								<cat_ru:OrganizationName>
									<xsl:value-of select="."/>
								</cat_ru:OrganizationName>
								<xsl:call-template name="RFOrganizationFeatures">
									<xsl:with-param name="OGRN" select="../OGRN"/>
									<xsl:with-param name="INN" select="../INN"/>
								</xsl:call-template>
								<cat_ru:Address>
									<xsl:call-template name="elements-of-address">
										<xsl:with-param name="PostalCode" select="../CSGNOR_POSTALCODE"/>
										<xsl:with-param name="CountryCode" select="../CSGNOR_COUNTRYCODE"/>
										<xsl:with-param name="Region" select="../CSGNOR_REGION"/>
										<xsl:with-param name="City" select="../CSGNOR_CITY"/>
										<xsl:with-param name="StreetHouse" select="../CSGNOR_STREETHOUSE"/>
									</xsl:call-template>
								</cat_ru:Address>
							</TIRConsignor>
						</xsl:for-each>
					</xsl:variable>
					<xsl:variable name="Goods2" select="JGDS_XX/JGDS_XX_ITEM[N_RECEIVER=2]"/>
					<xsl:if test="G082S!='' or count($Goods2)!=0">
						<TIRShipment>
							<xsl:copy-of select="$Containers"/>
							<xsl:copy-of select="$Consignor"/>
							<xsl:if test="G082!=''">
								<TIRConsignee>
									<cat_ru:OrganizationName>
										<xsl:value-of select="G082S"/>
									</cat_ru:OrganizationName>
									<xsl:call-template name="RFOrganizationFeatures">
										<xsl:with-param name="INN" select="GINNS"/>
										<xsl:with-param name="KPP" select="GKPPS"/>
									</xsl:call-template>
									<cat_ru:Address>
										<xsl:call-template name="elements-of-address">
											<xsl:with-param name="PostalCode" select="CSGNEE2_POSTALCODE"/>
											<xsl:with-param name="CountryCode" select="CSGNEE2_COUNTRYCODE"/>
											<xsl:with-param name="Region" select="CSGNEE2_REGION"/>
											<xsl:with-param name="City" select="CSGNEE2_CITY"/>
											<xsl:with-param name="StreetHouse" select="CSGNEE2_STREETHOUSE"/>
										</xsl:call-template>
									</cat_ru:Address>
								</TIRConsignee>
							</xsl:if>
							<xsl:if test="G531!=''">
								<Destination>
									<catTrans_cu:DestinationCustomsCode>
										<xsl:value-of select="G531"/>
									</catTrans_cu:DestinationCustomsCode>
									<catTrans_cu:DeliveryCustomsPostCode>
										<xsl:value-of select="GA3"/>
									</catTrans_cu:DeliveryCustomsPostCode>
									<catTrans_cu:Address>
										<cat_ru:PostalCode>
											<xsl:value-of select="DEST_POSTALCODE"/>
										</cat_ru:PostalCode>
										<cat_ru:CountryCode>
											<xsl:value-of select="DEST_COUNTRYCODE"/>
										</cat_ru:CountryCode>
										<cat_ru:Region>
											<xsl:value-of select="DEST_REGION"/>
										</cat_ru:Region>
										<cat_ru:City>
											<xsl:value-of select="DEST_CITY"/>
										</cat_ru:City>
										<cat_ru:StreetHouse>
											<xsl:value-of select="DEST_STREETHOUSE"/>
										</cat_ru:StreetHouse>
									</catTrans_cu:Address>
								</Destination>
							</xsl:if>
							<xsl:for-each select="$Goods2">
								<xsl:apply-templates select="."/>
							</xsl:for-each>
						</TIRShipment>
					</xsl:if>
					<xsl:variable name="Goods3" select="JGDS_XX/JGDS_XX_ITEM[N_RECEIVER=3]"/>
					<xsl:if test="G082T!='' or count($Goods3)!=0">
						<TIRShipment>
							<xsl:copy-of select="$Containers"/>
							<xsl:copy-of select="$Consignor"/>
							<xsl:if test="G082!=''">
								<TIRConsignee>
									<cat_ru:OrganizationName>
										<xsl:value-of select="G082T"/>
									</cat_ru:OrganizationName>
									<xsl:call-template name="RFOrganizationFeatures">
										<xsl:with-param name="INN" select="GINNT"/>
										<xsl:with-param name="KPP" select="GKPPT"/>
									</xsl:call-template>
									<cat_ru:Address>
										<xsl:call-template name="elements-of-address">
											<xsl:with-param name="PostalCode" select="CSGNEE3_POSTALCODE"/>
											<xsl:with-param name="CountryCode" select="CSGNEE3_COUNTRYCODE"/>
											<xsl:with-param name="Region" select="CSGNEE3_REGION"/>
											<xsl:with-param name="City" select="CSGNEE3_CITY"/>
											<xsl:with-param name="StreetHouse" select="CSGNEE3_STREETHOUSE"/>
										</xsl:call-template>
									</cat_ru:Address>
								</TIRConsignee>
							</xsl:if>
							<xsl:if test="G531!=''">
								<Destination>
									<catTrans_cu:DestinationCustomsCode>
										<xsl:value-of select="G531"/>
									</catTrans_cu:DestinationCustomsCode>
									<catTrans_cu:DeliveryCustomsPostCode>
										<xsl:value-of select="GA3"/>
									</catTrans_cu:DeliveryCustomsPostCode>
									<catTrans_cu:Address>
										<cat_ru:PostalCode>
											<xsl:value-of select="DEST_POSTALCODE"/>
										</cat_ru:PostalCode>
										<cat_ru:CountryCode>
											<xsl:value-of select="DEST_COUNTRYCODE"/>
										</cat_ru:CountryCode>
										<cat_ru:Region>
											<xsl:value-of select="DEST_REGION"/>
										</cat_ru:Region>
										<cat_ru:City>
											<xsl:value-of select="DEST_CITY"/>
										</cat_ru:City>
										<cat_ru:StreetHouse>
											<xsl:value-of select="DEST_STREETHOUSE"/>
										</cat_ru:StreetHouse>
									</catTrans_cu:Address>
								</Destination>
							</xsl:if>
							<xsl:for-each select="$Goods3">
								<xsl:apply-templates select="."/>
							</xsl:for-each>
						</TIRShipment>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
			<BorderCustoms>
				<cat_ru:Code>
					<xsl:value-of select="PIARRIVALPLACECODE"/>
				</cat_ru:Code>
				<cat_ru:CustomsCountryCode>
					<xsl:call-template name="CountryCode">
						<xsl:with-param name="CodeABC2" select="PIARRIVALCOUNTRYCODE"/>
					</xsl:call-template>
				</cat_ru:CustomsCountryCode>
			</BorderCustoms>
		</CUTIR_Carnet>
	</xsl:template>
	<xsl:template match="JGDS_XX/JGDS_XX_ITEM">
		<TIRGoods>
			<GoodsNumeric>
				<xsl:value-of select="G32"/>
			</GoodsNumeric>
			<xsl:call-template name="customs-text250">
				<xsl:with-param name="text" select="G312"/>
				<xsl:with-param name="element-name" select="'GoodsDescription'"/>
				<xsl:with-param name="namespace-context" select="document('')"/>
			</xsl:call-template>
			<GoodsTNVEDCode>
				<xsl:value-of select="G33"/>
			</GoodsTNVEDCode>
			<xsl:call-template name="ElementIfNumberFloat">
				<xsl:with-param name="ElementName" select="'GrossWeightQuantity'"/>
				<xsl:with-param name="Value" select="G35"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfNumberFloat">
				<xsl:with-param name="ElementName" select="'SupplementaryGoodsQuantity'"/>
				<xsl:with-param name="Value" select="G315"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfNumberFloat">
				<xsl:with-param name="ElementName" select="'NetWeightQuantity'"/>
				<xsl:with-param name="Value" select="NETWEIGHT"/>
			</xsl:call-template>
			<SupplementaryMeasureUnitCode>
				<xsl:value-of select="G317C"/>
			</SupplementaryMeasureUnitCode>
			<xsl:call-template name="ElementIfNumberFloat">
				<xsl:with-param name="ElementName" select="'InvoicedCost'"/>
				<xsl:with-param name="Value" select="G42"/>
			</xsl:call-template>
			<InvoicedCostCurrencyCode>
				<xsl:value-of select="G221_BUK"/>
			</InvoicedCostCurrencyCode>
			<DocumentKind>
				<xsl:value-of select="G40T"/>
			</DocumentKind>
			<PrecedingDocumentNumber>
				<xsl:value-of select="G40"/>
			</PrecedingDocumentNumber>
			<TTNNumber>
				<xsl:value-of select="N_TTH"/>
			</TTNNumber>
			<PlacesInfo>
				<catTrans_cu:PackingCode>
					<xsl:value-of select="substring(normalize-space(G318), 1, 2)"/>
				</catTrans_cu:PackingCode>
				<catTrans_cu:PakingQuantity>
					<xsl:value-of select="G311"/>
				</catTrans_cu:PakingQuantity>
			</PlacesInfo>
			<PackingInfo>
				<catTrans_cu:PackingCode>
					<xsl:value-of select="substring(normalize-space(G318), 1, 2)"/>
				</catTrans_cu:PackingCode>
				<catTrans_cu:PakingQuantity>
					<xsl:value-of select="G311"/>
				</catTrans_cu:PakingQuantity>
			</PackingInfo>
		</TIRGoods>
	</xsl:template>
	<xsl:template name="TIRGoods-for-consignment">
		<xsl:param name="consignmentId"/>
		<xsl:for-each select="/JTIR_XX/JTIR_XX_ITEM/JGDS_XX/JGDS_XX_ITEM">
			<xsl:if test="N_TTH=$consignmentId">
				<xsl:apply-templates select="."/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="ElementIfNumberFloat">
		<xsl:param name="ElementName"/>
		<xsl:param name="Value"/>
		<xsl:param name="RoundFactor" select="1000000"/>
		<xsl:if test="string($Value)!=''">
			<xsl:variable name="RoundedFloat" select="round(number($Value) * $RoundFactor) div $RoundFactor"/>
			<xsl:element name="{$ElementName}">
				<xsl:value-of select="$RoundedFloat"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<xsl:template name="ElementCountryABC2">
		<xsl:param name="ElementName"/>
		<xsl:param name="CodeABC2"/>
		<xsl:element name="{$ElementName}">
			<xsl:value-of select="$CodeABC2"/>
		</xsl:element>
	</xsl:template>
	<xsl:template name="CountryName">
		<xsl:param name="CodeABC2"/>
		<xsl:choose>
			<xsl:when test="string-length($CodeABC2)=0">
				<xsl:value-of select="'РОССИЯ'"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="document('TranspNSIXml.xml')//Country_ITEM[ABC2=$CodeABC2]/Name"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="Customs_ITEM">
		<xsl:param name="CodT"/>
		<xsl:value-of select="document('TranspNSIXml.xml')//Customs_ITEM[Code=$CodT]/Name"/>
	</xsl:template>
	<xsl:template name="SplitDelimitedString">
		<xsl:param name="ElementName"/>
		<xsl:param name="DelimitedString"/>
		<xsl:param name="delimeter" select="','"/>
		<xsl:choose>
			<xsl:when test="contains($DelimitedString, $delimeter)">
				<xsl:element name="{$ElementName}">
					<xsl:value-of select="substring-before($DelimitedString, $delimeter)"/>
				</xsl:element>
				<xsl:call-template name="SplitDelimitedString">
					<xsl:with-param name="ElementName" select="$ElementName"/>
					<xsl:with-param name="DelimitedString" select="substring-after($DelimitedString, $delimeter)"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:element name="{$ElementName}">
					<xsl:value-of select="$DelimitedString"/>
				</xsl:element>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="RFOrganizationFeatures">
		<xsl:param name="OGRN"/>
		<xsl:param name="INN"/>
		<xsl:param name="KPP"/>
		<xsl:variable name="Elements">
			<cat_ru:OGRN>
				<xsl:value-of select="$OGRN"/>
			</cat_ru:OGRN>
			<cat_ru:INN>
				<xsl:value-of select="$INN"/>
			</cat_ru:INN>
			<cat_ru:KPP>
				<xsl:value-of select="$KPP"/>
			</cat_ru:KPP>
		</xsl:variable>
		<xsl:if test="$Elements!=''">
			<cat_ru:RFOrganizationFeatures>
				<xsl:copy-of select="$Elements"/>
			</cat_ru:RFOrganizationFeatures>
		</xsl:if>
	</xsl:template>
	<xsl:template name="elements-of-address">
		<xsl:param name="PostalCode"/>
		<xsl:param name="CountryCode"/>
		<xsl:param name="CountryName"/>
		<xsl:param name="Region"/>
		<xsl:param name="City"/>
		<xsl:param name="StreetHouse"/>
		<cat_ru:PostalCode>
			<xsl:value-of select="$PostalCode"/>
		</cat_ru:PostalCode>
		<cat_ru:CountryCode>
			<xsl:value-of select="$CountryCode"/>
		</cat_ru:CountryCode>
		<cat_ru:CounryName>
			<xsl:value-of select="$CountryName"/>
		</cat_ru:CounryName>
		<cat_ru:Region>
			<xsl:value-of select="$Region"/>
		</cat_ru:Region>
		<cat_ru:City>
			<xsl:value-of select="$City"/>
		</cat_ru:City>
		<cat_ru:StreetHouse>
			<xsl:value-of select="$StreetHouse"/>
		</cat_ru:StreetHouse>
	</xsl:template>
	<xsl:template name="IdCardElements">
		<xsl:param name="Code"/>
		<xsl:param name="Name"/>
		<xsl:param name="Series"/>
		<xsl:param name="Number"/>
		<xsl:param name="Date"/>
		<xsl:param name="Organization"/>
		<xsl:if test="string-length($Number)!=0">
			<cat_ru:IdentityCard>
				<cat_ru:IdentityCardCode>
					<xsl:value-of select="$Code"/>
				</cat_ru:IdentityCardCode>
				<cat_ru:IdentityCardName>
					<xsl:value-of select="$Name"/>
				</cat_ru:IdentityCardName>
				<cat_ru:IdentityCardSeries>
					<xsl:value-of select="$Series"/>
				</cat_ru:IdentityCardSeries>
				<cat_ru:IdentityCardNumber>
					<xsl:value-of select="$Number"/>
				</cat_ru:IdentityCardNumber>
				<cat_ru:IdentityCardDate>
					<xsl:call-template name="date-but-time">
						<xsl:with-param name="date-time" select="$Date"/>
					</xsl:call-template>
				</cat_ru:IdentityCardDate>
				<cat_ru:OrganizationName>
					<xsl:value-of select="$Organization"/>
				</cat_ru:OrganizationName>
			</cat_ru:IdentityCard>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
