<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns="urn:customs.ru:Information:TransportDocuments:Car:TIR_Carnet:4.7.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:4.7.0" xmlns:cltTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonLeafTypesCust:4.2.0" xmlns:catTrans_ru="urn:customs.ru:Information:TransportDocuments:TransportCommonAgregateTypesCust:4.7.0">
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<xsl:apply-templates select="JTIR_XX/JTIR_XX_ITEM"/>
	</xsl:template>
	<xsl:template match="JTIR_XX/JTIR_XX_ITEM">
		<TIR_Carnet DocumentModeID="1003104E">
			<cat_ru:DocumentID>00000000-0000-0000-0000-00000000000</cat_ru:DocumentID>
			<xsl:call-template name="ElementIfValue">
				<xsl:with-param name="ElementName" select="'TIRHolderID'"/>
				<xsl:with-param name="Value" select="HOLDERIDN"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfValue">
				<xsl:with-param name="ElementName" select="'GoodsQuantity'"/>
				<xsl:with-param name="Value" select="G05"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfValue">
				<xsl:with-param name="ElementName" select="'ShipSpecifGoodsQuantity'"/>
				<xsl:with-param name="Value" select="SPECIF_GDS"/>
			</xsl:call-template>
			<xsl:call-template name="ElementCountryABC2">
				<xsl:with-param name="ElementName" select="'DispatchCountryCode'"/>
				<xsl:with-param name="CodeABC2" select="G15C_ABC2"/>
			</xsl:call-template>
			<xsl:call-template name="ElementCountryABC2">
				<xsl:with-param name="ElementName" select="'DestinationCountryCode'"/>
				<xsl:with-param name="CodeABC2" select="G17C_ABC2"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfNumberFloat">
				<xsl:with-param name="ElementName" select="'TotalInvoicedCost'"/>
				<xsl:with-param name="Value" select="G222"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfValue">
				<xsl:with-param name="ElementName" select="'TotalPageQuantity'"/>
				<xsl:with-param name="Value" select="NLIST"/>
			</xsl:call-template>
			<DestinationCountryName>
				<xsl:call-template name="CountryName">
					<xsl:with-param name="CodeABC2" select="G17C_ABC2"/>
				</xsl:call-template>
			</DestinationCountryName>
			<DispatchCountryName>
				<xsl:call-template name="CountryName">
					<xsl:with-param name="CodeABC2" select="G15C_ABC2"/>
				</xsl:call-template>
			</DispatchCountryName>
			<TIRIdentifier>
				<TIRID>
					<xsl:value-of select="N_MDP"/>
				</TIRID>
				<TIRSeries>
					<xsl:value-of select="MDPLETTERS"/>
				</TIRSeries>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'TIRWhitePageNumber'"/>
					<xsl:with-param name="Value" select="W_LIST_NO"/>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'TIRGreenPageNumber'"/>
					<xsl:with-param name="Value" select="JGDS_XX/JGDS_XX_ITEM[1]/G405"/>
				</xsl:call-template>
			</TIRIdentifier>
			<Carrier>
				<cat_ru:OrganizationName>
					<xsl:value-of select="G501"/>
				</cat_ru:OrganizationName>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'cat_ru:OGRN'"/>
					<xsl:with-param name="Value" select="DRIVEROGRN"/>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'cat_ru:INN'"/>
					<xsl:with-param name="Value" select="INN_DRIVER"/>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'ITN'"/>
					<xsl:with-param name="Value" select="DRIVERITN"/>
				</xsl:call-template>
				<Address>
					<xsl:call-template name="AddressElements">
						<xsl:with-param name="PostalCode" select="CARRIER_POSTALCODE"/>
						<xsl:with-param name="CountryCode" select="CARRIER_COUNTRYCODE"/>
						<xsl:with-param name="Region" select="CARRIER_REGION"/>
						<xsl:with-param name="City" select="CARRIER_CITY"/>
						<xsl:with-param name="StreetHouse" select="CARRIER_STREETHOUSE"/>
					</xsl:call-template>
				</Address>
				<xsl:call-template name="IdCardElements">
					<xsl:with-param name="Code" select="CARRIERPERSCARDCODE"/>
					<xsl:with-param name="Name" select="CARRIERPERSCARDNAME"/>
					<xsl:with-param name="Series" select="CARRIERPERSCARDSERIES"/>
					<xsl:with-param name="Number" select="CARRIERPERSCARDNUM"/>
					<xsl:with-param name="Date" select="CARRIERPERSCARDDATE"/>
					<xsl:with-param name="Organization" select="CARRIERPERSCARDORG"/>
				</xsl:call-template>
				<xsl:if test="DRIVER_FIO!=''">
					<TIRSignature>
						<SignPlace>
							<xsl:value-of select="'Водитель'"/>
						</SignPlace>
						<!--скорее всего это неправильно, но нет места для ФИО водителя-->
						<SignPerson>
							<cat_ru:PersonName>
								<xsl:value-of select="DRIVER_FIO"/>
							</cat_ru:PersonName>
						</SignPerson>
					</TIRSignature>
				</xsl:if>
			</Carrier>
			<xsl:if test="FAGENTNAME!=''">
				<Forwarder>
					<Name>
						<xsl:value-of select="FAGENTNAME"/>
					</Name>
					<Address>
						<xsl:call-template name="AddressElements">
							<xsl:with-param name="PostalCode" select="PRINC_POSTALCODE"/>
							<xsl:with-param name="CountryCode" select="PRINC_COUNTRYCODE"/>
							<xsl:with-param name="Region" select="PRINC_REGION"/>
							<xsl:with-param name="City" select="PRINC_CITY"/>
							<xsl:with-param name="StreetHouse" select="PRINC_STREETHOUSE"/>
						</xsl:call-template>
					</Address>
				</Forwarder>
			</xsl:if>
			<xsl:if test="G52CODE!=''">
				<Guarantee>
					<catTrans_ru:MeasureCode>
						<xsl:value-of select="G52CODE"/>
					</catTrans_ru:MeasureCode>
					<xsl:call-template name="ElementIfValue">
						<xsl:with-param name="ElementName" select="'catTrans_ru:DocumentNumber'"/>
						<xsl:with-param name="Value" select="G447C"/>
					</xsl:call-template>
					<xsl:call-template name="ElementIfValue">
						<xsl:with-param name="ElementName" select="'catTrans_ru:IssueDate'"/>
						<xsl:with-param name="Value">
							<xsl:call-template name="Date-from-DateTime">
								<xsl:with-param name="DateTime" select="G52DATE"/>
							</xsl:call-template>
						</xsl:with-param>
					</xsl:call-template>
				</Guarantee>
			</xsl:if>
			<TransportMeans>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'catTrans_ru:TMNumber'"/>
					<xsl:with-param name="Value" select="N_TR"/>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'catTrans_ru:VINID'"/>
					<xsl:with-param name="Value" select="VIN"/>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'catTrans_ru:ModeCode'"/>
					<xsl:with-param name="Value" select="G26"/>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'catTrans_ru:NationalityCode'"/>
					<xsl:with-param name="Value" select="TC_COUNTRY"/>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'TrailerNumber'"/>
					<xsl:with-param name="Value" select="N_TRAILER"/>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'TrailerNumber2'"/>
					<xsl:with-param name="Value" select="N_TRAILER2"/>
				</xsl:call-template>
			</TransportMeans>
			<xsl:if test="JGDS_XX/JGDS_XX_ITEM[1]/G40!=''">
				<PrecedingDocument>
					<xsl:call-template name="ElementIfValue">
						<xsl:with-param name="ElementName" select="'cat_ru:PrDocumentNumber'"/>
						<xsl:with-param name="Value" select="JGDS_XX/JGDS_XX_ITEM[1]/G40"/>
					</xsl:call-template>
					<xsl:call-template name="ElementIfValue">
						<xsl:with-param name="ElementName" select="'DocumentKind'"/>
						<xsl:with-param name="Value" select="JGDS_XX/JGDS_XX_ITEM[1]/G40T"/>
					</xsl:call-template>
				</PrecedingDocument>
			</xsl:if>
			<xsl:variable name="Consignor">
				<xsl:for-each select="G022[1]">
					<Consignor>
						<cat_ru:OrganizationName>
							<xsl:value-of select="."/>
						</cat_ru:OrganizationName>
						<xsl:call-template name="ElementIfValue">
							<xsl:with-param name="ElementName" select="'cat_ru:OGRN'"/>
							<xsl:with-param name="Value" select="../OGRN"/>
						</xsl:call-template>
						<xsl:call-template name="ElementIfValue">
							<xsl:with-param name="ElementName" select="'cat_ru:INN'"/>
							<xsl:with-param name="Value" select="../INN"/>
						</xsl:call-template>
						<Address>
							<xsl:call-template name="AddressElements">
								<xsl:with-param name="PostalCode" select="../CSGNOR_POSTALCODE"/>
								<xsl:with-param name="CountryCode" select="../CSGNOR_COUNTRYCODE"/>
								<xsl:with-param name="Region" select="../CSGNOR_REGION"/>
								<xsl:with-param name="City" select="../CSGNOR_CITY"/>
								<xsl:with-param name="StreetHouse" select="../CSGNOR_STREETHOUSE"/>
							</xsl:call-template>
						</Address>
						<xsl:call-template name="ElementIfValue">
							<xsl:with-param name="ElementName" select="'ITN'"/>
							<xsl:with-param name="Value" select="../ITN"/>
						</xsl:call-template>
					</Consignor>
				</xsl:for-each>
			</xsl:variable>
			<xsl:variable name="Containers">
				<xsl:call-template name="SplitDelimitedString">
					<xsl:with-param name="ElementName" select="'ContainerID'"/>
					<xsl:with-param name="DelimitedString" select="G3161"/>
				</xsl:call-template>
			</xsl:variable>
			<TIR_Shipment>
				<xsl:copy-of select="$Containers"/>
				<DepartureCustomsOffice>
					<xsl:call-template name="Customs_ITEM">
						<xsl:with-param name="CodT" select="CUSTOMPOST"/>
					</xsl:call-template>
				</DepartureCustomsOffice>
				<xsl:copy-of select="$Consignor"/>
				<Consignee>
					<xsl:call-template name="ElementIfValue">
						<xsl:with-param name="ElementName" select="'cat_ru:OrganizationName'"/>
						<xsl:with-param name="Value" select="G082"/>
					</xsl:call-template>
					<xsl:call-template name="ElementIfValue">
						<xsl:with-param name="ElementName" select="'cat_ru:OGRN'"/>
						<xsl:with-param name="Value" select="OGRNR"/>
					</xsl:call-template>
					<xsl:call-template name="ElementIfValue">
						<xsl:with-param name="ElementName" select="'ITN'"/>
						<xsl:with-param name="Value" select="ITNR"/>
					</xsl:call-template>
					<xsl:call-template name="ElementIfValue">
						<xsl:with-param name="ElementName" select="'cat_ru:INN'"/>
						<xsl:with-param name="Value" select="INNR"/>
					</xsl:call-template>
					<xsl:call-template name="ElementIfValue">
						<xsl:with-param name="ElementName" select="'cat_ru:KPP'"/>
						<xsl:with-param name="Value" select="KPP_RECEIV"/>
					</xsl:call-template>
					<Address>
						<xsl:call-template name="AddressElements">
							<xsl:with-param name="PostalCode" select="CSGNEE1_POSTALCODE"/>
							<xsl:with-param name="CountryCode" select="CSGNEE1_COUNTRYCODE"/>
							<xsl:with-param name="Region" select="CSGNEE1_REGION"/>
							<xsl:with-param name="City" select="CSGNEE1_CITY"/>
							<xsl:with-param name="StreetHouse" select="CSGNEE1_STREETHOUSE"/>
						</xsl:call-template>
					</Address>
				</Consignee>
				<xsl:if test="G531!=''">
					<Destination>
						<xsl:call-template name="ElementIfValue">
							<xsl:with-param name="ElementName" select="'catTrans_ru:DestinationCustomsCode'"/>
							<xsl:with-param name="Value" select="G531"/>
						</xsl:call-template>
						<xsl:call-template name="ElementIfValue">
							<xsl:with-param name="ElementName" select="'catTrans_ru:DeliveryCustomsPostCode'"/>
							<xsl:with-param name="Value" select="GA3"/>
						</xsl:call-template>
						<catTrans_ru:Address>
							<xsl:call-template name="ElementIfValue">
								<xsl:with-param name="ElementName" select="'cat_ru:PostalCode'"/>
								<xsl:with-param name="Value" select="DEST_POSTALCODE"/>
							</xsl:call-template>
							<xsl:call-template name="ElementIfValue">
								<xsl:with-param name="ElementName" select="'cat_ru:CountryCode'"/>
								<xsl:with-param name="Value" select="DEST_COUNTRYCODE"/>
							</xsl:call-template>
							<xsl:call-template name="ElementIfValue">
								<xsl:with-param name="ElementName" select="'cat_ru:Region'"/>
								<xsl:with-param name="Value" select="DEST_REGION"/>
							</xsl:call-template>
							<xsl:call-template name="ElementIfValue">
								<xsl:with-param name="ElementName" select="'cat_ru:City'"/>
								<xsl:with-param name="Value" select="DEST_CITY"/>
							</xsl:call-template>
							<xsl:call-template name="ElementIfValue">
								<xsl:with-param name="ElementName" select="'cat_ru:StreetHouse'"/>
								<xsl:with-param name="Value" select="DEST_STREETHOUSE"/>
							</xsl:call-template>
						</catTrans_ru:Address>
					</Destination>
				</xsl:if>
				<xsl:for-each select="JGDS_XX/JGDS_XX_ITEM[N_RECEIVER=1 or (string(number(JGDS_XX/JGDS_XX_ITEM/N_RECEIVER))='NaN')]">
					<xsl:apply-templates select="."/>
				</xsl:for-each>
			</TIR_Shipment>
			<xsl:variable name="Goods2" select="JGDS_XX/JGDS_XX_ITEM[N_RECEIVER=2]"/>
			<xsl:if test="G082S!='' or count($Goods2)!=0">
				<TIR_Shipment>
					<xsl:copy-of select="$Containers"/>
					<DepartureCustomsOffice>
						<xsl:call-template name="Customs_ITEM">
							<xsl:with-param name="CodT" select="CUSTOMPOST"/>
						</xsl:call-template>
					</DepartureCustomsOffice>
					<xsl:copy-of select="$Consignor"/>
					<xsl:if test="G082S!=''">
						<Consignee>
							<cat_ru:OrganizationName>
								<xsl:value-of select="G082S"/>
							</cat_ru:OrganizationName>
							<Address>
								<xsl:call-template name="AddressElements">
									<xsl:with-param name="PostalCode" select="CSGNEE2_POSTALCODE"/>
									<xsl:with-param name="CountryCode" select="CSGNEE2_COUNTRYCODE"/>
									<xsl:with-param name="Region" select="CSGNEE2_REGION"/>
									<xsl:with-param name="City" select="CSGNEE2_CITY"/>
									<xsl:with-param name="StreetHouse" select="CSGNEE2_STREETHOUSE"/>
								</xsl:call-template>
							</Address>
						</Consignee>
					</xsl:if>
					<xsl:for-each select="CUSTCODES[1]">
						<Destination>
							<xsl:call-template name="ElementIfValue">
								<xsl:with-param name="ElementName" select="'catTrans_ru:DestinationCustomsCode'"/>
								<xsl:with-param name="Value" select="."/>
							</xsl:call-template>
						</Destination>
					</xsl:for-each>
					<xsl:for-each select="$Goods2">
						<xsl:apply-templates select="."/>
					</xsl:for-each>
				</TIR_Shipment>
			</xsl:if>
			<xsl:variable name="Goods3" select="JGDS_XX/JGDS_XX_ITEM[N_RECEIVER=3]"/>
			<xsl:if test="G082T!='' or count($Goods3)!=0">
				<TIR_Shipment>
					<xsl:copy-of select="$Containers"/>
					<DepartureCustomsOffice>
						<xsl:call-template name="Customs_ITEM">
							<xsl:with-param name="CodT" select="CUSTOMPOST"/>
						</xsl:call-template>
					</DepartureCustomsOffice>
					<xsl:copy-of select="$Consignor"/>
					<xsl:if test="G082T!=''">
						<Consignee>
							<xsl:call-template name="ElementIfValue">
								<xsl:with-param name="ElementName" select="'cat_ru:OrganizationName'"/>
								<xsl:with-param name="Value" select="G082T"/>
							</xsl:call-template>
							<Address>
								<xsl:call-template name="AddressElements">
									<xsl:with-param name="PostalCode" select="CSGNEE3_POSTALCODE"/>
									<xsl:with-param name="CountryCode" select="CSGNEE3_COUNTRYCODE"/>
									<xsl:with-param name="Region" select="CSGNEE3_REGION"/>
									<xsl:with-param name="City" select="CSGNEE3_CITY"/>
									<xsl:with-param name="StreetHouse" select="CSGNEE3_STREETHOUSE"/>
								</xsl:call-template>
							</Address>
						</Consignee>
					</xsl:if>
					<xsl:for-each select="CUSTCODET[1]">
						<Destination>
							<xsl:call-template name="ElementIfValue">
								<xsl:with-param name="ElementName" select="'catTrans_ru:DestinationCustomsCode'"/>
								<xsl:with-param name="Value" select="."/>
							</xsl:call-template>
						</Destination>
					</xsl:for-each>
					<xsl:for-each select="JGDS_XX/JGDS_XX_ITEM[N_RECEIVER=3]">
						<xsl:apply-templates select="."/>
					</xsl:for-each>
				</TIR_Shipment>
			</xsl:if>
		</TIR_Carnet>
	</xsl:template>
	<xsl:template match="JGDS_XX/JGDS_XX_ITEM">
		<Goods>
			<xsl:call-template name="ElementIfValue">
				<xsl:with-param name="ElementName" select="'catTrans_ru:GoodsDescription'"/>
				<xsl:with-param name="Value" select="G312"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfValue">
				<xsl:with-param name="ElementName" select="'catTrans_ru:GoodsNumeric'"/>
				<xsl:with-param name="Value" select="G32"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfValue">
				<xsl:with-param name="ElementName" select="'catTrans_ru:GoodsTNVEDCode'"/>
				<xsl:with-param name="Value" select="G33"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfNumberFloat">
				<xsl:with-param name="ElementName" select="'catTrans_ru:SupplementaryGoodsQuantity'"/>
				<xsl:with-param name="Value" select="G315"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfNumberFloat">
				<xsl:with-param name="ElementName" select="'catTrans_ru:GrossWeightQuantity'"/>
				<xsl:with-param name="Value" select="G35"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfValue">
				<xsl:with-param name="ElementName" select="'catTrans_ru:SupplementaryMeasureUnitCode'"/>
				<xsl:with-param name="Value" select="G317C"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfNumberFloat">
				<xsl:with-param name="ElementName" select="'catTrans_ru:InvoicedCost'"/>
				<xsl:with-param name="Value" select="G42"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfValue">
				<xsl:with-param name="ElementName" select="'catTrans_ru:OriginCountryCode'"/>
				<xsl:with-param name="Value" select="KODS_PT"/>
			</xsl:call-template>
			<xsl:call-template name="ElementIfValue">
				<xsl:with-param name="ElementName" select="'catTrans_ru:PrecedingDocumentNumber'"/>
				<xsl:with-param name="Value" select="G40"/>
			</xsl:call-template>
			<catTrans_ru:PlacesInfo>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'catTrans_ru:PackingCode'"/>
					<xsl:with-param name="Value" select="G318"/>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'catTrans_ru:PakingQuantity'"/>
					<xsl:with-param name="Value" select="G311"/>
				</xsl:call-template>
			</catTrans_ru:PlacesInfo>
			<xsl:call-template name="ElementIfValue">
				<xsl:with-param name="ElementName" select="'TTNNumber'"/>
				<xsl:with-param name="Value" select="N_TTH"/>
			</xsl:call-template>
		</Goods>
	</xsl:template>
	<xsl:template name="ElementIfNumberFloat">
		<xsl:param name="ElementName"/>
		<xsl:param name="Value"/>
		<xsl:param name="RoundFactor" select="1000000"/>
		<xsl:if test="string($Value)!=''">
			<xsl:variable name="RoundedFloat" select="round(number($Value) * $RoundFactor) div $RoundFactor"/>
			<!--Проблема выгрузки из СТМ-Конвертер дробных чисел: даёт 41593.300000000003 вместо 41593.3. Чтобы решить это, округляем здесь до 6 знаков, это достаточная точность.
-->
			<xsl:element name="{$ElementName}">
				<xsl:value-of select="$Value"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<xsl:template name="ElementIfValue">
		<xsl:param name="ElementName"/>
		<xsl:param name="Value"/>
		<xsl:param name="Default"/>
		<xsl:choose>
			<xsl:when test="string-length($Value)!=0">
				<xsl:element name="{$ElementName}">
					<xsl:value-of select="$Value"/>
				</xsl:element>
			</xsl:when>
			<xsl:when test="string-length($Default)!=0">
				<!--Проверка ограничивает рекурсию-->
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="$ElementName"/>
					<xsl:with-param name="Value" select="$Default"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="ElementCountryABC2">
		<xsl:param name="ElementName"/>
		<xsl:param name="CodeABC2"/>
		<xsl:call-template name="ElementIfValue">
			<xsl:with-param name="ElementName" select="$ElementName"/>
			<xsl:with-param name="Value" select="$CodeABC2"/>
			<xsl:with-param name="Default">
				<xsl:if test="JOURNALTYPE!=2">
					<xsl:value-of select="'RU'"/>
				</xsl:if>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="CountryName">
		<xsl:param name="CodeABC2"/>
		<xsl:choose>
			<xsl:when test="string-length($CodeABC2)=0">
				<xsl:value-of select="'РОССИЯ'"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="document('TranspNSIXml.xml')//Country_ITEM[ABC2=$CodeABC2]/Name"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="Customs_ITEM">
		<xsl:param name="CodT"/>
		<xsl:value-of select="document('TranspNSIXml.xml')//Customs_ITEM[Code=$CodT]/Name"/>
	</xsl:template>
	<xsl:template name="SplitDelimitedString">
		<xsl:param name="ElementName"/>
		<xsl:param name="DelimitedString"/>
		<xsl:param name="delimeter" select="','"/>
		<xsl:choose>
			<xsl:when test="contains($DelimitedString, $delimeter)">
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="$ElementName"/>
					<xsl:with-param name="Value" select="substring-before($DelimitedString, $delimeter)"/>
				</xsl:call-template>
				<xsl:call-template name="SplitDelimitedString">
					<xsl:with-param name="ElementName" select="$ElementName"/>
					<xsl:with-param name="DelimitedString" select="substring-after($DelimitedString, $delimeter)"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="$ElementName"/>
					<xsl:with-param name="Value" select="$DelimitedString"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="AddressElements">
		<xsl:param name="PostalCode"/>
		<xsl:param name="CountryCode"/>
		<xsl:param name="CountryName"/>
		<xsl:param name="Region"/>
		<xsl:param name="City"/>
		<xsl:param name="StreetHouse"/>
		<xsl:call-template name="ElementIfValue">
			<xsl:with-param name="ElementName" select="'cat_ru:PostalCode'"/>
			<xsl:with-param name="Value" select="$PostalCode"/>
		</xsl:call-template>
		<xsl:call-template name="ElementIfValue">
			<xsl:with-param name="ElementName" select="'cat_ru:CountryCode'"/>
			<xsl:with-param name="Value" select="$CountryCode"/>
		</xsl:call-template>
		<xsl:call-template name="ElementIfValue">
			<xsl:with-param name="ElementName" select="'cat_ru:CounryName'"/>
			<xsl:with-param name="Value" select="$CountryName"/>
		</xsl:call-template>
		<xsl:call-template name="ElementIfValue">
			<xsl:with-param name="ElementName" select="'cat_ru:Region'"/>
			<xsl:with-param name="Value" select="$Region"/>
		</xsl:call-template>
		<xsl:call-template name="ElementIfValue">
			<xsl:with-param name="ElementName" select="'cat_ru:City'"/>
			<xsl:with-param name="Value" select="$City"/>
		</xsl:call-template>
		<xsl:call-template name="ElementIfValue">
			<xsl:with-param name="ElementName" select="'cat_ru:StreetHouse'"/>
			<xsl:with-param name="Value" select="$StreetHouse"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="Date-from-DateTime">
		<xsl:param name="DateTime"/>
		<xsl:value-of select="substring-before($DateTime,'T')"/>
	</xsl:template>
	<xsl:template name="IdCardElements">
		<xsl:param name="Code"/>
		<xsl:param name="Name"/>
		<xsl:param name="Series"/>
		<xsl:param name="Number"/>
		<xsl:param name="Date"/>
		<xsl:param name="Organization"/>
		<xsl:if test="string-length($Number)!=0">
			<IdentityCard>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'cat_ru:IdentityCardCode'"/>
					<xsl:with-param name="Value" select="$Code"/>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'cat_ru:IdentityCardName'"/>
					<xsl:with-param name="Value" select="$Name"/>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'cat_ru:IdentityCardSeries'"/>
					<xsl:with-param name="Value" select="$Series"/>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'cat_ru:IdentityCardNumber'"/>
					<xsl:with-param name="Value" select="$Number"/>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'cat_ru:IdentityCardDate'"/>
					<xsl:with-param name="Value">
						<xsl:call-template name="Date-from-DateTime">
							<xsl:with-param name="DateTime" select="$Date"/>
						</xsl:call-template>
					</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="ElementIfValue">
					<xsl:with-param name="ElementName" select="'cat_ru:OrganizationName'"/>
					<xsl:with-param name="Value" select="$Organization"/>
				</xsl:call-template>
			</IdentityCard>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
